#
# spec file for package openstack-ceilometer
#
# Copyright (c) 2019 SUSE LINUX GmbH, Nuernberg, Germany.
# Copyright (c) 2011 B1 Systems GmbH, Vohburg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


%define component ceilometer
%define groupname %{component}
%define username %{component}

%define version_unconverted 11.0.1.dev73

Name:           openstack-%{component}
Version:        11.0.1~dev73
Release:        1.2
Summary:        OpenStack Metering (Ceilometer)
License:        Apache-2.0
Group:          System/Management
Url:            https://launchpad.net/ceilometer
Source:         http://tarballs.openstack.org/ceilometer/ceilometer-master.tar.gz
Source2:        %{name}.logrotate
Source4:        %name.conf
Source5:        openstack-ceilometer-polkit.rules
# systemd service files
Source12:       %{name}-polling.service
Source13:       %{name}-agent-central.service
Source14:       %{name}-agent-compute.service
Source15:       %{name}-agent-ipmi.service
Source16:       %{name}-agent-notification.service
Source50:       README.config
BuildRequires:  crudini
BuildRequires:  fdupes
BuildRequires:  openstack-suse-macros
BuildRequires:  python-base
BuildRequires:  python-cachetools
BuildRequires:  python-cinderclient
BuildRequires:  python-cotyledon
BuildRequires:  python-glanceclient
BuildRequires:  python-gnocchiclient
BuildRequires:  python-jsonpath-rw
BuildRequires:  python-jsonpath-rw-ext
BuildRequires:  python-lxml
BuildRequires:  python-msgpack
BuildRequires:  python-neutronclient
BuildRequires:  python-novaclient
BuildRequires:  python-openstackdocstheme
BuildRequires:  python-os-xenapi
BuildRequires:  python-oslo.config
BuildRequires:  python2-oslo.messaging
BuildRequires:  python-oslo.reports
BuildRequires:  python-oslo.utils
BuildRequires:  python-oslo.vmware
BuildRequires:  python-pbr >= 0.6
BuildRequires:  python-six
BuildRequires:  python-stevedore
BuildRequires:  python-swiftclient
BuildRequires:  python-tooz
# to make orphaned-file-tests happy
BuildRequires:  polkit-default-privs
BuildRequires:  systemd-rpm-macros
%{?systemd_requires}
Requires:       polkit-default-privs
# Documentation build requirements:
#BuildRequires:  python-Sphinx
Requires:       logrotate
Requires:       python >= 2.7
Requires:       python-ceilometer = %{version}
Requires:       python-pbr >= 1.6
Requires(pre):  pwdutils
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildArch:      noarch

%description
Ceilometer aims to deliver a unique point of contact for billing systems to
aquire all counters they need to establish customer billing, accross all
current and future OpenStack components. The delivery of counters must be
tracable and auditable, the counters must be easily extensible to support new
projects, and agents doing data collections should be independent of the
overall system.

%package -n python-ceilometer
Summary:        OpenStack Metering (Ceilometer) - Python module
Group:          Development/Languages/Python
Requires:       python >= 2.7
Requires:       python-PyYAML >= 3.1.0
Requires:       python-cinderclient >= 1.6.0
Requires:       python-cotyledon >= 1.3.0
Requires:       python-debtcollector >= 1.2.0
Requires:       python-futures >= 3.0
Requires:       python-futurist >= 0.11.0
Requires:       python-glanceclient >= 2.0.0
Requires:       python-jsonpath-rw
Requires:       python-jsonpath-rw-ext
Requires:       python-kafka-python >= 1.3.2
Requires:       python-keystoneauth1 >= 2.1.0
Requires:       python-keystoneclient >= 1.6.0
Requires:       python-lxml >= 2.3
Requires:       python-monotonic
Requires:       python-msgpack >= 0.4.0
Requires:       python-neutronclient >= 4.2.0
Requires:       python-novaclient >= 2.29.0
Requires:       python-os-xenapi >= 0.1.1
Requires:       python2-oslo.cache
Requires:       python-oslo.concurrency >= 3.5.0
Requires:       python-oslo.config >= 3.22.0
Requires:       python-oslo.i18n >= 2.1.0
Requires:       python-oslo.log >= 1.14.0
Requires:       python2-oslo.messaging
Requires:       python-oslo.reports >= 0.6.0
Requires:       python-oslo.rootwrap >= 2.0.0
Requires:       python-oslo.utils >= 3.5.0
Requires:       python-oslo.vmware >= 1.16.0
Requires:       python-pysnmp >= 4.2.3
Requires:       python-requests >= 2.8.1
Requires:       python-requests-aws >= 0.1.4
Requires:       python-six >= 1.9.0
Requires:       python-stevedore >= 1.9.0
Requires:       python-swiftclient >= 2.2.0
Requires:       python-tenacity >= 3.2.1
Requires:       python-tooz >= 1.47.0

%description -n python-ceilometer
This package contains the core Python module of %{name}.

%package polling
Summary:        OpenStack Metering (Ceilometer) - Polling
Group:          Development/Languages/Python
Requires:       %{name} = %{version}

%description polling
This package contains the %{name} polling.

%package agent-central
Summary:        OpenStack Metering (Ceilometer) - Agent Central
Group:          Development/Languages/Python
Requires:       %{name} = %{version}
Requires:       openstack-ceilometer-polling = %{version}

%description agent-central
This package contains the %{name} central agent.

%package agent-compute
Summary:        OpenStack Metering (Ceilometer) - Agent Compute
Group:          Development/Languages/Python
Requires:       %{name} = %{version}
Requires:       openstack-ceilometer-polling = %{version}

%description agent-compute
This package contains the %{name} compute agent.

%package agent-ipmi
Summary:        OpenStack Metering (Ceilometer) - Agent IPMI
Group:          Development/Languages/Python
Requires:       %{name} = %{version}
Requires:       openstack-ceilometer-polling = %{version}

%description agent-ipmi
This package contains the %{name} IPMI agent.

%package agent-notification
Summary:        OpenStack Metering (Ceilometer) - Agent Notification
Group:          Development/Languages/Python
Requires:       %{name} = %{version}
Requires:       ipmitool

%description agent-notification
This package contains the %{name} notification agent.

%package test
Summary:        OpenStack Metering (Ceilometer) - Testsuite
Group:          Development/Languages/Python
Requires:       %{name} = %{version}
Requires:       openstack-ceilometer-agent-central = %{version}
Requires:       openstack-ceilometer-agent-compute = %{version}
Requires:       openstack-ceilometer-agent-ipmi = %{version}
Requires:       openstack-ceilometer-polling = %{version}
Requires:       openstack-nova-test >= 12
Requires:       python-fixtures >= 1.3.1
Requires:       python-gabbi >= 1.30.0
Requires:       python-mock >= 1.2
Requires:       python-os-testr >= 0.4.1
Requires:       python2-os-win
Requires:       python-oslotest >= 2.15.0
Requires:       python-swift
Requires:       python-testrepository >= 0.0.18
Requires:       python-testscenarios >= 0.4
Requires:       python-testtools >= 1.4.0

%description test
This package contains testsuite files for %{name}.

%prep
%setup -q -n %{component}-%{version_unconverted}
%openstack_cleanup_prep

%build
python setup.py build
# Currently there exists only a general man-page with the same content as the
# HTML documenation. Thus we shouldn't build it:
#python setup.py build_sphinx -b man -s doc/source

PYTHONPATH=. oslo-config-generator --config-file etc/ceilometer/ceilometer-config-generator.conf > etc/ceilometer/ceilometer.conf

%install
python setup.py install --skip-build --prefix=%{_prefix} --root=%{buildroot}

### directories
#TODO: Check what we need:
install -d -m 750 %{buildroot}%{_localstatedir}/{lib,log}/%{component}
install -d -m 750 %{buildroot}%{_localstatedir}/{cache}/%{component}
install -d -m 700 %{buildroot}/run/%{component}
install -D -m 644 %{SOURCE4} %{buildroot}/%_tmpfilesdir/%name.conf

### configuration files
install -d -m 0755 %{buildroot}%{_sysconfdir}/%{component}
cp %{buildroot}%{python_sitelib}/%{component}/pipeline/data/*.yaml %{buildroot}%{_sysconfdir}/%{component}
# default to using database publisher instead of gnocchi, which
# needs to be installed separately
sed -i 's/gnocchi:\/\//database:\/\//g' %{buildroot}%{_sysconfdir}/%{component}/pipeline.yaml
install -p -D -m 640 %{SOURCE50} %{buildroot}%{_sysconfdir}/%{component}/README.config
# delete the ceilometer.conf - we generated out own with oslo-config-generator
rm %{buildroot}/usr/etc/ceilometer/ceilometer.conf
rm %{buildroot}/usr/etc/ceilometer/ceilometer-config-generator.conf
# for whatever reason, upstream installs config files into usr/etc/...
mv %{buildroot}/usr/%{_sysconfdir}/%{component}/* %{buildroot}%{_sysconfdir}/%{component}/.
mv etc/ceilometer/ceilometer.conf %{buildroot}%{_sysconfdir}/%{component}/.
# TODO: where to put the config examples?
rm -rf %{buildroot}%{_sysconfdir}/%{component}/examples/
install -d -m 755 %{buildroot}%{_sysconfdir}/%{component}/%{component}.conf.d/

# bash-completion/logrotate/etc.
install -p -D -m 644 %{SOURCE2} %{buildroot}%{_sysconfdir}/logrotate.d/%{name}

# Install systemd unit services
mkdir -p %{buildroot}%{_sbindir} %{buildroot}%{_unitdir}
install -p -D -m 444 %{SOURCE12} %{buildroot}%{_unitdir}/%{name}-polling.service
install -p -D -m 444 %{SOURCE13} %{buildroot}%{_unitdir}/%{name}-agent-central.service
install -p -D -m 444 %{SOURCE14} %{buildroot}%{_unitdir}/%{name}-agent-compute.service
install -p -D -m 444 %{SOURCE15} %{buildroot}%{_unitdir}/%{name}-agent-ipmi.service
install -p -D -m 444 %{SOURCE16} %{buildroot}%{_unitdir}/%{name}-agent-notification.service
ln -s %{_sbindir}/service %{buildroot}%{_sbindir}/rc%{name}-polling
ln -s %{_sbindir}/service %{buildroot}%{_sbindir}/rc%{name}-agent-central
ln -s %{_sbindir}/service %{buildroot}%{_sbindir}/rc%{name}-agent-compute
ln -s %{_sbindir}/service %{buildroot}%{_sbindir}/rc%{name}-agent-ipmi
ln -s %{_sbindir}/service %{buildroot}%{_sbindir}/rc%{name}-agent-notification

### policy kit
install -D -m 644 %{SOURCE5} %{buildroot}%{_datadir}/polkit-1/rules.d/11-openstack-ceilometer.rules

### documentation
#install -d %%{buildroot}%%{_mandir}/man1
#install -m 644 doc/build/man/*.1 %%{buildroot}%%{_mandir}/man1

### test subpackage
%openstack_test_package_install

### set default configuration
%define ceilometer_conf %{buildroot}%{_sysconfdir}/%{component}/%{component}.conf.d/010-%{component}.conf
crudini --set %{ceilometer_conf} DEFAULT log_dir %{_localstatedir}/log/%{component}
crudini --set %{ceilometer_conf} DEFAULT lock_path %{_rundir}/%{component}

### authentication cache dir
mkdir -p %{buildroot}%{_localstatedir}/cache/ceilometer

%pre
%openstack_pre_user_group_create %{username} %{groupname}

%post
%tmpfiles_create %{_tmpfilesdir}/%{name}.conf

%pre polling
%service_add_pre %{name}-polling.service

%post polling
%service_add_post %{name}-polling.service

%preun polling
%service_del_preun %{name}-polling.service

%postun polling
%restart_on_update %{name}-polling.service
%service_del_postun %{name}-polling.service

%pre agent-central
%service_add_pre %{name}-agent-central.service

%post agent-central
%service_add_post %{name}-agent-central.service

%preun agent-central
%service_del_preun %{name}-agent-central.service

%postun agent-central
%restart_on_update %{name}-agent-central.service
%service_del_postun %{name}-agent-central.service

%pre agent-compute
%service_add_pre %{name}-agent-compute.service

%post agent-compute
%service_add_post %{name}-agent-compute.service

%preun agent-compute
%service_del_preun %{name}-agent-compute.service

%postun agent-compute
%restart_on_update %{name}-agent-compute.service
%service_del_postun %{name}-agent-compute.service

%pre agent-ipmi
%service_add_pre %{name}-agent-ipmi.service

%post agent-ipmi
%service_add_post %{name}-agent-ipmi.service

%preun agent-ipmi
%service_del_preun %{name}-agent-ipmi.service

%postun agent-ipmi
%restart_on_update %{name}-agent-ipmi.service
%service_del_postun %{name}-agent-ipmi.service

%pre agent-notification
%service_add_pre %{name}-agent-notification.service

%post agent-notification
%service_add_post %{name}-agent-notification.service

%preun agent-notification
%service_del_preun %{name}-agent-notification.service

%postun agent-notification
%restart_on_update %{name}-agent-notification.service
%service_del_postun %{name}-agent-notification.service

%files
%defattr(-,root,root)
%doc README.rst
%license LICENSE
%{_bindir}/ceilometer-upgrade
%{_bindir}/ceilometer-send-sample
%{_bindir}/ceilometer-rootwrap
%dir %{_sysconfdir}/%{component}
%dir %{_sysconfdir}/%{component}/%{component}.conf.d/
%{_sysconfdir}/%{component}/README.config
%config(noreplace) %attr(0640, root, %{groupname}) %{_sysconfdir}/%{component}/%{component}.conf
%config(noreplace) %attr(0640, root, %{groupname}) %{_sysconfdir}/%{component}/%{component}.conf.d/010-%{component}.conf
%config(noreplace) %attr(0640, root, %{groupname}) %{_sysconfdir}/%{component}/polling.yaml
%config(noreplace) %attr(0640, root, %{groupname}) %{_sysconfdir}/%{component}/polling_all.yaml
%config(noreplace) %attr(0640, root, %{groupname}) %{_sysconfdir}/%{component}/pipeline.yaml
%config(noreplace) %attr(0640, root, %{groupname}) %{_sysconfdir}/%{component}/event_pipeline.yaml
%config(noreplace) %attr(0640, root, %{groupname}) %{_sysconfdir}/%{component}/event_definitions.yaml
%config(noreplace) %{_sysconfdir}/logrotate.d/%{name}
%config %{_sysconfdir}/%{component}/rootwrap.conf
%dir %{_sysconfdir}/%{component}/rootwrap.d
%config %{_sysconfdir}/%{component}/rootwrap.d/ipmi.filters
%dir %attr(0750, %{username}, %{groupname}) %{_localstatedir}/lib/%{component}
%dir %attr(0750, %{username}, %{groupname}) %{_localstatedir}/cache/%{component}
%dir %attr(0750, %{username}, %{groupname}) %{_localstatedir}/log/%{component}
%_tmpfilesdir/%name.conf

%files -n python-ceilometer
%defattr(-,root,root,-)
%license LICENSE
%{python_sitelib}/%{component}/
%{python_sitelib}/%{component}-*.egg-info
# Part of test subpackage (except the tempest tests)
%exclude %{python_sitelib}/%{component}/tests/unit/

%files polling
%defattr(-,root,root,-)
%{_unitdir}/%{name}-polling.service
%{_sbindir}/rc%{name}-polling
%{_bindir}/%{component}-polling

%files agent-central
%defattr(-,root,root,-)
%{_unitdir}/%{name}-agent-central.service
%{_sbindir}/rc%{name}-agent-central

%files agent-compute
%defattr(-,root,root,-)
%{_unitdir}/%{name}-agent-compute.service
%{_sbindir}/rc%{name}-agent-compute
%{_datadir}/polkit-1/rules.d/11-openstack-ceilometer.rules

%files agent-ipmi
%defattr(-,root,root,-)
%{_unitdir}/%{name}-agent-ipmi.service
%{_sbindir}/rc%{name}-agent-ipmi

%files agent-notification
%defattr(-,root,root,-)
%{_unitdir}/%{name}-agent-notification.service
%{_sbindir}/rc%{name}-agent-notification
%{_bindir}/%{component}-agent-notification

%files test
%defattr(-,root,root)
%{python_sitelib}/%{component}/tests/unit/

%{_localstatedir}/lib/%{name}-test/

%changelog
* Wed Mar 20 2019 opensuse-packaging@opensuse.org
- Update to version ceilometer-11.0.1.dev73:
  * [Trivial fix] Add missing ws seperator between words
* Fri Feb  8 2019 cloud-devel@suse.de
- Update to version ceilometer-11.0.1.dev71:
  * Add interfaceid and bridges parameters
* Mon Jan 21 2019 cloud-devel@suse.de
- Update to version ceilometer-11.0.1.dev70:
  * Only print polling.yaml file contents as DEBUG
  * Replace tripleo-scenario002-multinode with scenario002-standalone
* Thu Jan  3 2019 cloud-devel@suse.de
- Update to version ceilometer-11.0.1.dev67:
  * Replace tripleo-scenario001-multinode with scenario001-standalone
* Fri Dec 14 2018 cloud-devel@suse.de
- Update to version ceilometer-11.0.1.dev65:
  * Use kafka extras for oslo.messaging
* Tue Nov 27 2018 cloud-devel@suse.de
- Update to version ceilometer-11.0.1.dev64:
  * Replace deprecated snmp metrics
* Mon Nov 19 2018 sjamgade@suse.com
- change service depedancy from mysql.service to mariadb.service
* Sat Nov  3 2018 cloud-devel@suse.de
- Update to version ceilometer-11.0.1.dev62:
  * Fix the section of notify\_on\_state\_change to [notifications]
* Wed Oct 10 2018 cloud-devel@suse.de
- Update to version ceilometer-11.0.1.dev61:
  * Skip oslo.messaging 9.0.0 release
  * Don't quote {posargs} in tox.ini
  * Volume discovery minimum 3.43 api version
* Sat Sep 22 2018 cloud-devel@suse.de
- Update to version ceilometer-11.0.1.dev56:
  * Imported Translations from Zanata
  * Deprecate event subsystem
  * event: remove deprecated method
* Wed Sep 19 2018 cloud-devel@suse.de
- Update to version ceilometer-11.0.1.dev50:
  * opts: remove unused import
  * gnocchi: Don't fail if archive policy exists
  * gnocchi: handle domain for filtering swift
  * Use openstack-tox-cover template
* Tue Sep 18 2018 cloud-devel@suse.de
- Update to version ceilometer-11.0.1.dev44:
  * Fix logic when selecting configuration file
  * agent: Remove unused parameter in load\_config
* Sat Sep 15 2018 cloud-devel@suse.de
- Update to version ceilometer-11.0.1.dev42:
  * agent: remove unused config change detection code
  * agent: use any to filter source objects
  * pipeline: remove confusing log message
  * notification: remove unused constant
  * notification: declare logging method as static
  * notification: do not store temporary transport
  * notification: remove unused pipeline listener
  * pipeline: simplfy classes
  * compute: remove deprecated disk meters
  * pipeline: remove transformer support
  * publisher: mark messaging topic options deprecated
  * Fix ceilometer polling process not able to coordinate issue
* Wed Sep 12 2018 cloud-devel@suse.de
- Update to version ceilometer-11.0.1.dev19:
  * Imported Translations from Zanata
* Mon Sep 10 2018 cloud-devel@suse.de
- Update to version ceilometer-11.0.1.dev18:
  * Imported Translations from Zanata
  * Fix the default filter\_project name
* Fri Sep  7 2018 cloud-devel@suse.de
- Update to version ceilometer-11.0.1.dev15:
  * Follow the new PTI for document build
* Wed Sep  5 2018 cloud-devel@suse.de
- Update to version ceilometer-11.0.1.dev14:
  * add python 3.6 unit test job
  * switch documentation job to new PTI
  * import zuul job settings from project-config
  * notification: remove workload partitioning
  * gnocchi: add ceilometer-high{,-rate} archive policies
  * gnocchi: use ceilometer-low as default archive policy
* Thu Aug 30 2018 cloud-devel@suse.de
- Update to version ceilometer-11.0.1.dev5:
  * polling: remove deprecated option batch\_polled\_samples
* Wed Aug 29 2018 cloud-devel@suse.de
- Update to version ceilometer-11.0.1.dev3:
  * notifications: remove deprecated meter\_definitions\_cfg\_file option
* Sat Aug 18 2018 cloud-devel@suse.de
- Update to version ceilometer-11.0.1.dev2:
  * Imported Translations from Zanata
* Wed Aug  8 2018 cloud-devel@suse.de
- Update to version ceilometer-11.0.1.dev1:
  11.0.0
  * Add option to file publisher to write json
* Tue Jul 31 2018 cloud-devel@suse.de
- Update to version ceilometer-10.0.1.dev99:
  * Migrate to stestr for running tests
  * objectstore/rgw: Add config option to support RGW implicit tenants
  * Ability to define batch size off polled samples
* Fri Jul 27 2018 cloud-devel@suse.de
- Update to version ceilometer-10.0.1.dev94:
  * Remove unused tox target
  * Add gating on py37
* Thu Jul 19 2018 cloud-devel@suse.de
- Update to version ceilometer-10.0.1.dev92:
  * udp: remove wrong and useless tests
  * Add support for Python 3.7
* Wed Jul 18 2018 cloud-devel@suse.de
- Update to version ceilometer-10.0.1.dev90:
  * publisher: allow to not inherit from ConfigPublisherBase
  * Remove deprecated gnocchi\_dispatcher option group
* Sat Jun 30 2018 cloud-devel@suse.de
- Update to version ceilometer-10.0.1.dev87:
  * gnocchi: don't create metrics with resource
  * polling: remove useless base class
* Sun Jun 24 2018 cloud-devel@suse.de
- Update to version ceilometer-10.0.1.dev83:
  * Imported Translations from Zanata
* Sat Jun 23 2018 cloud-devel@suse.de
- Update to version ceilometer-10.0.1.dev82:
  * Remove dead link in doc file
  * Fix broken link to ceph radosgw usage logging docs
* Sat Jun  9 2018 cloud-devel@suse.de
- Update to version ceilometer-10.0.1.dev80:
  * fix tox python3 overrides
  * Wrong block format in rst file
* Fri May 18 2018 cloud-devel@suse.de
- Update to version ceilometer-10.0.1.dev78:
  * del unused module
* Thu May 17 2018 cloud-devel@suse.de
- Update to version ceilometer-10.0.1.dev77:
  * Adjust the controller installation position
* Tue May 15 2018 cloud-devel@suse.de
- Update to version ceilometer-10.0.1.dev76:
  * fix typos
  * inspector: memory: use usable of memoryStats if available
* Sat May  5 2018 cloud-devel@suse.de
- Update to version ceilometer-10.0.1.dev73:
  * snmp: ignore rfc1905.NoSuchInstance result
  * snmp: make oid value retrieval more solid
* Thu May  3 2018 cloud-devel@suse.de
- Update to version ceilometer-10.0.1.dev71:
  * Replace Chinese punctuation with English punctuation
  * Remove restiction on allowable namespaces in polling
* Fri Apr 27 2018 cloud-devel@suse.de
- Update to version ceilometer-10.0.1.dev68:
  * Imported Translations from Zanata
* Tue Apr 24 2018 cloud-devel@suse.de
- Update to version ceilometer-10.0.1.dev67:
  * Imported Translations from Zanata
* Mon Apr 23 2018 cloud-devel@suse.de
- Update to version ceilometer-10.0.1.dev66:
  * Unlist non existent storage.api.request
  * Stop gnocchi during unstack
  * Remove liusheng and llu from the maintainers
* Sat Apr 21 2018 cloud-devel@suse.de
- Update to version ceilometer-10.0.1.dev60:
  * Deprecating transformers and pipeline partitioning
* Wed Apr 18 2018 cloud-devel@suse.de
- Update to version ceilometer-10.0.1.dev58:
  * publisher: add a Prometheus Pushgateway publisher
  * Imported Translations from Zanata
* Wed Apr 11 2018 cloud-devel@suse.de
- Update to version ceilometer-10.0.1.dev55:
  * supplement "zakar" and "https" description
  * fix errors about words spelling
* Tue Apr 10 2018 cloud-devel@suse.de
- Update to version ceilometer-10.0.1.dev52:
  * Fix doc title format error
* Mon Apr  9 2018 cloud-devel@suse.de
- Update to version ceilometer-10.0.1.dev50:
  * Modify the empty list ensure method
* Sat Apr  7 2018 cloud-devel@suse.de
- Update to version ceilometer-10.0.1.dev49:
  * Imported Translations from Zanata
* Tue Apr  3 2018 cloud-devel@suse.de
- Update to version ceilometer-10.0.1.dev48:
  * Imported Translations from Zanata
* Mon Apr  2 2018 cloud-devel@suse.de
- Update to version ceilometer-10.0.1.dev47:
  * fix a typo in documentation
  * Imported Translations from Zanata
* Tue Mar 27 2018 cloud-devel@suse.de
- Update to version ceilometer-10.0.1.dev44:
  * Allow requeues in when there is a failure in EventsNotificationEndpoint
* Tue Mar 20 2018 cloud-devel@suse.de
- Update to version ceilometer-10.0.1.dev43:
  * Imported Translations from Zanata
* Thu Mar 15 2018 cloud-devel@suse.de
- Update to version ceilometer-10.0.1.dev42:
  * Remove run-tests.sh
* Tue Mar 13 2018 cloud-devel@suse.de
- Update to version ceilometer-10.0.1.dev41:
  * Imported Translations from Zanata
* Mon Mar 12 2018 cloud-devel@suse.de
- Update to version ceilometer-10.0.1.dev39:
  * avoid verbose tracebacks on known errors
* Wed Mar  7 2018 cloud-devel@suse.de
- Update to version ceilometer-10.0.1.dev37:
  * Imported Translations from Zanata
* Fri Mar  2 2018 cloud-devel@suse.de
- Update to version ceilometer-10.0.1.dev36:
  * Don't use gnocchiclient during publisher init
* Thu Mar  1 2018 cloud-devel@suse.de
- Update to version ceilometer-10.0.1.dev35:
  * gnocchi: configure archive policies on Ceilo side
  * cinder: link volume to image and instance
  * set cache with attributes only
  * Cached should not be used when creating gnocchi resources
* Wed Feb 28 2018 cloud-devel@suse.de
- Update to version ceilometer-10.0.1.dev29:
  * Add new attributes to instance
  * hyper-v: Converts all os-win exceptions
  * remove integration playbooks
  * update ipmi docs
  * add ipmi sensor data to gnocchi
  * capture cell name
* Tue Feb 27 2018 cloud-devel@suse.de
- Update to version ceilometer-10.0.1.dev18:
  * Imported Translations from Zanata
  * Imported Translations from Zanata
  * fix meter formating
  * add disk.device.\*.latency meters
* Fri Feb 23 2018 cloud-devel@suse.de
- Update to version ceilometer-10.0.1.dev12:
  * remove ceilometerclient references
  * Remove deprecated rgw meters
* Tue Feb 20 2018 cloud-devel@suse.de
- Update to version ceilometer-10.0.1.dev8:
  * the previous patch was missing a 'continue'
* Sat Feb 17 2018 cloud-devel@suse.de
- Update to version ceilometer-10.0.1.dev7:
  * Gracefully handle missing metadata in libvirt xml
* Thu Feb 15 2018 cloud-devel@suse.de
- Update to version ceilometer-10.0.1.dev6:
  * ignore compute.instance.update for metrics
* Tue Feb 13 2018 tbechtold@suse.com
- Update to version ceilometer-10.0.1.dev5:
  * Fix glossary.rst
  * Use msgpack instead of msgpack-python
  * Update reno for stable/queens
  10.0.0
  * Imported Translations from Zanata
  * add hardware.disk.read|write.\* stats
  * add volume.provider.\* meters to docs
  * add note explaining gnocchi coordination\_url
  * Deprecate aggregated disk.\* metrics on instance
  * utils: move hash\_of\_set where it's solely used
  * utils: move kill\_listeners to ceilometer.notification
  * Imported Translations from Zanata
  * Zuul: Remove project name
  * utils: move publisher-only utils functions in publisher
  * remove repeated host
  * Imported Translations from Zanata
  * Replace curly quotes with straight quotes
  * Delete not applicable definition
  * add volume provider resource types to gnocchi
  * support cinder capacity statistics
  * Remove use of unsupported TEMPEST\_SERVICES variable
  * Imported Translations from Zanata
  * Remove state\_description for trove
  * polling: iter randomly over sources and pollsters when polling
  * polling: simplify manager method
  * Remove shuffle\_time\_before\_polling\_task option
  * utils: remove unused decimal/dt conversion functions
- Drop the openstack-ceilometer-api and openstack-ceilometer-collector
  packages. Both services are no longer provided upstream.
  See https://docs.openstack.org/releasenotes/ceilometer/queens.html
* Wed Jan 24 2018 dmueller@suse.com
- make user directory not world readable
* Wed Oct 25 2017 snica@suse.com
- Fix ceilometer-expirer (bsc#1061197, bsc#1064060, bsc#1046787, bsc#1064088)
  * Remove incorrect configuration parameters from the
  ceilometer expirer cron script (location of configuration files
  is computed automatically by oslo.config).
* Mon Oct 16 2017 cloud-devel@suse.de
- Update to version ceilometer-9.0.1.dev49:
  * Fix a typo in the Installation Guide
  * Use tempest.clients.Manager as base clients class
  * Replace the usage of some aliases in tempest
  * Remove deprecated compute.workload\_partitioning
* Thu Oct 12 2017 cloud-devel@suse.de
- Update to version ceilometer-9.0.1.dev42:
  * Move object storage container\_client to match tempest
* Sat Oct  7 2017 cloud-devel@suse.de
- Update to version ceilometer-9.0.1.dev41:
  * Cleanup test-requirements
  * messaging-publisher: fix threadsafe of flush()
* Fri Oct  6 2017 cloud-devel@suse.de
- Update to version ceilometer-9.0.1.dev38:
  * devstack: install ceilometer extra
  * remove unused ExchangeTopics
  * remove ironic exchange
  * re-add cpu\_util metric to measurement list
* Thu Sep 28 2017 ashwin.agate@suse.com
- Update package spec file
  * Remove setting database as publisher in events_pipeline.yaml
* Thu Sep 28 2017 cloud-devel@suse.de
- Update to version ceilometer-9.0.1.dev33:
  * Remove class KafkaBrokerPublisher
  * Set default ceilometer storage backend to gnocchi
  * Add dipatcher correlated renos
  * Remove deprecated nova\_http\_log\_debug option
* Tue Sep 26 2017 cloud-devel@suse.de
- Update to version ceilometer-9.0.1.dev26:
  * Initialize hashrings as AgentManager object
  * Retry to upgrade Gnocchi if connection fails
  * fix disk total\_time metrics
  * Remove deprecated \*\_control\_exchange
* Wed Sep 20 2017 cloud-devel@suse.de
- Update to version ceilometer-9.0.1.dev19:
  * Removes use of timeutils.set\_time\_override
* Fri Sep 15 2017 cloud-devel@suse.de
- Update to version ceilometer-9.0.1.dev18:
  * Remove class HttpDispatcher
* Thu Sep 14 2017 snica@suse.com
- Update package spec file
  * install pipeline.yml, event_pipeline.yml and event_definitions.yml
    files from the ceilometer/pipeline/data source location as
    /etc/ceilometer configuration files
  * update default pipeline.yml and event_definitions.yml files
    to use database as default publisher instead of gnocchi, which
    needs to be installed separately
  * removed the deprecated [keystone_authtoken]/signing_dir option
* Thu Sep 14 2017 cloud-devel@suse.de
- Update to version ceilometer-9.0.1.dev17:
  * Remove class FileDispatcher
* Sat Sep  9 2017 cloud-devel@suse.de
- Update to version ceilometer-9.0.1.dev15:
  * Add missing command of adding admin role to gnocchi
  * keystone: pass region name to keystone client
* Fri Sep  8 2017 cloud-devel@suse.de
- Update to version ceilometer-9.0.1.dev12:
  * Fix wrong links in ceilometer
  * Remove class PublisherBase
* Wed Sep  6 2017 cloud-devel@suse.de
- Update to version ceilometer-9.0.1.dev9:
  * Use gnocchiclient 4.0 exception types
  * Update description 'resource\_update\_interval' option
* Tue Sep  5 2017 cloud-devel@suse.de
- Update to version ceilometer-9.0.1.dev7:
  * support new gnocchiclient interface
* Fri Sep  1 2017 tbechtold@suse.com
- Move integration tests from -test package to the python package.
  Theses tests are now needed for tempest.
* Wed Aug 30 2017 cloud-devel@suse.de
- Update to version ceilometer-9.0.1.dev6:
  * Add disk total duration of reads/writes metric
  * use gnocchi devstack script
* Sat Aug 26 2017 cloud-devel@suse.de
- Update to version ceilometer-9.0.1.dev4:
  * vmware:The cpu\_util value should be a decimal
  * Modify memory swap metric type
* Fri Aug 25 2017 tbechtold@suse.com
- Update to version ceilometer-9.0.1.dev2:
  * Imported Translations from Zanata
* Wed Aug 23 2017 comurphy@suse.com
- Remove deprecated [DEFAULT]/policy_file setting
* Tue Aug 22 2017 cloud-devel@suse.de
- Update to version ceilometer-9.0.1.dev1:
  * Update reno for stable/pike
  9.0.0
  * update measurements
  * ensure timezone is included in timestamps
  * deprecated pollster-list
  * Revert "deprecate archive policy of Gnocchi dispatcher"
* Sat Aug 12 2017 cloud-devel@suse.de
- Update to version ceilometer-8.1.0.dev394:
  * snmp: Fix discovery when total memory is missing
* Fri Aug 11 2017 cloud-devel@suse.de
- Update to version ceilometer-8.1.0.dev392:
  * Fix a typo in ceilometer
  * Remove install-guide env which is not effective
* Wed Aug  9 2017 cloud-devel@suse.de
- Update to version ceilometer-8.1.0.dev389:
  * fix cpu\_util precision is too precise
* Fri Aug  4 2017 cloud-devel@suse.de
- Update to version ceilometer-8.1.0.dev387:
  * vmware: ignore -1 values
  * Update and replace http with https for doc links in ceilometer
* Thu Aug  3 2017 cloud-devel@suse.de
- Update to version ceilometer-8.1.0.dev383:
  * Fix share.size meter
  * use tempest manager
* Wed Aug  2 2017 cloud-devel@suse.de
- Update to version ceilometer-8.1.0.dev379:
  * stop converting to old message format
  * add configuration folder
  * generate conf on doc build
  * turn on warning-is-error for doc builds
  * add missing sphinx extension
* Tue Aug  1 2017 cloud-devel@suse.de
- Update to version ceilometer-8.1.0.dev369:
  * [Trivialfix]Fix typos in ceilometer
  * Fix neutron lbaas v2 when no listeners are set
  * Fix some initializations
* Fri Jul 28 2017 cloud-devel@suse.de
- Update to version ceilometer-8.1.0.dev364:
  * Deprecate kafka publisher
  * wrong document location
  * Update the documentation link for doc migration
  * Fixed ceilometer arithmetic transformer  bug
* Thu Jul 27 2017 cloud-devel@suse.de
- Update to version ceilometer-8.1.0.dev356:
  * fix service path for fedora
* Wed Jul 26 2017 cloud-devel@suse.de
- Update to version ceilometer-8.1.0.dev354:
  * Fix inspect\_vnics error for libvirt
* Tue Jul 25 2017 cloud-devel@suse.de
- Update to version ceilometer-8.1.0.dev353:
  * doc: move install guide to main doc dir
  * Docs: update the path of "meters.yaml" and its new feature
  * Update URL home-page in documents according to document migration
  * Add memory swap metric
  * Move "test\_versions.py" to the directory of functional test
  * Add some unit test cases
  * explicitly note sanitize\_timestamp return condition
  * Remove old maintainers
  * Migrate telemetry-events
  * Add some unit test cases
  * expect oslo.messaging messages
* Sat Jul 22 2017 cloud-devel@suse.de
- Update to version ceilometer-8.1.0.dev331:
  * High precision rate of change timedelta
  * doc: move old dev docs to contributor section
  * doc: initial index cleanup
  * Project\_id for SDN controller meters
  * Gnocchi support for SDN controller meters
  * Ceilometer meter support to collect network statistics
* Fri Jul 21 2017 cloud-devel@suse.de
- Update to version ceilometer-8.1.0.dev319:
  * Specify region when looking for radosgw admin URL
* Wed Jul 19 2017 cloud-devel@suse.de
- Update to version ceilometer-8.1.0.dev318:
  * remove templates
  * Docs: switch to openstackdocstheme
* Tue Jul 18 2017 cloud-devel@suse.de
- Update to version ceilometer-8.1.0.dev315:
  * Remove the explanation of nonexistent parameter
  * tempest: Use primary user token
  * Add event definition for manila
  * cap cpu\_util
* Fri Jul 14 2017 cloud-devel@suse.de
- Update to version ceilometer-8.1.0.dev307:
  * Remove interval reference to pipeline
  * api: remove unused code
* Thu Jul 13 2017 tbechtold@suse.com
- Update to version ceilometer-8.1.0.dev304:
  * Update Documentation link in README
  * Limit the default numbers of metrics polled
  * Don't check libvirt exception if libvirt is absent
  * Migrate telemetry-best-practices
  * Migrate telemetry-data-retrieval
  * Migrate telemetry-data-collection
  * Migrate telemetry-data-pipelines
  * Migrate telemetry troubleshooting guide
  * migrate telemetry measurements
* Fri Jul  7 2017 cloud-devel@suse.de
- Update to version ceilometer-8.1.0.dev287:
  * Add a description of the parameters to function
* Thu Jul  6 2017 cloud-devel@suse.de
- Update to version ceilometer-8.1.0.dev285:
  * ensure resources are hashable
* Wed Jul  5 2017 cloud-devel@suse.de
- Update to version ceilometer-8.1.0.dev283:
  * Fix typo for additional device support in intel node manger
  * Migrate telemetry system architecture
* Wed Jun 28 2017 cloud-devel@suse.de
- Update to version ceilometer-8.1.0.dev280:
  * Fix UnicodeEncodeError error when log messge in poll\_and\_notify
  * Fix some reST field lists in docstrings
* Tue Jun 27 2017 cloud-devel@suse.de
- Update to version ceilometer-8.1.0.dev276:
  * Fix can not find VMwareAPISession when import oslo\_vmware
  * Fix html\_last\_updated\_fmt for Python3
* Fri Jun 23 2017 cloud-devel@suse.de
- Update to version ceilometer-8.1.0.dev272:
  * post\_test\_hook: stop sourcing gnocchi/devstack/settings
* Wed Jun 21 2017 cloud-devel@suse.de
- Update to version ceilometer-8.1.0.dev271:
  * Doc: guide for operating resource type
* Tue Jun 20 2017 cloud-devel@suse.de
- Update to version ceilometer-8.1.0.dev269:
  * Add share create/delete/expand/shrink meters
* Thu Jun 15 2017 cloud-devel@suse.de
- Update to version ceilometer-8.1.0.dev268:
  * modify the description for GnocchiDispatcher
  * add instruction to set auth\_mode
  * Added Nova Compute CPU metrics to gnocchi\_resources.yaml
* Tue Jun 13 2017 cloud-devel@suse.de
- Update to version ceilometer-8.1.0.dev263:
  * Update meters definition reference
* Fri Jun  9 2017 cloud-devel@suse.de
- Update to version ceilometer-8.1.0.dev262:
  * devstack: install Gnocchi using pip
  * This remove annoying message repetition in logs
* Fri Jun  2 2017 cloud-devel@suse.de
- Update to version ceilometer-8.1.0.dev258:
  * Replace assertRaisesRegexp with assertRaisesRegex
* Thu Jun  1 2017 cloud-devel@suse.de
- Update to version ceilometer-8.1.0.dev256:
  * update link away from google docs
* Wed May 31 2017 cloud-devel@suse.de
- Update to version ceilometer-8.1.0.dev255:
  * Trivial fix typos
* Mon May 29 2017 tbechtold@suse.com
- Update to version ceilometer-8.1.0.dev254:
  * change to reference gnocchi.xyz
  * Change default polling interval
  * XenAPI: use os-xenapi for XenAPI driver
  * Add tool for migrating metric data from ceilometer's storage to gnocchi
* Mon May 15 2017 cloud-devel@suse.de
- Update to version ceilometer-8.1.0.dev248:
  * Fix typo in docstring
* Thu May 11 2017 cloud-devel@suse.de
- Update to version ceilometer-8.1.0.dev247:
  * Support loading multiple meter definition files
* Wed May 10 2017 cloud-devel@suse.de
- Update to version ceilometer-8.1.0.dev245:
  * tempest: fix some future flake8 issue
  * tempest: remove deprecation warning
* Fri May  5 2017 cloud-devel@suse.de
- Update to version ceilometer-8.1.0.dev243:
  * Deprecate olsotest.mockpatch in favor of native fixtures
* Thu May  4 2017 cloud-devel@suse.de
- Update to version ceilometer-8.1.0.dev241:
  * Fix a typo
  * tempest: Allow to configure granularity
  * integration: always run all commands
* Wed May  3 2017 cloud-devel@suse.de
- Update to version ceilometer-8.1.0.dev236:
  * Remove upper constraint on sqlalchemy
  * Adds a Zaqar publisher
  * tempest: tell tempest our scenario are long
  * Replace Ceilometer coordination layer by tooz partition system
* Sat Apr 29 2017 cloud-devel@suse.de
- Update to version ceilometer-8.1.0.dev228:
  * integration: Fix report generation
  * tests: fix messaging driver
  * minor doc updates
  * Fix publisher doc link
  * gnocchi/notification: allow to configure the maximum number of requests in parallel
  * Format the abstraction layer of inspector methods to avoid TypeError
* Sat Apr 22 2017 cloud-devel@suse.de
- Update to version ceilometer-8.1.0.dev217:
  * tempest: Don't hardcode the network name
  * Remove powervm from inspector doc
  * Cleanup post\_test\_hook.sh
  * Correct the configuration of pipeline\_processing\_queues in devstack
  * Correct bad use response\_strings in live.yaml
  * coordination: remove group\_id check
  * coordination: stop checking for \_coordinator to be None
  * coordination: make group\_id to never be None
  * fix gnocchi\_resources mapping
  * Switch to use stable data\_utils
  * Bugfix: use transport\_url from [oslo\_messaging\_notifications] if present
  * coordination: use join\_group\_create()
  * Switch to use stable data\_utils
  * remove keystone\_authtoken from polling agent
  * Deprecate event\_dispatchers and meter\_dispatchers options
  * set OS\_AUTH\_TYPE in gate
  * Trivial-fix: use domain\_id instead of domain\_name
  * fix [service\_credentials] section location
  * Switch to use test\_utils.call\_until\_true
  * remove endpoint\_override
  * gnocchi: do not use removed encode\_resource\_id
  * Switch to decorators.idempotent\_id
  * drop notes re mod\_wsgi
  * set project\_id for cinder polling
  * Simplify code of test\_complex\_query
  * switch instance\_discovery to libvirt\_metadata
  * remove test\_hbase\_table\_utils
  * Use parameter skip\_op\_id in compute.virt.vmware.test\_vsphere\_operations
  * gnocchi: replace / by \_ in resource\_id
  * gnocchi: move volume\_type to correct section
* Thu Apr 20 2017 cloud-devel@suse.de
- Update to version ceilometer-8.1.0.dev213:
  * Cleanup post_test_hook.sh
  * tempest: use the configured flavor
  * tests: remove oslo.config fixture usage
  * fix gnocchi unprocessed measures debug
* Wed Apr 19 2017 cloud-devel@suse.de
- Update to version ceilometer-8.1.0.dev207:
  * tempest: rework gabbi setup
  * Remove log translations
* Thu Apr 13 2017 cloud-devel@suse.de
- Update to version ceilometer-8.1.0.dev203:
  * Change the compute polling local cache to be mutex
  * Optimize the link address
* Wed Apr 12 2017 cloud-devel@suse.de
- Update to version ceilometer-8.1.0.dev199:
  * Use more specific asserts in tests
* Sat Apr  8 2017 cloud-devel@suse.de
- Update to version ceilometer-8.1.0.dev197:
  * fix install-guide gnocchi+keystone instruction
* Tue Apr  4 2017 cloud-devel@suse.de
- Update to version ceilometer-8.1.0.dev196:
  * Use vcpu.x.time and vcpu.x.wait values in libvirt inspector
* Sun Apr  2 2017 cloud-devel@suse.de
- Update to version ceilometer-8.1.0.dev194:
  * Correct the configuration of pipeline_processing_queues in devstack
  * compute: remove default duration value
  * compute disks: use the generic compute pollster
  * compute vnics: use the generic compute pollster
  * tests: fix conf object creation
* Thu Mar 30 2017 cloud-devel@suse.de
- Update to version ceilometer-8.1.0.dev185:
  * Adds 'disabled' to the possible states for a member in LBaaSv2
  * add configuration instructions from admin guide and dev docs
* Wed Mar 29 2017 cloud-devel@suse.de
- Update to version ceilometer-8.1.0.dev181:
  * deprecated support of pipeline.yaml for polling
  * remove resource if not created
  * cleanup unused devstack code
  * start notification agent after restarting apache
  * remove ceilometer-collector condition when configuring storage
* Tue Mar 28 2017 cloud-devel@suse.de
- Update to version ceilometer-8.1.0.dev171:
  * make gnocchi independent of ceilometer-api
* Sat Mar 25 2017 tbechtold@suse.com
- Update to version ceilometer-8.1.0.dev169:
  * Correct bad use response_strings in live.yaml
  * Use HostAddressOpt for opts that accept IP and hostnames
  * deprecate archive policy of Gnocchi dispatcher
  * tempest: Fix exception handling
  * [install-guide] Add more links
  * tempest: remove confusing stack check step
  * compute: Remove dead code
  * compute: create one pollster to rule them all
  * Bump gnocchiclient min version
  * Remove second tenacity in requirements
  * tests: stop hammering CPU while waiting for sample to wait
  * coordination: remove started check
  * coordination: remove group_id check
  * coordination: stop checking for _coordinator to be None
  * coordination: create coordinator at init time
  * coordination: make group_id to never be None
  * Add sem-ver flag so pbr generates correct version
  * tests: simplify broken test
  * libvirt: rewrite the error handling
  * Fix the incorrect gnocchi command
  * fix blacklisting NovaLike resources
  * tests: remove unused mocked method
  * fix gnocchi_resources mapping
  * Swallow & report 404s from Swift (missing tenant)
  * Remove Rohit Jaiswal from maintainers
  * devstack: Set an optimal processing queue
  * tempest: remove broken tests
  * Switch to use stable data_utils
  * make gnocchi posting more resilient
  * remove tooz safety catch
- Removed event_definitions.yaml, event_pipeline.yaml and pipeline.yaml configs.
  No longer available from upstream.
* Tue Feb 21 2017 cloud-devel@suse.de
- Update to version ceilometer-8.0.1.dev28:
  * Remove useless metric name
  * add note about batching+gnocchi
* Mon Feb 20 2017 cloud-devel@suse.de
- Update to version ceilometer-8.0.1.dev24:
  * nova: track flavor name
  * drop kwapi pollster
  * cleanup devstack cache initialisation
  * Deprecate collector
* Fri Feb 17 2017 cloud-devel@suse.de
- Update to version ceilometer-8.0.1.dev16:
  * set OS_AUTH_TYPE in gate
  * Support i18n for api app
  * tripleo: Fix logging of tripleo discovery
* Thu Feb 16 2017 cloud-devel@suse.de
- Update to version ceilometer-8.0.1.dev13:
  * match generic cirros name
* Wed Feb 15 2017 cloud-devel@suse.de
- Update to version ceilometer-8.0.1.dev12:
  * fix [service_credentials] section location
* Tue Feb 14 2017 cloud-devel@suse.de
- Update to version ceilometer-8.0.1.dev11:
  * fix gnocchi url links
  * Correct the doc link
* Mon Feb 13 2017 tbechtold@suse.com
- Update to version ceilometer-8.0.1.dev9:
  * Switch to use test_utils.call_until_true
  * gabbi: use history
  * Remove support for py34
  * Use https instead of http for git.openstack.org
  * stop hardcode timeout in tempest tests
  * Update reno for stable/ocata
  * add polling.yaml docs
  * Use Tempest stable library interfaces
  * polling definition file
  * remove endpoint_override
- Add /etc/ceilometer/polling.yaml
- Mark some more files in /etc/ceilometer with "noreplace"
* Thu Feb  2 2017 cloud-devel@suse.de
- Update to version ceilometer-7.0.0.0rc2.dev418:
  * Do not use non-UUID resource ID in Aodh+Gnocchi tests
  * modernise gabbi tests
* Wed Feb  1 2017 cloud-devel@suse.de
- Update to version ceilometer-7.0.0.0rc2.dev415:
  * gnocchi: do not use removed encode_resource_id
  * update multi-publisher image
  * add ceilometer-upgrade step to install guide
* Tue Jan 31 2017 cloud-devel@suse.de
- Update to version ceilometer-7.0.0.0rc2.dev410:
  * make connection pool configurable
  * make http publisher equivalent to dispatcher
  * update verify to use gnocchi
  * drop api and storage references from install-guide
  * Don't load many times the same publisher
  * gnocchi: don't rely on gnocchi uuid5
* Sun Jan 29 2017 cloud-devel@suse.de
- Update to version ceilometer-7.0.0.0rc2.dev400:
  * Switch to decorators.idempotent_id
* Fri Jan 27 2017 cloud-devel@suse.de
- Update to version ceilometer-7.0.0.0rc2.dev399:
  * drop notes re mod_wsgi
  * move and trim legacy db docs
* Thu Jan 26 2017 cloud-devel@suse.de
- Update to version ceilometer-7.0.0.0rc2.dev395:
  * show panko events for debug
  * set project_id for cinder polling
  * check panko during integration test
* Wed Jan 25 2017 cloud-devel@suse.de
- Update to version ceilometer-7.0.0.0rc2.dev389:
  * devstack: make sure it's possible to deploy panko only
  * install-doc: Disable ceilometer-api service
  * set panko dispatcher if enabled
  * agent: always print the extension name on failure
  * Fix same type of simple message error
  * pipeline: remove tests helper from runtime code
  * Simplify code of test_complex_query
  * gnocchi: prepare removal of gnocchi uuid5
* Fri Jan 20 2017 cloud-devel@suse.de
- Update to version ceilometer-7.0.0.0rc2.dev375:
  * Trivial: add white space of error message
* Thu Jan 19 2017 cloud-devel@suse.de
- Update to version ceilometer-7.0.0.0rc2.dev374:
  * Add support of refereshing the resource info in local cache
* Wed Jan 18 2017 cloud-devel@suse.de
- Update to version ceilometer-7.0.0.0rc2.dev373:
  * Trivial: remove white space of exception message
  * remove test_hbase_table_utils
* Tue Jan 17 2017 cloud-devel@suse.de
- Update to version ceilometer-7.0.0.0rc2.dev370:
  * switch instance_discovery to libvirt_metadata
  * publisher: fix pipeline confusing reference
* Fri Jan 13 2017 cloud-devel@suse.de
- Update to version ceilometer-7.0.0.0rc2.dev368:
  * Use parameter skip_op_id in compute.virt.vmware.test_vsphere_operations
  * gnocchi: replace / by _ in resource_id
* Thu Jan 12 2017 cloud-devel@suse.de
- Update to version ceilometer-7.0.0.0rc2.dev364:
  * gnocchi: move volume_type to correct section
  * tempest: use tempest img
  * fix the gnocchi resource type upgrade
  * remove residual instance pollster
  * tempest: Allow to not run deprecated API tests
  * add volume.backup.size to gnocchi
* Tue Jan 10 2017 cloud-devel@suse.de
- Update to version ceilometer-7.0.0.0rc2.dev353:
  * use domainListGetStats to get cputime
  * drop instance meter
  * Fix oslo.vmware change that added new keyword argument
  * Don't poll nova with compute agent
* Sat Jan  7 2017 cloud-devel@suse.de
- Update to version ceilometer-7.0.0.0rc2.dev346:
  * Remove events storage and API
  * Update custom install doc
  * correct volumes name source
* Fri Jan  6 2017 cloud-devel@suse.de
- Update to version ceilometer-7.0.0.0rc2.dev341:
  * upgrade: fix gnocchi resource update
  * stop assuming ceph/swift share same endpoint
  * devstack: check for ceilometer+panko service
  * add support to parse user metadata
  * always create ceilometer user
  * simplify fail gnochi+ceilometer check
  * Added new instance metrics to gnocchi definition
  * capture keystone authentication as metric
  * update architecture docs
  * Make rabbitmq configuration much simpler
  * cleanup manual install
  * doc cleanup
  * XenAPI: Not support two key network meters
* Wed Jan  4 2017 cloud-devel@suse.de
- Update to version ceilometer-7.0.0.0rc2.dev316:
  * tempest: allow usage of scenario-img for autoscaling
  * gnocchi: Allow to set a different creds section
* Tue Jan  3 2017 cloud-devel@suse.de
- Update to version ceilometer-7.0.0.0rc2.dev312:
  * Add aliases for direct publisher
* Tue Dec 27 2016 cloud-devel@suse.de
- Update to version ceilometer-7.0.0.0rc2.dev310:
  * Fix the gate failure because of several issues
  * Trival-Fix: replace "nova" with "ceilometer" in api-ref
  * Fix error module usage
* Thu Dec 22 2016 cloud-devel@suse.de
- Update to version ceilometer-7.0.0.0rc2.dev305:
  * [doc] Note lack of constraints is a choice
  * glossary: remove collector and add publisher
  * Test suite for Aodh's gnocchi-resource-threshold alarm
* Wed Dec 21 2016 cloud-devel@suse.de
- Update to version ceilometer-7.0.0.0rc2.dev299:
  * integration: deleting the stack sometimes timeout
  * Allow to configure the triplo network name
* Tue Dec 20 2016 cloud-devel@suse.de
- Update to version ceilometer-7.0.0.0rc2.dev295:
  * Fix publisher comment
  * integration: run gabbi first
  * tempest: support keystone v3 for autoscaling
  * Make sure gnocchi is enabled before ceilometer
* Fri Dec 16 2016 tbechtold@suse.com
- Update to version ceilometer-7.0.0.0rc2.dev288:
  * tests: generate reports when tempest fail
  * Revert "Add hypervisor inspector sanity check"
  * Fix oslo.vmware lazy loading
  * test: remove unused variable
  * utils: remove unused function stringify_timestamps
  * gnocchi: Add volume_type attribute to volume
  * devstack: Don't enable api by default
  * add libxml2 required for lxml
  * fix http publisher test
  * filtered out the phynical nics when query vm nics with VMware API
  * Correct ceilometer reraising of exception
  * Fix typo in plugin.sh
  * Add old vm state for compute.instance.update
  * tools: stop using global conf
  * gnocchi: use batch create_metrics=True
  * Fix the install guide bug
  * Update Ceilometer architecture docs
  * Remove useless mock
  * drop `counters` support from pipeline
  * cleanup unit test location
  * Remove api index file
  * Bump minimal version of cotyledon
  * Reenable the tempest test about nova notification
  * use hyphen-less option name sql_expire_sample_only
  * Translate info-level log messages for LOG.error
  * drop disable_non_metric_meters option
  * cleanup gnocchiclient
  * Change gnocchi_ext.NotFound to gnocchi_ext.ResourceTypeNotFound
  * integration tests: fix generation of tests_results.html
  * Use one log level
* Thu Dec 15 2016 tbechtold@suse.com
- config cleanup
* Fri Dec  9 2016 tbechtold@suse.com
- package conf.d dir
* Wed Dec  7 2016 aplanas@suse.com
- systemd: remove Wants from services.
* Wed Dec  7 2016 tbechtold@suse.com
- Remove --config-dir and --config-file switches from the services.
  oslo.config has good defaults so there is no need to explicitly
  mention the config files.
* Wed Nov 16 2016 dmueller@suse.com
- install wsgi app
* Mon Nov 14 2016 slunkad@suse.com
- Removed files which are no longer present
  * ceilometer-dbsync
  * gnocchi_resources.yaml
* Sat Nov  5 2016 cloud-devel@suse.de
- Update to version ceilometer-7.0.0.0rc2.dev134:
  * document: remove configuration README description
  * compute.util: stop using global conf
  * event.converter: stop using global conf
  * discovery: stop using global conf
  * event: stop using global conf
  * sample: stop using global conf
  * keystone_client: stop using global conf
  * publisher: stop using global conf
  * Use method constant_time_compare from oslo.utils
  * gnocchi: don't show backtrace on connection failure
* Thu Oct 27 2016 cloud-devel@suse.de
- Update to version ceilometer-7.0.0.0rc2.dev115:
  * Change redirect status from 307 to 308
  * Use set_defaults method in oslo_middleware to check CORS_OPTS
  * change gnocchi cache enable condition
  * enable caching
* Tue Oct 25 2016 cloud-devel@suse.de
- Update to version ceilometer-7.0.0.0rc2.dev107:
  * Fix gate problem related to  _error_checker()
* Fri Oct 21 2016 cloud-devel@suse.de
- Update to version ceilometer-7.0.0.0rc2.dev106:
  * fix gate
  * Redact password from opendaylight client logging
* Wed Oct 19 2016 tbechtold@suse.com
- Switch to systemd service files
- Add empty /etc/aodh/conf.d/common
- Fix tmpfiles creation
* Tue Oct 18 2016 cloud-devel@suse.de
- Update to version ceilometer-7.0.0.0rc2.dev103:
  * Broken Link: setuptools entry point
* Sat Oct 15 2016 cloud-devel@suse.de
- Update to version ceilometer-7.0.0.0rc2.dev101:
  * Replace 'vmware' with 'vsphere'
  * Don't create useless threads
* Fri Oct 14 2016 cloud-devel@suse.de
- Update to version ceilometer-7.0.0.0rc2.dev97:
  * pipeline: stop using global conf
  * declarative: stop using global conf
  * coordination: stop using global conf
  * Remove buggy usage of global config
  * pipeline services: stop using global conf
  * Fix collector single worker to handle UDP package with many worker config
  * Add http_proxy_to_wsgi to config-generator
  * Fixed cotyledon version requirement
  * Remove pecan_debug option
  * neutron_client: stop using global conf
* Thu Oct 13 2016 cloud-devel@suse.de
- Update to version ceilometer-7.0.0.0rc2.dev82:
  * Fix the issue that missing the app file
  * nova_client: stop using global conf
  * messaging: stop using global config
  * collector: stop using global config
  * api: Remove global conf
  * tests: fix broken udp tests
  * tests: fix tests for functional tests without dsvm
* Wed Oct 12 2016 cloud-devel@suse.de
- Update to version ceilometer-7.0.0.0rc2.dev68:
  * fix perf when libvirt is >=2.0.0 and <2.3.0
  * Enable release notes translation
  * collector: do not set any dispatcher by default
  * Remove the unnecessary space
  * Batching of event & meter dispatching over HTTP
  * XenAPI: polling meters are always 0
  * Refactor Ceilometer resource API
* Tue Oct 11 2016 cloud-devel@suse.de
- Update to version ceilometer-7.0.0.0rc2.dev54:
  * Add http_proxy_to_wsgi to api-paste
  * make gnocchi event dispatcher work
* Sun Oct  9 2016 cloud-devel@suse.de
- Update to version ceilometer-7.0.0.0rc2.dev50:
  * Compute agent can poll tx and rx errors and drops
* Thu Oct  6 2016 cloud-devel@suse.de
- Update to version ceilometer-7.0.0.0rc2.dev48:
  * Docstrings should not start with a space
* Wed Oct  5 2016 cloud-devel@suse.de
- Update to version ceilometer-7.0.0.0rc2.dev46:
  * Add autoscaling scenario in tempest tests
* Tue Oct  4 2016 cloud-devel@suse.de
- Update to version ceilometer-7.0.0.0rc2.dev45:
  * Alters rst markup to comply with OpenStack rst guidelines
* Sat Oct  1 2016 cloud-devel@suse.de
- Update to version ceilometer-7.0.0.0rc2.dev43:
  * Stop adding ServiceAvailable group option
  * specific the title
  * Trivial - Changes rst markup
  * Clean the deprecated non-metric related code
* Fri Sep 30 2016 cloud-devel@suse.de
- Update to version ceilometer-7.0.0.0rc2.dev35:
  * Updates rst markup to better align with OpenStack rst guidelines
* Thu Sep 29 2016 cloud-devel@suse.de
- Update to version ceilometer-7.0.0.0rc2.dev33:
  * Add prefix "$" for command examples
  * Use 'code-block' for pieces of code
  * collector: fix graceful shutdown when udp enabled
  * Modify startup parameters of ceilometer-api in devstack script
  * Fix the "Gnocchi" link pages of custom.rst doc
  * Bad Link: stevedore
  * Clean imports in code
  * Using assertIsNone() instead of assertIs(None)
* Sat Sep 24 2016 cloud-devel@suse.de
- Update to version ceilometer-7.0.0.0rc2.dev18:
  * Using assertIsNone() instead of assertIs(None)
  * tox: refactor targets
* Fri Sep 23 2016 cloud-devel@suse.de
- Update to version ceilometer-7.0.0.0rc2.dev15:
  * Fix typo in a docstring in agent/manager.py
  * Fix UnicodeEncodeError in Ceilometer polling
* Thu Sep 22 2016 cloud-devel@suse.de
- Update to version ceilometer-7.0.0.0rc2.dev12:
  * gabbi: set panko_is_disabled to avoid relying on Keystone autodiscovery
  * Fix problem when using wsgi script to start
  * gabbi: import pipeline_cfg_file option before using it
* Wed Sep 21 2016 cloud-devel@suse.de
- Update to version ceilometer-7.0.0.0rc2.dev6:
  * Remove import objects and use import modules
  * Move oslo.db to hard requirements list
  * Remove left over from old ceilometer-api binary
  * Update reno for stable/newton
  7.0.0.0rc1
  * agentbase: remove flaky test
  * add note regarding pipeline_processing_queues option
  * Refactor Ceilometer event API
  * Refactor Ceilometer alarm API
  * update docs to show Telemetry projects
  * Update the compute node service_credentials parameters
* Fri Sep 16 2016 cloud-devel@suse.de
- Update to version ceilometer-7.0.0.0b4.dev51:
  * tox: Remove useless env
  * Use deps extra for optional requirements
  * add new meters about some perf events
  * Set a correct number of threads for polling tasks
  * improve notification processing
  * Revert "[install] Create endpoint in one command"
  * [Trivial] Refactor libvirt inspector connection & uri
* Thu Sep 15 2016 cloud-devel@suse.de
- Update to version ceilometer-7.0.0.0b4.dev39:
  * standardize release note page ordering
  * gnocchi: enable event_dispatcher in devstack and doc
  * Use pbr wsgi_scripts feature to build ceilometer-api
  * Change fnmatch.match method to fnmatch.fnmatch
  * Don't require gnocchiclient
  * Initialize correctly collector
  * Remove store_events options
  * Remove sql-expire-samples-only as a CLI option
* Wed Sep 14 2016 cloud-devel@suse.de
- Update to version ceilometer-7.0.0.0b4.dev24:
  * Corrected file mode settings
  * Add oslo.config cli opt to skip the confirm check
* Tue Sep 13 2016 cloud-devel@suse.de
- Update to version ceilometer-7.0.0.0b4.dev20:
  * Fix string interpolation in log
* Fri Sep  9 2016 cloud-devel@suse.de
- Update to version ceilometer-7.0.0.0b4.dev18:
  * correct input params in get_samples
* Fri Sep  9 2016 cloud-devel@suse.de
- Update to version ceilometer-7.0.0.0b4.dev16:
  * refactor service to be less pipeline dependent
  * [api-ref] Correct response code
  * [api-ref] Remove temporary block in conf.py
  * XenAPI: correct polling on memory_usage
  * dispatcher: deprecate event database dispatcher for Panko
* Thu Sep  8 2016 cloud-devel@suse.de
- Update to version ceilometer-7.0.0.0b4.dev8:
  * Deprecate Kwapi pollsters
  * make reload test more resilient
  * Remove Nadya Privalova from core reviewers
* Wed Sep  7 2016 tbechtold@suse.com
- Update to version ceilometer-7.0.0.0b4.dev3:
  * gnocchi: Create resource-types on upgrades
  * Allow to skip metering/event database upgrade
  * Rename ceilometer-dbsync in ceilometer-upgrade
  7.0.0.0b3
- Install new /usr/bin/ceilometer-upgrade and use it in the init
  script.
* Fri Sep  2 2016 cloud-devel@suse.de
- Update to version ceilometer-7.0.0.0b3.dev117:
  * generalise instable API redirect assertion
  * Fix checking IP version when using IPv6
* Thu Sep  1 2016 tbechtold@suse.com
- Update to version ceilometer-7.0.0.0b3.dev114:
  * Nit: Aligning the content
  * Config logABug feature for Ceilometer api-ref
  * remove needless brackets
  * The debug that network.incoming/outgoing.packets print is not right
  * Update readme file
  * [install] Create endpoint in one command
  * Cleanup imports in code
  * Fix a warning when running `tox -e api-ref`
  * Gnocchi dispatcher fails on skipped metric
  * api: redirect to Panko if enabled
  * Install configuration files in etc
  * Add log hints for partition coordinator
* Sun Aug 28 2016 cloud-devel@suse.de
- Update to version ceilometer-7.0.0.0b3.dev93:
  * correct the mistake in install-guide document
* Sat Aug 27 2016 cloud-devel@suse.de
- Update to version ceilometer-7.0.0.0b3.dev91:
  * [install] Add a missing stash
  * Replace urllib.quote() with six.moves.urllib.parse.quote()
  * correct the meaning of direct publish transport
  * XenAPI: failed to poll cpu_util
  * add url in setup.cfg
* Fri Aug 26 2016 aplanas@suse.com
- Revert generate PID file for systemd (bsc#991985)
* Fri Aug 26 2016 cloud-devel@suse.de
- Update to version ceilometer-7.0.0.0b3.dev81:
  * Add a publish transport in Ceilometer architecture document
  * Fix tempest.conf generation
* Thu Aug 25 2016 cloud-devel@suse.de
- Update to version ceilometer-7.0.0.0b3.dev77:
  * conversions: remove no used local variable
  * Add api-ref/build to .gitignore
  * Get ready for os-api-ref sphinx theme change
* Tue Aug 23 2016 aplanas@suse.com
- Use pidofproc from sysvinit-tools
- Generate PID file for systemd (bsc#991985)
* Tue Aug 23 2016 cloud-devel@suse.de
- Update to version ceilometer-7.0.0.0b3.dev71:
  * [dev-docs] Changed location of a class
* Fri Aug 19 2016 cloud-devel@suse.de
- Update to version ceilometer-7.0.0.0b3.dev69:
  * dispatcher/database: simplify connection retrieving
* Thu Aug 18 2016 cloud-devel@suse.de
- Update to version ceilometer-7.0.0.0b3.dev67:
  * Configuration of certificate verification for HTTP dispatcher
  * dispatcher: split the database dispatcher
* Wed Aug 17 2016 cloud-devel@suse.de
- Update to version ceilometer-7.0.0.0b3.dev63:
  * Limit Happybase to < 1.0.0
* Sat Aug 13 2016 cloud-devel@suse.de
- Update to version ceilometer-7.0.0.0b3.dev62:
  * fix the %%{} when string formatting
  * ValueError exception when SNMP returns NoSuchObject
  * Format error message in http.py
* Thu Aug 11 2016 cloud-devel@suse.de
- Update to version ceilometer-7.0.0.0b3.dev57:
  * Do not limit elasticsearch to 2.0
  * tests: remove dead code with self.source_resources
* Tue Aug  9 2016 cloud-devel@suse.de
- Update to version ceilometer-7.0.0.0b3.dev53:
  * HTTP Dispatcher: Post event data as JSON & improve logging
  * Switch to use Glance v2 in image pollsters
  * Fix the not found link for notification in glossary.rst
  * Added a link to the architecture guide
  * Removed redundant phrase to increase readability
  * Fixed small grammar error in overview.rst
  * Set the correct for image bytes_sent event
  * Change keystoneclient to keystoneauth
  * tests: rewrite batching test in a less racy way
  * Remove an unused method of network pollsters' base class
  * add memory bandwidth meter
  * This adds migrated API reference files
  * publisher: make direct publisher generic
* Tue Aug  2 2016 cloud-devel@suse.de
- Update to version ceilometer-7.0.0.0b3.dev29:
  * Fixed a small grammar error configuration help doc
  * Fix wrong parameter reference in periodic decorator
  * Add missing %%s in print message
* Fri Jul 29 2016 cloud-devel@suse.de
- Update to version ceilometer-7.0.0.0b3.dev24:
  * Modify py3.4 to py3.5 in the py35-functional of tox
* Wed Jul 27 2016 cloud-devel@suse.de
- Update to version ceilometer-7.0.0.0b3.dev22:
  * test: Fix wrong override value of config option interface
  * Put py34 first in the env order of tox
  * consumes error notif. when event are disabled
  * Remove unused AdvEnum class definition
* Sat Jul 23 2016 cloud-devel@suse.de
- Update to version ceilometer-7.0.0.0b3.dev16:
  * Add Magnum events to definitions
* Fri Jul 22 2016 gayane.osipyan@suse.com
- Add missing module python-cotyledon to spec.Fix build errors.
* Fri Jul 22 2016 gosipyan@suse.com 
- Update to version ceilometer-7.0.0.0b3.dev15:
  * Register the gnocchi event dispatcher
  * Reduce code duplication
  * Specify host info when using the notifier publisher
  * Add Python 3.4 and 3.5 classifiers and targets
  * Retrieval of RBD device information issue
  * Added full support of snmp v3 usm model
  7.0.0.0b2
  * Check lbaas version if call is v2 specific
  * move out oslo.service
  * sqlalchemy: do not run upgrade on fresh install
  * sqlalchemy: fix JSONEncodedDict implementation type
  * gnocchi: use events to end Gnocchi resource
* Sat Jul 16 2016 cloud-devel@suse.de
- Update to version ceilometer-6.1.1.dev58:
  * base.Resource not define __ne__() built-in function
* Thu Jul 14 2016 cloud-devel@suse.de
- Update to version ceilometer-6.1.1.dev57:
  * fix l3_cache definition
* Wed Jul 13 2016 cloud-devel@suse.de
- Update to version ceilometer-6.1.1.dev55:
  * collector: use an intermediate proxy class for event dispatcher
* Sun Jul 10 2016 cloud-devel@suse.de
- Update to version ceilometer-6.1.1.dev53:
  * throw PollsterPermenantError exception for memory usage meter
* Fri Jul  8 2016 cloud-devel@suse.de
- Update to version ceilometer-6.1.1.dev51:
  * events: fix operator check in event filter
  * Raise PollsterPermanentError if inspector is not implemented
  * Remove unused LOG
  * pollsters: Remove eventlet timers
* Thu Jul  7 2016 cloud-devel@suse.de
- Update to version ceilometer-6.1.1.dev43:
  * Fix get_gnocchiclient to work with python3.5
  * devstack: allow ceilometer-api and keystone to run on different hosts
* Tue Jul  5 2016 tbechtold@suse.com
- Add tempest tests to python-ceilometer package.
  The package also contains the entry point definition and listing
  tempest tests would fail if the tempest plugin entry point is
  not there.
* Tue Jul  5 2016 tbechtold@suse.com
- Update to version ceilometer-6.1.1.dev40:
  * Replace raw_input with input to make PY3 compatible
  * Imported Translations from Zanata
  * Fix the name as it was a typo
  * devstack: prefix _drop_database
  * start partition coordinator only when there is a group to join
  * split discover into different namespaces
  * devstack: disable workload_partition for compute polling
  * Add a tool to clean the legacy alarm tables
  * devstack: do not wait for service to start
  * Config: no need to set default=None
- Install /usr/bin/ceilometer-db-legacy-clean
- Adjust Requires
* Tue Jun 28 2016 jsuchome@suse.com
- Add systemd service macros (bnc#986415)
  systemd v228 has a separate generator for generating the service
  files from the init scripts, and daemon-reload is needed during
  package installation
* Tue Jun 28 2016 cloud-devel@suse.de
- Update to version ceilometer-6.1.1.dev26:
  * Add install-guide for ceilometer
* Fri Jun 24 2016 cloud-devel@suse.de
- Update to version ceilometer-6.1.1.dev24:
  * Don't generate hostname of host running build to config file
  * Fixing a trivial typo
  * Add 'task_state' attribute to meter metadata
  * add support of batch recording metering data for mongodb
  * Switch to use glanceclient to get image
  * doc: remove left over of docbookrestapi
  * tests: do not override auth version to v2
  * Remove configuration README in etc
  * Update to hacking 0.11.0
  * add tempest to test-requirements.txt
* Thu Jun 23 2016 cloud-devel@suse.de
- Update to version ceilometer-6.1.1.dev8:
  * Add install description for Neutron
  * add l3 cache usage meter
  6.1.0
  * dispacher/gnocchi: measures sent fix logging
  * Copy images_client from tempest + Correct concurrency of gabbi 1.22.0
  * Use trusts in Heat integration test
  * catch DriverLoadFailure for get_transport optional
  * enable swift pollsters poll data for specific region
  * Imported Translations from Zanata
  * tempest_plugin: drop telemetry decorator
  * Updated from global requirements
  * [Trivial] Update Neutron resource status list
  * fix CI failure due to oslo.messaging 5.0.0
  * Fix notification listeners usage
  * Imported Translations from Zanata
  * Imported Translations from Zanata
  * Imported Translations from Zanata
  * Imported Translations from Zanata
* Wed Jun 22 2016 cloud-devel@suse.de
- Update to version ceilometer-6.0.1.dev182:
  * Fix concurrency issue with snmp pollsters
* Sat Jun 18 2016 cloud-devel@suse.de
- Update to version ceilometer-6.0.1.dev180:
  * Rename gabbits with _ to have - instead
  * Clean deprecated "rpc_backend" in tests
* Fri Jun 17 2016 cloud-devel@suse.de
- Update to version ceilometer-6.0.1.dev176:
  * Correct concurrency of gabbi tests for gabbi 1.22.0
* Tue Jun 14 2016 cloud-devel@suse.de
- Update to version ceilometer-6.0.1.dev175:
  * Use "topics" instead of "topic" in Notifier initialization
* Sat Jun 11 2016 cloud-devel@suse.de
- Update to version ceilometer-6.0.1.dev174:
  * Imported Translations from Zanata
  * Copy images_client from tempest
  * [dispatcher/gnocchi] add unit for metric
  * Delete unused last_dup variable
  * Fix the py34 jenkins job
  * Drop timestamping in pollsters
  * Fix Ceilometer tests config options
* Fri Jun  3 2016 cloud-devel@suse.de
- Update to version ceilometer-6.0.1.dev160:
  * catch DriverLoadFailure for get_transport optional
  * Bump to Nova v2.1
* Fri May 27 2016 cloud-devel@suse.de
- Update to version ceilometer-6.0.1.dev157:
  * refactor DefinitionException classes
* Thu May 26 2016 cloud-devel@suse.de
- Update to version ceilometer-6.0.1.dev155:
  * tempest: import ImagesClient as ImagesClientV2
  * fix some typos in our doc, comments and releasenotes
  * Set the time point polling starts as timestamp of samples
* Tue May 24 2016 jsuchome@suse.com
- cleanup spec file after central/compute/ipmi services
- fix remaining name replacement in polling-based init scripts
* Tue May 24 2016 cloud-devel@suse.de
- Update to version ceilometer-6.0.1.dev150:
  * enable swift pollsters poll data for specific region
* Mon May 23 2016 jsuchome@suse.com
- Execute polling command from central/compute/ipmi services
* Sat May 21 2016 cloud-devel@suse.de
- Update to version ceilometer-6.0.1.dev149:
  * doc: remove database alarm capability
  * remove deprecated auth type password-ceilometer-legacy
  * return 400 when invalid aggregation function is specified
* Thu May 19 2016 cloud-devel@suse.de
- Update to version ceilometer-6.0.1.dev143:
  * tempest_plugin: drop telemetry decorator
  * Verify message's signature for every dispatcher
  * remove log in tools/make_test_{event_}data.py
* Wed May 18 2016 cloud-devel@suse.de
- Update to version ceilometer-6.0.1.dev137:
  * tests: replace overtest by pifpaf
* Mon May 16 2016 cloud-devel@suse.de
- Update to version ceilometer-6.0.1.dev135:
  * replace deprecated heat command with OSC
* Thu May 12 2016 cloud-devel@suse.de
- Update to version ceilometer-6.0.1.dev134:
  * fix CI failure due to oslo.messaging 5.0.0
  * remove record_metering_data method from collector
  * remove floating_ip_get_all in nova_client
  * add log decorator for neutron_client public method
  * Add release note link
* Mon May  9 2016 cloud-devel@suse.de
- Update to version ceilometer-6.0.1.dev125:
  * fix opts.list_opts for polling options
  * update help string for messaging_urls
  * tox: only install hacking in pep8 target
  * Remove unused pylintrc
  * devstack: remove useless policy_file setting
  * event: verify signature before recording events for all dispatchers
  * tests: stop services on tests teardown
  * Fix oslo_service stop/start mechanism
  * remove deprecated option database_connection
  * move EventFilter to event storage namespace
* Mon May  9 2016 cloud-devel@suse.de
- Update to version ceilometer-6.0.1.dev107:
  * Drop the executability of http.py
  * Updated from global requirements
* Mon May  9 2016 cloud-devel@suse.de
- Update to version ceilometer-6.0.1.dev104:
  * Fix notification listeners usage
* Mon May  9 2016 cloud-devel@suse.de
- Update to version ceilometer-6.0.1.dev102:
  * [Trivial] Update Neutron resource status list
  * [Trivial] Remove CEILOMETER_API_LOG_DIR option for devstack
  * Refactor floatingip pollster to use discovery
* Mon May  9 2016 cloud-devel@suse.de
- Update to version ceilometer-6.0.1.dev96:
  * Update the default log levels
  * Clean some unused method in ceilometer/keystone_client.py
* Mon May  9 2016 cloud-devel@suse.de
- Update to version ceilometer-6.0.1.dev93:
  * remove invalid todo in storage functional test code
  * remove todo for OS_TEST_PATH
* Mon May  9 2016 cloud-devel@suse.de
- Update to version ceilometer-6.0.1.dev90:
  * Replace logging with oslo_log
  * remove MultipleResultsFound and NoResultFound exception
  * Remove useless file
  * Improve the docstring for Swift pollsters
  * add debtcollector to requirements
* Fri Apr 22 2016 cloud-devel@suse.de
- Update to version ceilometer-6.0.1.dev83:
  * Remove direct dependency on babel
  * notification: Remove eventlet timers
  * use static timestamps for api samples
  * collector: Don't use eventlet thread
  * fix openstack cli command in doc manual
  * switch to openstack cli instead of keystone cli
  * Updated from global requirements
  * libvirt: fix missing python-libvirt issue
  * Add status in Ceilometer VPN connection sample
  * document how to enable ceilometer stable branch in devstack
  * Replace tempest-lib by os-testr
* Tue Apr 19 2016 cloud-devel@suse.de
- Update to version ceilometer-6.0.1.dev62:
  * remove python-ceilometerclient from requirements
  * Imported Translations from Zanata
  * Updated from global requirements
* Mon Apr 18 2016 cloud-devel@suse.de
- Update to version ceilometer-6.0.1.dev57:
  * Imported Translations from Zanata
  * Ignore the filter_service_activity option if gnocchi project not found
* Thu Apr 14 2016 cloud-devel@suse.de
- Update to version ceilometer-6.0.1.dev54:
  * Updated from global requirements
* Wed Apr 13 2016 cloud-devel@suse.de
- Update to version ceilometer-6.0.1.dev53:
  * Fix doc build if git is absent
  * Add notes on moving to Gnocchi
* Wed Apr 13 2016 cloud-devel@suse.de
- Update to version ceilometer-6.0.1.dev51:
  * delete verbose/redundant/deprecated text
  * add ceilometer to gnocchi configuration notes
  * change keystone to openstack cli
  * re-org existing manually install notes
* Tue Apr 12 2016 cloud-devel@suse.de
- Update to version ceilometer-6.0.1.dev44:
  * replace fnmatch with oslo.utils.fnmatch
* Sun Apr 10 2016 cloud-devel@suse.de
- Update to version ceilometer-6.0.1.dev43:
  * Updated from global requirements
* Sat Apr  9 2016 cloud-devel@suse.de
- Update to version ceilometer-6.0.1.dev42:
  * Imported Translations from Zanata
  * remove complex capabilities for meter, resource and statistics
  * messaging: remove RequestContextSerializer
  * Remove unused context object in vpnaas test
  * Remove unused object from lbaas_v2 test
  * Remove unused context object lbaas test
  * test: remove unused context object in FWaaS tests
  * Remove unused context objects in Glance tests
  * Remove unused context object in test
* Fri Apr  8 2016 cloud-devel@suse.de
- Update to version ceilometer-6.0.1.dev24:
  * gnocchi: batch measurements
  * Remove a useless usage of oslo.context in meters API
  * Remove the deprecated DB2 driver
  * Update the Administrator Guide links
  6.0.0
  * collector: never allow to lose data
  * Imported Translations from Zanata
  6.0.0.0rc2
  * abort alarms URLs when Aodh is unavailable
  * Imported Translations from Zanata
  * Imported Translations from Zanata
  * remove dns and trove from entry_points
  * Imported Translations from Zanata
  * Remove gabbi tests that check content-location
  * Imported Translations from Zanata
  * Update .gitreview for stable/mitaka
* Thu Apr  7 2016 cloud-devel@suse.de
- Update to version ceilometer-6.0.0.0rc2.dev43:
  * mongo: remove unused function
  * Updated from global requirements
  * Enhancing Retry logic to Coordination when joining partitioning grp
* Wed Apr  6 2016 cloud-devel@suse.de
- Update to version ceilometer-6.0.0.0rc2.dev39:
  * drop magnetodb support
  * Simplify chained comparison
  * publisher: clean out context usage
* Tue Apr  5 2016 cloud-devel@suse.de
- Update to version ceilometer-6.0.0.0rc2.dev33:
  * Remove useless context object usage
* Sat Apr  2 2016 cloud-devel@suse.de
- Update to version ceilometer-6.0.0.0rc2.dev31:
  * Disable ceilometer-aipmi by default for devstack
* Fri Apr  1 2016 cloud-devel@suse.de
- Update to version ceilometer-6.0.0.0rc2.dev30:
  * Add the functional tests for getting events
* Wed Mar 30 2016 cloud-devel@suse.de
- Update to version ceilometer-6.0.0.0rc2.dev28:
  * 'ceilometer-polling' should fail with no valid pollsters
  * Fix typos in comments and config strings
  * Updated from global requirements
  * fix minor typo in test_generic.py
  * collector: never allow to lose data
* Tue Mar 29 2016 cloud-devel@suse.de
- Update to version ceilometer-6.0.0.0rc2.dev19:
  * abort alarms URLs when Aodh is unavailable
* Sat Mar 26 2016 cloud-devel@suse.de
- Update to version ceilometer-6.0.0.0rc2.dev18:
  * Devstack: install coordination backend for compute agent
  * unquote resource id to support slash in it
* Thu Mar 24 2016 tbechtold@suse.com
- Adjust Requires and BuildRequires
* Thu Mar 24 2016 cloud-devel@suse.de
- Update to version ceilometer-6.0.0.0rc2.dev15:
  * devstack Fix unprocess measure path
* Wed Mar 23 2016 cloud-devel@suse.de
- Update to version ceilometer-6.0.0.0rc2.dev14:
  * correct docstring in storage module
  * Add http publisher
* Tue Mar 22 2016 cloud-devel@suse.de
- Update to version ceilometer-6.0.0.0rc2.dev11:
  * remove dns and trove from entry_points
  * Imported Translations from Zanata
  * Remove gabbi tests that check content-location
  * remove unused field 'triggers' defined in sample event_pipeline.yaml
  * remove SERVICE_TENANT_NAME from devstack plugin
  * clean devstack plugin
* Mon Mar 21 2016 cloud-devel@suse.de
- Update to version ceilometer-6.0.0.0rc2.dev2:
  * Update reno for stable/mitaka
  6.0.0.0rc1
  * Fix SDR file parsing for Intel Node Manager
* Sun Mar 20 2016 cloud-devel@suse.de
- Update to version ceilometer-6.0.0.0b4.dev54:
  * Imported Translations from Zanata
  * add rc1 release notes
  * Use assertIn and assertNotIn
  * core status cleanup
  * tests: remove ceilometer-api bin test cases
* Thu Mar 17 2016 cloud-devel@suse.de
- Update to version ceilometer-6.0.0.0b4.dev45:
  * change dns and trove notifications to declarative
* Wed Mar 16 2016 cloud-devel@suse.de
- Update to version ceilometer-6.0.0.0b4.dev43:
  * register the config generator default hook with the right name
* Tue Mar 15 2016 cloud-devel@suse.de
- Update to version ceilometer-6.0.0.0b4.dev41:
  * gate: add missing sudo
  * Remove en_GB translations
* Mon Mar 14 2016 cloud-devel@suse.de
- Update to version ceilometer-6.0.0.0b4.dev37:
  * Imported Translations from Zanata
  * Fixed corner cases of incorrect use of oslo.config
* Fri Mar 11 2016 tbechtold@suse.com
- Update to version ceilometer-6.0.0.0b4.dev34:
  * tempest: migrate api and scnario tests from tempest
  * mitaka-3 release notes
  * Adjust log levels for InstanceShutOffException
  * Fix event_type creationg failure due to race condition
  * Imported Translations from Zanata
  * Ignoring cpu measurement when instance's state is SHUTOFF
  * Add validation for polling_namespaces option
  * xenapi: support the session when xenserver is slave
  * Imported Translations from Zanata
  * gnocchi dispatch: Added new resource type support
  * remove wrong "#!/usr/bin/env python" header
  * Updated from global requirements
  * timedelta plugin for meter definition process
  * Cast Int64 values to int, float in statistics
  * Cache getters for the decalarative definitions
  6.0.0.0b3
  * [sahara] add events definitions regarding new notifications
  * Moved CORS middleware configuration into oslo-config-generator
  * Add the meter example file 'lbaas-v2-meter-definitions.yaml'
  * Change default policy to allow create_samples
  * Enable the Load Balancer v2 events
  * Remove unused pngmath Sphinx extension
  * Updated from global requirements
  * Fix a minor missing parameter issue
  * close services in test
  * Add an update interval to compute discovery
  * Docs: Configure meters/events dispatch separately
- Adjust Requires and BuildRequires
* Mon Feb 29 2016 johannes.grassler@suse.com
- Ensure ceilometer services are started after openstack-keystone (bsc#955786)
* Fri Jan  8 2016 cloud-devel@suse.de
- Update to version ceilometer-6.0.0.0b2.dev76:
  * Trival: Remove unused logging import
  * Added unit test cases for pysnmp 4.3
* Thu Jan  7 2016 cloud-devel@suse.de
- Update to version ceilometer-6.0.0.0b2.dev72:
  * Updated from global requirements
  * wrong accumulative value of "network.services.lb.incoming.bytes"
* Wed Jan  6 2016 cloud-devel@suse.de
- Update to version ceilometer-6.0.0.0b2.dev69:
  * [refactor] remove redundant import of options
* Tue Jan  5 2016 cloud-devel@suse.de
- Update to version ceilometer-6.0.0.0b2.dev67:
  * Trivial: Remove vim header from source files
  * gnocchi: fix stack resource type
* Thu Dec 24 2015 cloud-devel@suse.de
- Update to version ceilometer-6.0.0.0b2.dev63:
  * Fix the typos in the source code
* Wed Dec 23 2015 cloud-devel@suse.de
- Update to version ceilometer-6.0.0.0b2.dev61:
  * Misspelling in message
  * Clean pagination related methods of impl_mongodb
* Tue Dec 22 2015 cloud-devel@suse.de
- Update to version ceilometer-6.0.0.0b2.dev58:
  * Fix some typos in the snmp.py
  * [MongoDB] add indexes in event collection
  * remove unnecessary code
  * Duplicate information link for writing agent plugins
* Sat Dec 19 2015 cloud-devel@suse.de
- Update to version ceilometer-6.0.0.0b2.dev51:
  * Do not mock the memcache interface for auth_token
* Fri Dec 18 2015 cloud-devel@suse.de
- Update to version ceilometer-6.0.0.0b2.dev49:
  * remove local hacking check
  * Remove unused code in gnocchi dispatcher
  * recheck cache after acquired gnocchi_resource_lock
  * collector: remove deprecated RPC code
* Thu Dec 17 2015 cloud-devel@suse.de
- Update to version ceilometer-6.0.0.0b2.dev41:
  * fix case in function name
  * Catch the EndpointNotFound in keystoneauth1 than in keystoneclient
  * Log exception if stevedore fails to load module
  * Updated from global requirements
  * verify gnocchi connection before processing
  * Deduplicate the code about snmp meter loading
* Wed Dec 16 2015 cloud-devel@suse.de
- Update to version ceilometer-6.0.0.0b2.dev30:
  * Revert "Revert "devstack config for dogpile cache""
  * add per resource lock
  * gnocchi: fix cache hash logic
  * show queue status on integration test
  * using a consistent uuid as cache namespace
  * Use str(name) instead of name.prettyPrint()
* Tue Dec 15 2015 cloud-devel@suse.de
- Update to version ceilometer-6.0.0.0b2.dev19:
  * Add keystoneauth1 in requirements
  * gnocchi: use gnocchiclient instead of requests
* Sun Dec 13 2015 cloud-devel@suse.de
- Update to version ceilometer-6.0.0.0b2.dev15:
  * messaging: stop using RequestContextSerializer
* Sat Dec 12 2015 cloud-devel@suse.de
- Update to version ceilometer-6.0.0.0b2.dev14:
  * Correct the host field of instance metadata
* Fri Dec 11 2015 cloud-devel@suse.de
- Update to version ceilometer-6.0.0.0b2.dev12:
  * Updated from global requirements
  * Use keystoneauth1 instead of manual setup
* Wed Dec  9 2015 cloud-devel@suse.de
- Update to version ceilometer-6.0.0.0b2.dev9:
  * oslo.messaging option group/name change for notification topics
* Sun Dec  6 2015 cloud-devel@suse.de
- Update to version ceilometer-6.0.0.0b2.dev7:
  * fix the bug that gnocchi dispatcher can't process single sample
  * MAINTAINERS: remove outdated data
* Sat Dec  5 2015 cloud-devel@suse.de
- Update to version ceilometer-6.0.0.0b2.dev3:
  * Replace stackforge with openstack
  * dispatcher: remove deprecated CADF code in HTTP
* Fri Dec  4 2015 cloud-devel@suse.de
- Update to version ceilometer-6.0.0.0b2.dev1:
  6.0.0.0b1
  * Remove version from setup.cfg
  * add initial release notes
  * fix functional gate
  * Fix ceilometer-test-event.py script
  * Enable signature verification for events
* Wed Dec  2 2015 cloud-devel@suse.de
- Update to version ceilometer-6.0.0.dev164:
  * Consistent publisher_id for polling agent
* Sun Nov 29 2015 cloud-devel@suse.de
- Update to version ceilometer-6.0.0.dev162:
  * Updated from global requirements
  * Revert "Workaround requests/urllib connection leaks"
  * simplify collector cache
  * clean up integration test urls
* Sat Nov 28 2015 cloud-devel@suse.de
- Update to version ceilometer-6.0.0.dev154:
  * Revert "devstack config for dogpile cache"
  * add cpu.delta to gnocchi resources
  * tools: fix default resource metadata for instance
  * Reduce code duplication
  * Add WebTest to test-requirements.txt
* Fri Nov 27 2015 cloud-devel@suse.de
- Update to version ceilometer-6.0.0.dev146:
  * build metric list on init
  * re-implement thread safe fnmatch
  * devstack config for dogpile cache
* Thu Nov 26 2015 cloud-devel@suse.de
- Update to version ceilometer-6.0.0.dev141:
  * don't pass ceilometer options to oslo.db engine facade
  * remove config files when run clean.sh
* Wed Nov 25 2015 cloud-devel@suse.de
- Update to version ceilometer-6.0.0.dev137:
  * Add WebTest to test-requirements.txt
  * fix some test case wrongly skipped for mysql backend
  * tests: remove testscenario usage for storage drivers
  * Remove eventlet usage
  * Remove alarming code
* Tue Nov 24 2015 cloud-devel@suse.de
- Update to version ceilometer-6.0.0.dev130:
  * Clarify the doc about multiple notification_topics usage
* Sun Nov 22 2015 cloud-devel@suse.de
- Update to version ceilometer-6.0.0.dev128:
  * Updated from global requirements
* Sat Nov 21 2015 cloud-devel@suse.de
- Update to version ceilometer-6.0.0.dev126:
  * Reduced source code by extracting duplicated code
* Fri Nov 20 2015 mmnelemane@suse.com
- Added openstack-ceilometer-polling as requires
  * binary needs to be installed for ceilometer agent services in Liberty
* Thu Nov 19 2015 cloud-devel@suse.de
- Update to version ceilometer-6.0.0.dev124:
  * Updated from global requirements
  * use common cache
  * A dogpile cache of gnocchi resources
* Thu Nov 19 2015 cloud-devel@suse.de
- Update to version ceilometer-6.0.0.dev119:
  * Fix an indent nit of enforce_limit method
  * Move the content of ReleaseNotes to README.rst
* Wed Nov 18 2015 cloud-devel@suse.de
- Update to version ceilometer-6.0.0.dev117:
  * Updated from global requirements
* Tue Nov 17 2015 cloud-devel@suse.de
- Update to version ceilometer-6.0.0.dev116:
  * install database when collector is enabled
* Mon Nov 16 2015 cloud-devel@suse.de
- Update to version ceilometer-6.0.0.dev114:
  * add reno for release notes management
* Sat Nov 14 2015 cloud-devel@suse.de
- Update to version ceilometer-6.0.0.dev112:
  * Updated from global requirements
  * Configure collector to only record meter or event
* Thu Nov 12 2015 cloud-devel@suse.de
- Update to version ceilometer-6.0.0.dev110:
  * Updated from global requirements
  * Updated from global requirements
  * Support to get hardware's cpu_util from snmp
  * add rohit_ to MAINTAINERS
  * Add sql-expire-samples-only to option list
  * Fix snmp pollster to not ignore valid meters
* Fri Nov  6 2015 cloud-devel@suse.de
- Update to version ceilometer-6.0.0.dev101:
  * Factorize yaml loading of declarative stuffs
* Thu Nov  5 2015 cloud-devel@suse.de
- Update to version ceilometer-6.0.0.dev99:
  * gnocchi: set the default archive policy to None
  * Factorize field definition of declarative code
* Wed Nov  4 2015 cloud-devel@suse.de
- Update to version ceilometer-6.0.0.dev95:
  * Mv gabbi_pipeline.yaml into test directories
  * Wrong result is returned when call events getting API
  * tox: use pretty_tox in most places
  * Updated from global requirements
* Fri Oct 30 2015 cloud-devel@suse.de
- Update to version ceilometer-6.0.0.dev89:
  * configure Apache only when ceilometer-api is enabled
* Thu Oct 29 2015 cloud-devel@suse.de
- Update to version ceilometer-6.0.0.dev87:
  * avoid unnecessary inner join in get_resources() for SQL backend
  * reset policy per test
  * api: simplify root controller
* Mon Oct 26 2015 bwiedemann@suse.com
- Update to version ceilometer-6.0.0.dev81:
  * Updated from global requirements
  * Imported Translations from Zanata
  * avoid using isolation level
  * specify runtime environment for scripts
  * Using oslo-config-generator to instead of generate-config-file.sh
  * Use gnocchiclient for integration script
  * Correct the timestamp type when make test samples data
  * Updated from global requirements
  * avoid generate temporary table when query samples
  * api: simplify Pecan config
  * Use oslo_config PortOpt support
* Fri Oct 23 2015 mmnelemane@suse.com
- Added python-requests-aws package required by object-store rgw
  - ceilometer authenticates with rgw interface using awsauth
* Tue Oct 20 2015 cloud-devel@suse.de
- Update to version ceilometer-6.0.0.dev63:
  * Reject posting sample with direct=true if Gnocchi is enabled
  * make script under tools directory executable
  * Updated from global requirements
  * Added the README.rst in devstack folder
  * devstack: fix debug info for Gnocchi
* Sun Oct 18 2015 cloud-devel@suse.de
- Update to version ceilometer-6.0.0.dev54:
  * fix image_ref attr in gnocchi resource
* Sat Oct 17 2015 cloud-devel@suse.de
- Update to version ceilometer-6.0.0.dev52:
  * fix tools/make_test_event_data.py
  * support mysql+pymysql in functional test
  * Updated from global requirements
  * Remove dependency on sphinxcontrib-docbookrestapi
  * remove instance:FLAVOR related code and docs
  * Do collector setup and storage cleanup for all backends
* Fri Oct 16 2015 cloud-devel@suse.de
- Update to version ceilometer-6.0.0.dev41:
  * gnocchi: remove possible ending / in URL
  * change collector_workers to [collector]workers
  * Enable POST samples API when gnocchi enabled
  * Deprecate event trait plugin 'split'
  * Clean some log messages when polling neutron resources
  * Simplify the validation of required fields of pipeline source
  5.0.0
  * Imported Translations from Zanata
  * SQL: Fix event-list with multiple trait query filters
  * Fix the deprecation note in meter.yaml
* Thu Oct 15 2015 cloud-devel@suse.de
- Update to version ceilometer-6.0.0.dev59:
  * Block oslo.messaging 2.6.1 release
* Tue Oct 13 2015 cloud-devel@suse.de
- Update to version ceilometer-6.0.0.dev58:
  * Add Liberty release note link
  * Fix make_test_data.sh
  * Imported Translations from Zanata
* Mon Oct 12 2015 cloud-devel@suse.de
- Update to version ceilometer-6.0.0.dev53:
  * Imported Translations from Zanata
* Sun Oct 11 2015 cloud-devel@suse.de
- Update to version ceilometer-6.0.0.dev51:
  * Be explicit when copying files to /etc/ceilometer
  * Updated from global requirements
  * mark logging.info translation accordingly
* Fri Oct  9 2015 cloud-devel@suse.de
- Update to version ceilometer-6.0.0.dev46:
  * doc: service enablement not necessary when using Devstack plugin
  * Skip bad meter definitions instead of erroring out
  * logging cleanup
* Thu Oct  8 2015 cloud-devel@suse.de
- Update to version ceilometer-6.0.0.dev40:
  * Remove the unused network_get_all method
  * Updated from global requirements
  * Remove last vestiges of devstack from grenade plugin
  * Add missing ceilometerclient repo location
  * Fix for resource polling warnings
* Tue Oct  6 2015 tbechtold@suse.com
- Fix oslo-config-generator call and adjust BuildRequires
  for config generation
* Sat Oct  3 2015 cloud-devel@suse.de
- Update to version ceilometer-6.0.0.dev31:
  * Remove deprecated archive policy map for Gnocchi
* Wed Sep 30 2015 cloud-devel@suse.de
- Update to version ceilometer-6.0.0.dev29:
  * SQL: Fix event-list with multiple trait query filters
  * Rename list_events tests to list_samples tests
* Wed Sep 30 2015 cloud-devel@suse.de
- Update to version ceilometer-6.0.0.dev25:
  * Fix the bug of "Error spelling of a word"
  * Imported Translations from Zanata
  * Fix a mistake in a test
  * fix elasticsearch script reference
  * Fix the deprecation note in meter.yaml
  * doc: update devstack usage
* Tue Sep 29 2015 cloud-devel@suse.de
- Update to version ceilometer-6.0.0.dev14:
  * Remove enable_notification.sh
  * Parametrize table_prefix_separator in hbase
  * Ensure the test data sample has correct signature
* Mon Sep 28 2015 cloud-devel@suse.de
- Update to version ceilometer-6.0.0.dev8:
  * Imported Translations from Zanata
  * mongodb: remove deprecated replica_set support
* Sat Sep 26 2015 cloud-devel@suse.de
- Update to version ceilometer-6.0.0.dev4:
  * fix typo in storage/impl_sqlalchemy
  * devstack: install all configuration files from etc/
  * Open Mitaka development
  5.0.0.0rc1
  * gnocchi: Don't raise NotImplementedError
  * Add missing meter and exchange opts
  * Add test to cover history rule change
  * Don't create neutron client at loadtime
* Thu Sep 24 2015 cloud-devel@suse.de
- Update to version ceilometer-5.0.0.0b4.dev133:
  * Imported Translations from Zanata
  * Workaround requests/urllib connection leaks
  * integration tests: additional debugging infos
  * Coordinator handles ToozError when joining group
  * Delete its corresponding history data when deleting an alarm
  * update event filter test to validate multiple trait args
* Wed Sep 23 2015 cloud-devel@suse.de
- Update to version ceilometer-5.0.0.0b4.dev123:
  * Updated from global requirements
  * Fix reconnecting to libvirt
  * remove batch processing requirement from arithmetic transformer
  * add delta transfomer support
* Tue Sep 22 2015 cloud-devel@suse.de
- Update to version ceilometer-5.0.0.0b4.dev115:
  * Fix variable typos
  * Change ignore-errors to ignore_errors
  * retain existing listeners on refresh
  * tox: generate config file on test run
* Mon Sep 21 2015 cloud-devel@suse.de
- Update to version ceilometer-5.0.0.0b4.dev108:
  * Cleanup empty dirs from tests
  * Override dispatcher option for test_alarm_redirect_keystone
  * [ceilometer] Update links to Cloud Admin Guide
  * Adds support for dynamic event pipeline
  * Updated from global requirements
  * Imported Translations from Zanata
  * pollster/api now publish to sample queue
  * tox: Allow to pass some OS_* variables
  * Refactor keystone handling in discovery manager
  * Use make_sample_from_instance for net-pollster
  * apply limit constraint on storage base interface
  * gnocchi: add two new resources
  * Fixed tox -egenconfig Error
  * Add declarative meters to developer docs
  * do not recreate main queue listeners on partitioning
  * Prevent ceilometer expirer from causing deadlocks
* Wed Sep 16 2015 cloud-devel@suse.de
- Update to version ceilometer-5.0.0.0b4.dev77:
  * Validate required fields in meter definition
  * deprecate cadf_only http dispatcher
* Wed Sep 16 2015 tbechtold@suse.com
- Update to version ceilometer-5.0.0.0b4.dev73:
  * Remove useless base class
- Adjust Requires according to requirements.txt
* Tue Sep 15 2015 cloud-devel@suse.de
- Update to version ceilometer-5.0.0.0b4.dev71:
  * Fix the heavy time cost of event-list
  * Update API Doc to deprecate the alarming part
  * Deprecate config options of the old alarming functionality
  * Add attribute 'state' to meter metadata when source is polling
  * Split out image non-meters
* Mon Sep 14 2015 cloud-devel@suse.de
- Update to version ceilometer-5.0.0.0b4.dev61:
  * update architecture documentation
  * Make the gabbi tox target work with modern tox
* Fri Sep 11 2015 cloud-devel@suse.de
- Update to version ceilometer-5.0.0.0b4.dev58:
  * Avoid 500 errors when duplicating limit queries
  * Correct test_list_meters_meter_id to work with py3
  * devstack: add new option to support event-alarm
* Thu Sep 10 2015 cloud-devel@suse.de
- Update to version ceilometer-5.0.0.0b4.dev53:
  * Updated from global requirements
  * Update event_definitions for Cinder Image Cache
  * Update install docs
  * Use b64encode to replace of encodestring
  * remove duplicate log exception message
  * Spelling mistake of comment in api/controllers/v2/query.py
  * Fix typos in gnocchi.py and converter.py
  * Updated from global requirements
  * Updated from global requirements
  * Add a py34-functional tox target
  * doc: update notification_driver
  * polling: remove deprecated agents
  * Fix string in limit warning
  * Typo fixing
  * missed entrypoint for nova_notifier removal
  * Imported Translations from Transifex
  * Fix links in README.rst
  * integration: Add debugging information
  * deprecate db2 nosql driver
  * Sync devstack plugin with devstack:lib/ceilometer
  * Updated from global requirements
  * remove old nova_notifier processing code
  5.0.0.0b3
  * restrict admin event access
  * Migrate the old snmp pollsters to new declarative pollster
  * Support to load pollsters extensions at runtime
  * Added snmp declarative hardware pollster
* Thu Aug  6 2015 cloud-devel@suse.de
- Update to version ceilometer-5.0.0.0b3.dev36:
  * minimise scope of hmac mocking
  * Updated from global requirements
  * gnocchi: retry with a new token on 401
  * Fix some gabbi tests
  * Corrected unit of snmp based harware disk and memory meters
* Wed Aug  5 2015 cloud-devel@suse.de
- Update to version ceilometer-5.0.0.0b3.dev26:
  * mongo: fix last python3 bugs
  * [MongoDB] Refactor indexes for meter and resources
* Tue Aug  4 2015 cloud-devel@suse.de
- Update to version ceilometer-5.0.0.0b3.dev22:
  * Masks messaging_urls in logs during debug mode
  * Add a batch_polled_samples configuration item
* Sun Aug  2 2015 cloud-devel@suse.de
- Update to version ceilometer-5.0.0.0b3.dev19:
  * Provide base method for inspect_memory_resident
  * Fix Python 3 issue in opendaylight client
  * Fix more tests on Python 3
  * tests: add an integration test
  * gnocchi: reduce the number of patch to gnocchi API
* Sat Aug  1 2015 cloud-devel@suse.de
- Update to version ceilometer-5.0.0.0b3.dev9:
  * Remove the compute inspector choice restriction
  * Fix WSGI replacement_start_response() on Python 3
  * Make the partition coordinator log more readable
  5.0.0.0b2
  * Instance Cache in Node Discovery Pollster
  * Imported Translations from Transifex
  * fix gnocchi resources yaml
  * distributed coordinated notifications
* Fri Jul 31 2015 cloud-devel@suse.de
- Update to version ceilometer-5.0.0.0b2.dev142:
  * [MongoDB] Use a aggregate pipeline in statistics
  * Instance Caching
* Thu Jul 30 2015 cloud-devel@suse.de
- Update to version ceilometer-5.0.0.0b2.dev138:
  * Import the api opt group in gabbi fixture
  * Remove redundant comma
  * storage: deprecates mongodb_replica_set option
* Tue Jul 28 2015 cloud-devel@suse.de
- Update to version ceilometer-5.0.0.0b2.dev133:
  * Improves send_test_data tools
  * Replace isotime() with utcnow() and isoformat()
  * Close and dispose test database setup connections
* Sat Jul 25 2015 cloud-devel@suse.de
- Update to version ceilometer-5.0.0.0b2.dev127:
  * Imported Translations from Transifex
  * Updated from global requirements
  * api: Redirect request to aodh if available
  * api: return 410 if only Gnocchi is enabled
  * Move gnocchi resources definition in yaml file
  * Send a notification per sample, do not batch
* Fri Jul 24 2015 seife+obs@b1-systems.com
- fix non-SUSE distro dependencies
* Fri Jul 24 2015 cloud-devel@suse.de
- Update to version ceilometer-5.0.0.0b2.dev116:
  * Fix broken IPMI agent
  * add mandatory limit value to meter list
  * add mandatory limit value to resource list
  * add mandatory limit value to event list
  * Handles dns.domain.exists event in Ceilometer
  * Pollsters now send notifications without doing transforms
* Wed Jul 22 2015 cloud-devel@suse.de
- Update to version ceilometer-5.0.0.0b2.dev104:
  * make notifier default event publisher
  * Sort metric data before grouping and processing
* Wed Jul 22 2015 cloud-devel@suse.de
- Update to version ceilometer-5.0.0.0b2.dev100:
  * Imported Translations from Transifex
  * Switch to the oslo_utils.fileutils
  * Updated from global requirements
  * Add necessary executable permission
  * add Trove(DBaaS) events
  + Require python-cachetools
* Mon Jul 20 2015 cloud-devel@suse.de
- Update to version ceilometer-5.0.0.0b2.dev90:
  * Use choices for hypervisor_inspector option
* Sun Jul 19 2015 cloud-devel@suse.de
- Update to version ceilometer-5.0.0.0b2.dev88:
  * The product name Vsphere should be vSphere
  * Fix gnocchi DispatcherTest tests
* Sat Jul 18 2015 cloud-devel@suse.de
- Update to version ceilometer-5.0.0.0b2.dev85:
  * Store and restore the xtrace option in devstack plugin
  * gnocchi: Remove useless resources patching
  * Delay the start of the collector until after apache restart
  * Clean the re-implemented serializers in Ceilometer
* Fri Jul 17 2015 cloud-devel@suse.de
- Update to version ceilometer-5.0.0.0b2.dev77:
  * Set conf.gnocchi_dispatcher.url explicitly in tests
  * Declarative meters support
* Thu Jul 16 2015 cloud-devel@suse.de
- Update to version ceilometer-5.0.0.0b2.dev73:
  * Stop the tests if backend hasn't started
  * monkey_patch thread in tests
* Tue Jul 14 2015 cloud-devel@suse.de
- Update to version ceilometer-5.0.0.0b2.dev71:
  * Namespace functions in devstack plugin
  * Make ceilometer work correctly when hosted with a SCRIPT_NAME
  * Implementation of dynamically reloadable pipeline
* Mon Jul 13 2015 cloud-devel@suse.de
- Update to version ceilometer-5.0.0.0b2.dev65:
  * disable non-metric meters
* Sat Jul 11 2015 cloud-devel@suse.de
- Update to version ceilometer-5.0.0.0b2.dev63:
  * Added valid values of operator to response body
  * gnocchi: fixes the instance flavor type
  * gnocchi dispatcher: fix typo in stevedore endpoint
  * Imported Translations from Transifex
* Fri Jul 10 2015 cloud-devel@suse.de
- Update to version ceilometer-5.0.0.0b2.dev56:
  * Tolerate alarm actions set to None
* Thu Jul  9 2015 cloud-devel@suse.de
- Update to version ceilometer-5.0.0.0b2.dev55:
  * fix log msg typo in api utils
  * Updated from global requirements
  * Add documentation about the usage of api-no-pipline
  * drop deprecated pipeline
  * Improve doc strings after changing method for index creation
  * set default limit to meter/sample queries
  * collector: fix test raising error
  * Remove test-requirements-py3.txt
  * remove unused event query
  * Create a devstack plugin for ceilometer
  * Add support for posting samples to notification-agent via API
  * restore long uuid data type
  * Revert "Add support for posting samples to notification-agent via API"
  * Update alarm history only if change in alarm property
  * test error log - catch dummy error
  * fix kafka tests from flooding logs
  * catch warnings from error tests
  * remove unused notifier
  * Add support for posting samples to notification-agent via API
  * Replaces methods deprecated in pymongo3.0
  * Imported Translations from Transifex
  * Switch to using pbr's autodoc capability
  * Optionally create trust for alarm actions
* Wed Jun 24 2015 cloud-devel@suse.de
- Update to version ceilometer-5.0.0.0b2.dev17:
  * Stop dropping deprecated tables while upgrade in mongodb and db2
  * Add handler of sample creation notification
  * Remove the unused get_targets method of plugin base
  * add oslo.service options
  * Restricts pipeline to have unique source names
  * drop use of oslo.db private attribute
  * Fix oslo.service configuration options building
  * Add fileutils to openstack-common.conf
  * Remove unnecessary wrapping of transformer ExtentionManager
  * Replaces ensure_index for create_index
* Tue Jun 23 2015 cloud-devel@suse.de
- Update to version ceilometer-5.0.0.0b2.dev1:
  5.0.0.0b1
  * Remove unnecessary executable permission
  * Switch to oslo.service
  * For sake of future python3 encode FakeMemcache hashes
* Mon Jun 22 2015 cloud-devel@suse.de
- Update to version ceilometer-5.0.0.0a1.dev11:
  * Port test_complex_query to Python 3
  * Fix expected error message on Python 3
  * Fix usage of iterator/list on Python 3
  * pip has its own download cache by default
  * Update version for Liberty
* Fri Jun 19 2015 cloud-devel@suse.de
- Update to version ceilometer-2015.2.0.dev4:
  * Gnocchi Dispatcher support in Ceilometer
  * Fix unicode/bytes issues in API v2 tests
* Thu Jun 18 2015 cloud-devel@suse.de
- Update to version ceilometer-2015.2.0.dev1:
  * Make acl_scenarios tests' keystonemiddleware cache work flexibly
  5.0.0a0
* Thu Jun 18 2015 cloud-devel@suse.de
- Update to version ceilometer-2015.2.0.dev158:
  * Updated from global requirements
  * Fix alarm rest notifier logging to include severity
  * Remove useless execute bit on rst file
  * Fix the meter unit types to be consistent
  * Remove snapshot.update events as they are not sent
* Tue Jun 16 2015 cloud-devel@suse.de
- Update to version ceilometer-2015.2.0.dev149:
  * Fix script name in tox.ini for Elasticsearch
  * [elasticsearch] default trait type to string
* Mon Jun 15 2015 cloud-devel@suse.de
- Update to version ceilometer-2015.2.0.dev145:
  * tests: use policy_file in group oslo_policy
  * Fix publisher test_udp on Python 3
  * Lower down the range for columns which are being used as uuid
* Sun Jun 14 2015 cloud-devel@suse.de
- Update to version ceilometer-2015.2.0.dev140:
  * Fix Ceph object store tests on Python 3
  * Port IPMI to Python 3
  * Port middleware to Python 3
  * Updated from global requirements
* Thu Jun 11 2015 cloud-devel@suse.de
- Update to version ceilometer-2015.2.0.dev136:
  * Sync with latest oslo-incubator
  * Remove deprecated Swift middleware
  * add DNS events
  * Handle database failures on api startup
  * Remove pagination code
  * Switch from MySQL-python to PyMySQL
  2015.1.0
  * Have eventlet monkeypatch the time module
  * Updated from global requirements
  * Fix valueerror when ceilometer-api start
  * use message id to generate hbase unique key
  * gnocchi: fix typo in the aggregation endpoint
  * Release Import of Translations from Transifex
  * update .gitreview for stable/kilo
  2014.2
  * Fix recording failure for system pollster
  * Add oslo.db to config generator
  2014.2.rc2
  * Manually updated translations
  * Fix neutron client to catch 404 exceptions
  * Fix OrderedDict usage for Python 2.6
* Wed Jun 10 2015 cloud-devel@suse.de
- Update to version ceilometer-2015.2.0.dev146:
  * Fix testing of agent manager with tooz
  * Fix more tests on Python 3
  * Remove old oslo.messaging aliases
  * Remove useless versioninfo and clean ceilometer.conf git exclusion
  * Add running functional scripts for defined backend
  * Cause gabbi to skip on no storage sooner
* Sat Jun  6 2015 cloud-devel@suse.de
- Update to version ceilometer-2015.2.0.dev135:
  * Register oslo_log options before using them
* Fri Jun  5 2015 cloud-devel@suse.de
- Update to version ceilometer-2015.2.0.dev134:
  * WSME version >=0.7 correctly returns a 405
  * Remove iso8601 dependency
  * [unittests] Increase agent module unittests coverage
* Thu Jun  4 2015 cloud-devel@suse.de
- Update to version ceilometer-2015.2.0.dev128:
  * TraitText value restricted to max length 255
  * Updated from global requirements
  * Move eventlet using commands into own directory
  * Disable rgw pollster when aws module not found
  * Fixes DiskInfoPollster AttributeError exception
* Wed Jun  3 2015 cloud-devel@suse.de
- Update to version ceilometer-2015.2.0.dev118:
  * adjust alarm post ut code to adapt to upstream wsme
  * remove useless log message
* Fri May 29 2015 cloud-devel@suse.de
- Update to version ceilometer-2015.2.0.dev115:
  * use oslo.log instead of oslo-incubator code
  * Port test_inspector to Python 3
  * Fix usage of dictionary methods on Python 3
  * Imported Translations from Transifex
  * Add oslo.vmware to Python 3 test dependencies
  * Enable test_swift_middleware on Python 3
* Thu May 28 2015 cloud-devel@suse.de
- Update to version ceilometer-2015.2.0.dev104:
  * Clear useless exclude from flake8 ignore in tox
* Wed May 27 2015 cloud-devel@suse.de
- Update to version ceilometer-2015.2.0.dev102:
  * Enable more tests on Python 3
  * Skip hbase tests on Python 3
  * Stop importing print_function
  * Fixing event types pattern for Role Noti. handler
  * Initial commit for functional tests
* Tue May 26 2015 dmueller@suse.com
- run ceilometer-expirer as ceilometer (bnc#930574)
* Tue May 26 2015 cloud-devel@suse.de
- Update to version ceilometer-2015.2.0.dev92:
  * Remove useless release script in tools
  * Remove useless dependency on posix_ipc
  * Remove exceute bit on HTTP dispatcher
  * Remove oslo.messaging compat from Havana
  * Mask database.event_connection details in logs
  * ensure collections created on upgrade
* Sat May 23 2015 cloud-devel@suse.de
- Update to version ceilometer-2015.2.0.dev80:
  * Python 3: encode to UTF-8 when needed
* Wed May 20 2015 cloud-devel@suse.de
- Update to version ceilometer-2015.2.0.dev78:
  * Python 3: replace long with int
  * Python 3: sort tables by their full name
* Tue May 19 2015 cloud-devel@suse.de
- Update to version ceilometer-2015.2.0.dev74:
  * Python 3: Replace unicode with six.text_type
  * Python 3: generalize the usage of the six module
  * Update Python 3 requirements
  * Python 3: set __bool__() method on Namespace
  * Python 3: replace sys.maxint with sys.maxsize
* Sat May 16 2015 cloud-devel@suse.de
- Update to version ceilometer-2015.2.0.dev65:
  * proposal to add Chris Dent to Ceilometer core
  * small change to development.rst file
* Wed May 13 2015 cloud-devel@suse.de
- Update to version ceilometer-2015.2.0.dev61:
  * Update a test to properly anticipate HTTP 405 for RestController
* Tue May 12 2015 cloud-devel@suse.de
- Update to version ceilometer-2015.2.0.dev60:
  * rebuild event model only for database writes
  * cleanup problem events logic in event db storage
  * Improve ceilometer-api install documentation
* Sat May  9 2015 cloud-devel@suse.de
- Update to version ceilometer-2015.2.0.dev54:
  * Imported Translations from Transifex
* Fri May  8 2015 cloud-devel@suse.de
- Update to version ceilometer-2015.2.0.dev52:
  * fix incorrect docstring for dispatcher
* Thu May  7 2015 cloud-devel@suse.de
- Update to version ceilometer-2015.2.0.dev51:
  * api: record severity change in alarm history
  * VMware: verify vCenter server certificate
  * Add hardware memory buffer and cache metrics
  * Make interval optional in pipeline
  * empty non-string values are returned as string traits
  * Trait_* models have incorrect type for key
  * stop mocking os.path in test_setup_events_default_config
  * Override gnocchi_url configuration in test
* Wed May  6 2015 tbechtold@suse.com
- Adjust Requires according to requirements.txt
* Thu Apr 30 2015 cloud-devel@suse.de
- Update to version ceilometer-2015.2.dev41:
  * Remove py33 tox target
* Wed Apr 29 2015 cloud-devel@suse.de
- Update to version ceilometer-2015.2.dev39:
  * Drop use of 'oslo' namespace package
  * made change to mod_wsgi.rst file
  * Fix raise error when run "tox -egenconfig"
  * Move ceilometer/cli.py to ceilometer/cmd/sample.py
* Tue Apr 28 2015 jsuchome@suse.cz
- move the cron jon to collector package (bnc#926596)
* Mon Apr 27 2015 cloud-devel@suse.de
- Update to version ceilometer-2015.2.dev32:
  * Updated from global requirements
  * Fix None TypeError in neutron process notifications
  * Have eventlet monkeypatch the time module
  * Add the function of deleting alarm history
  * Fix valueerror when ceilometer-api start
  * remove deprecated partitioned alarm service
* Wed Apr 22 2015 cloud-devel@suse.de
- Update to version ceilometer-2015.2.dev24:
  * Replace 'metrics' with 'meters' in option and doc
* Tue Apr 21 2015 cloud-devel@suse.de
- Update to version ceilometer-2015.2.dev22:
  * Fix Copyright date in docs
  * use message id to generate hbase unique key
* Fri Apr 17 2015 cloud-devel@suse.de
- Update to version ceilometer-2015.2.dev19:
  * gnocchi: fix typo in the aggregation endpoint
  * broadcast data to relevant queues only
  * fix combination alarm with operator == 'or'
  * Updated from global requirements
* Sun Apr 12 2015 cloud-devel@suse.de
- Update to version ceilometer-2015.2.dev11:
  * Imported Translations from Transifex
* Sat Apr 11 2015 cloud-devel@suse.de
- Update to version ceilometer-2015.2.dev10:
  * Fix a samples xfail test that now succeeds
  * Cosmetic changes for system architecture docs
  * limit alarm actions
* Fri Apr 10 2015 cloud-devel@suse.de
- Update to version ceilometer-2015.2.dev4:
  2015.1.0rc1
  * proposal to add ZhiQiang Fan to Ceilometer core
  * Open Liberty development
  * Fix a issue for kafka-publisher and refactor the test code
  * pymongo 3.0 breaks ci gate
  * use oslo.messaging dispatch filter
  * Further mock adjustments to deal with intermittent failure
  * Adds support for default rule in ceilometer policy.json
  * Use oslo_vmware instead of deprecated oslo.vmware
  * reset croniter to avoid cur time shift
  * Avoid conflict with existing gnocchi_url conf value
* Wed Apr  8 2015 cloud-devel@suse.de
- Update to version ceilometer-2015.1.dev55:
  * Updated from global requirements
  * Remove 'samples:groupby' from the Capabilities list
  * Use old name of 'hardware.ipmi.node.temperature'
  * Tweak authenticate event definition
* Sat Apr  4 2015 cloud-devel@suse.de
- Update to version ceilometer-2015.1.dev47:
  * Revert "remove instance:<flavor> meter"
  * Add project and domain ID to event definition for identity CRUD
* Fri Apr  3 2015 cloud-devel@suse.de
- Update to version ceilometer-2015.1.dev45:
  * Fix the event type for trusts
* Wed Apr  1 2015 cloud-devel@suse.de
- Update to version ceilometer-2015.1.dev44:
  * Imported Translations from Transifex
  * Avoid a error when py27 and py-mysql tests run in sequence
  * remove instance:<flavor> meter
  * support ability to skip message signing
* Tue Mar 31 2015 cloud-devel@suse.de
- Update to version ceilometer-2015.1.dev37:
  * Stop using PYTHONHASHSEED=0 in ceilometer tests
  * Added ipv6 support for udp publisher
  * Remove the unnecessary dependency to netaddr
  * Optimize the flow of getting pollster resources
* Sat Mar 28 2015 cloud-devel@suse.de
- Update to version ceilometer-2015.1.dev30:
  * Using oslo.db retry decorator for sample create
  * alarm: Use new gnocchi aggregation API
  * collector: enable the service to listen on IPv6
  * minimise the use of hmac
  * support disabling profiler and http meters
  * drop deprecated novaclient.v1_1
  * Add gabbi tests to explore the Meter and MetersControllers
* Fri Mar 27 2015 cloud-devel@suse.de
- Update to version ceilometer-2015.1.dev16:
  * Ceilometer retrieve all images by 'all-tenants'
  * fix incorrect key check in swift notifications
  * Updated from global requirements
* Thu Mar 26 2015 cloud-devel@suse.de
- Update to version ceilometer-2015.1.dev10:
  * Typo in pylintrc
* Wed Mar 25 2015 cloud-devel@suse.de
- Update to version ceilometer-2015.1.dev8:
  * ensure collections created on upgrade
  * refuse to post sample which is not supported
  * exclude precise metaquery in query field
* Tue Mar 24 2015 cloud-devel@suse.de
- Update to version ceilometer-2015.1.dev2:
  * Fix common misspellings
* Sat Mar 21 2015 cloud-devel@suse.de
- Update to version ceilometer-2015.1.dev1:
  * Enable collector to requeue samples when enabled
  2015.1.0b3
* Thu Mar 19 2015 cloud-devel@suse.de
- Update to version ceilometer-2015.1.dev198:
  * Imported Translations from Transifex
  * remove log message when process notification
  * Fix typos and format in docstrings in http dispatcher
  * add ability to dispatch events to http target
  * add ability to publish to multiple topics
* Wed Mar 18 2015 cloud-devel@suse.de
- Update to version ceilometer-2015.1.dev188:
  * Add gabbi tests for resources
  * doc: fix class name
  * Add memory.resident libvirt meter for Ceilometer
* Tue Mar 17 2015 cloud-devel@suse.de
- Update to version ceilometer-2015.1.dev183:
  * make field and value attributes mandatory in API Query
  * Fix db2 upgrade in multi-thread run issue
  * Update reference
* Sat Mar 14 2015 cloud-devel@suse.de
- Update to version ceilometer-2015.1.dev178:
  * Check the namespaces duplication for ceilometer-polling
  * add network, kv-store, and http events
* Fri Mar 13 2015 cloud-devel@suse.de
- Update to version ceilometer-2015.1.dev174:
  * Imported Translations from Transifex
  * mysql doesn't understand intersect
  * order traits returned within events
  * Add support for additional identity events
* Thu Mar 12 2015 cloud-devel@suse.de
- Update to version ceilometer-2015.1.dev167:
  * Add a Kafka publisher as a Ceilometer publisher
  * Fix response POST /v2/meters/(meter_name) to 201 status
  * Attempt to set user_id for identity events
  * Switch to oslo.policy 0.3.0
  * normalise timestamp in query
  * Updated from global requirements
* Wed Mar 11 2015 cloud-devel@suse.de
- Update to version ceilometer-2015.1.dev155:
  * Add more power and thermal data
  * Fix formatting error in licence
  * Added option to allow sample expiration more frequently
  * add option to store raw notification
  * alarming: add gnocchi alarm rules
* Wed Mar  4 2015 cloud-devel@suse.de
- Update to version ceilometer-2015.1.dev147:
  * use mongodb distinct
  * remove event_types ordering assumption
  * Add gabbi tests to cover the SamplesController
  * Tidy up clean-samples.yaml
  * correct column types in events
* Tue Mar  3 2015 cloud-devel@suse.de
- Update to version ceilometer-2015.1.dev139:
  * api: fix alarm creation if time_constraint is null
  * fix log message format in event.storage.impl_sqlalchemy
  * Remove duplications from docco
  * Fix a few typos in the docs
  * api: move alarm rules into they directory
  * Patch for fixing hardware.memory.used metric
* Sat Feb 28 2015 cloud-devel@suse.de
- Update to version ceilometer-2015.1.dev127:
  * use default trait type in event list query
  * fix wrong string format in libvirt inspector
  * create a developer section and refactor
  * fix config opts in objectstore.rgw
  * Updated from global requirements
* Fri Feb 27 2015 cloud-devel@suse.de
- Update to version ceilometer-2015.1.dev118:
  * Do not default pecan_debug to CONF.debug
  * Adding Gabbi Tests to Events API
* Thu Feb 26 2015 cloud-devel@suse.de
- Update to version ceilometer-2015.1.dev115:
  * support time to live on event database for sql backend
  * add an option to disable non-metric meters
  * add missing objectstore entry points
  * Initial gabbi testing for alarms
  * reorganise architecture page
  * Use oslo_config choices support
  * fix inline multiple assignment
* Wed Feb 25 2015 cloud-devel@suse.de
- Update to version ceilometer-2015.1.dev103:
  * Add ceph object storage meters
  * compress events notes
  * Fix unittests for supporting py-pgsql env
  * Adding links API and CLI query examples
* Tue Feb 24 2015 cloud-devel@suse.de
- Update to version ceilometer-2015.1.dev95:
  * Protect agent startup from import errors in plugins
  * Revert "Add ceph object storage meters"
  * Add ceph object storage meters
* Sat Feb 21 2015 cloud-devel@suse.de
- Update to version ceilometer-2015.1.dev89:
  * Destroy fixture database after each gabbi TestSuite
  * Be explicit about using /tmp for temporary datafiles
* Fri Feb 20 2015 cloud-devel@suse.de
- Update to version ceilometer-2015.1.dev85:
  * [PostgreSQL] Fix regexp operator
  * Add clean_exit for py-pgsql unit tests
* Thu Feb 19 2015 cloud-devel@suse.de
- Update to version ceilometer-2015.1.dev82:
  * modify events sql schema to reduce empty columns
  * check metering_connection attribute by default
  * unicode error in event converter
  * cleanup measurements page
  * start recording error notifications
* Tue Feb 17 2015 cloud-devel@suse.de
- Update to version ceilometer-2015.1.dev72:
  * Remove duplicated resource when pollster polling
  * api: add missing combination_rule field in sample
  * Fix test case of self-disabled pollster
  * update event architecture diagram
* Mon Feb 16 2015 cloud-devel@suse.de
- Update to version ceilometer-2015.1.dev64:
  * use configured max_retries and retry_interval for database connection
  * Updated from global requirements
* Sat Feb 14 2015 cloud-devel@suse.de
- Update to version ceilometer-2015.1.dev60:
  * Making utilization the default spelling
  * Use werkzeug to run the developement API server
* Fri Feb 13 2015 dmueller@suse.com
- update logrotate conf
* Fri Feb 13 2015 cloud-devel@suse.de
- Update to version ceilometer-2015.1.dev56:
  * Add Disk Meters for ceilometer
  * correctly leave group when process is stopped
  * Updated from global requirements
  * enable oslo namespace check for ceilometer project
  * Add doc for version list API
* Thu Feb 12 2015 cloud-devel@suse.de
- Update to version ceilometer-2015.1.dev46:
  * Enabling self-disabled pollster
  * Imported Translations from Transifex
  * switch to oslo_serialization
  * move non-essential libs to test-requirements
  * clean up to use common service code
* Wed Feb 11 2015 cloud-devel@suse.de
- Update to version ceilometer-2015.1.dev37:
  * Validate default values in config
  * fix the value of query_spec.maxSample to advoid to be zero
  * metering data ttl sql backend breaks resource metadata
  * Refactor unit test code for disk pollsters
  * Drop deprecated namespace for oslo.rootwrap
* Tue Feb 10 2015 cloud-devel@suse.de
- Update to version ceilometer-2015.1.dev27:
  * Add more sql test scenarios
  * [SQLalchemy] Add regex to complex queries
  * Fix duplication in sinks names
  * Remove no_resource hack for IPMI pollster
  * Add local node resource for IPMI pollsters
* Sat Feb  7 2015 cloud-devel@suse.de
- Update to version ceilometer-2015.1.dev18:
  * [MongoDB] Add regex to complex queries
* Fri Feb  6 2015 cloud-devel@suse.de
- Update to version ceilometer-2015.1.dev16:
  * Use stevedore to load alarm rules api
  * Imported Translations from Transifex
  * support time to live on event database for MongoDB
  2015.1.0b2
  * split api.controllers.v2
  * add elasticsearch events db
  * use debug value for pecan_debug default
  * Shuffle agents to send request
  * Updated from global requirements
  * Adds disk iops metrics implementation in Hyper-V Inspector
  * switch to oslo_i18n
* Wed Feb  4 2015 cloud-devel@suse.de
- Update to version ceilometer-2015.1.dev150:
  * discovery: allow to discover all endpoints
  * Declarative HTTP testing for the Ceilometer API
  * add listener to pick up notification from ceilometermiddleware
  * remove empty module tests.collector
  * Add disk latency metrics implementation in Hyper-V Inspector
  * add event listener to collector
  * add notifier publisher for events
* Tue Feb  3 2015 cloud-devel@suse.de
- Update to version ceilometer-2015.1.dev137:
  * enable event pipeline
  * Imported Translations from Transifex
  * deprecate swift middleware
  * sync oslo and bring in versionutils
  * Expose alarm severity in Alarm Model
  * Hyper-V: Adds memory metrics implementation
  * Remove mox from requirements
  * Fix IPMI unit test to cover different platforms
  * adjust import group order in db2 ut code
  * add event pipeline
  * Disable proxy in unit test case of test_bin
  * add glance events
* Thu Jan 29 2015 cloud-devel@suse.de
- Update to version ceilometer-2015.1.dev115:
  * Upgrade to hacking 0.10
* Wed Jan 28 2015 cloud-devel@suse.de
- Update to version ceilometer-2015.1.dev113:
  * Fix docs repeating measuring units
* Tue Jan 27 2015 tbechtold@suse.com
- Update to version ceilometer-2015.1.dev111:
  * remove unexistent module from doc/source/conf.py
  * Remove the Nova notifier
  * Remove argparse from requirements
  * [MongoDB] Improves get_meter_statistics method
  * [DB2 nosql] Create TIMESTAMP type index for 'timestamp' field
  * remove pytidylib and netifaces from tox.ini external dependency
  * Avoid unnecessary API dependency on tooz & ceilometerclient
  * Correct name of "ipmi" options group
  * Fix Opencontrail pollster according the API changes
  * enable tests.storage.test_impl_mongodb
  * Remove lockfile from requirements
  * Disable eventlet monkey-patching of DNS
  * Expose vm's metadata to metrics
  * Adding build folders & sorting gitignore
  * Add Event and Trait API to document
  * Refactor ipmi agent manager
  * Use alarm's evaluation periods in sufficient test
  * Use oslo_config instead of deprecated oslo.config
  * Avoid executing ipmitool in IPMI unit test
  * Updated from global requirements
  * Add a direct to database publisher
  * Fixed MagnetoDB metrics title
  * Imported Translations from Transifex
  * Fix incorrect test case name in test_net.py
  * Updated from global requirements
  * notification agent missing CONF option
  * Use right function to create extension list for agent test
  * Imported Translations from Transifex
  * Add an exchange for Zaqar in profiler notification plugin
  * Remove unused pecan configuration options
- Adjust Requires according to requirements.txt
- Add ceilometer-polling package
* Wed Jan 14 2015 aplanas@suse.com
- Add cronjob openstack-ceilometer-expirer
* Sat Dec 13 2014 cloud-devel@suse.de
- Update to version ceilometer-2015.1.dev277.ge3d6921:
  * RBAC Support for Ceilometer API Implementation
  * Make LBaaS total_connections cumulative
  * remove useless looping in pipeline
  * Encompassing one source pollsters with common context
* Fri Dec 12 2014 dmueller@suse.com
- fix pid handling in init scripts (bnc#908536)
* Fri Dec 12 2014 cloud-devel@suse.de
- Update to version ceilometer-2015.1.dev269.g7f57b56:
  * Improve links in config docs
  * Modify tests to support ordering of wsme types
  * Add some rally scenarios
* Thu Dec 11 2014 cloud-devel@suse.de
- Update to version ceilometer-2015.1.dev263.g9af8f52:
  * Make compute discovery pollster-based, not agent-level
  * Add docs about volume/snapshot measurements
  * Standardize timestamp fields of ceilometer API
* Wed Dec 10 2014 cloud-devel@suse.de
- Update to version ceilometer-2015.1.dev257.g28a2531:
  * Port to graduated library oslo.i18n
* Tue Dec  9 2014 cloud-devel@suse.de
- Update to version ceilometer-2015.1.dev256.g35c2061:
  * Retry to connect database when DB2 or mongodb is restarted
  * Updated from global requirements
  * Workflow documentation is now in infra-manual
  * Add alarm_name field to alarm notification
* Sat Dec  6 2014 cloud-devel@suse.de
- Update to version ceilometer-2015.1.dev248.g63b08aa:
  * Updated from global requirements
  * Override retry_interval in MongoAutoReconnectTest
* Fri Dec  5 2014 cloud-devel@suse.de
- Update to version ceilometer-2015.1.dev244.g31e5435:
  * Rely on VM UUID to fetch metrics in libvirt
  * Imported Translations from Transifex
  * Initializing a longer resource id in DB2 nosql backend
  * Sync oslo-incubator code to latest
  * [MongoDB] Fix bug with 'bad' chars in metadatas keys
  * add sahara and heat events
  * add keystone events to definitions
  * Tests for system and network aggregate pollsters
* Thu Dec  4 2014 cloud-devel@suse.de
- Update to version ceilometer-2015.1.dev228.gee18cde:
  * ensure unique list of consumers created
  * fix import oslo.concurrency issue
  * Do not print snmpd password in logs
  * Miniscule typo in metering_connection help string
  * [MongoDB] Add groupby ability on resource_metadata
* Wed Dec  3 2014 cloud-devel@suse.de
- Update to version ceilometer-2015.1.dev219.gda5c159:
  * add http dispatcher
* Tue Dec  2 2014 cloud-devel@suse.de
- Update to version ceilometer-2015.1.dev218.g098dd97:
  * Exclude tools/lintstack.head.py for pep8 check
* Mon Dec  1 2014 dmueller@suse.com
- install license files
* Fri Nov 28 2014 cloud-devel@suse.de
- Update to version ceilometer-2015.1.dev217.g85acec0:
  * Add encoding of rows and qualifiers in impl_hbase
  * Database.max_retries only override on sqlalchemy side
  * Support to capture network services notifications
  * Internal error with period overflow
  * Remove Python 2.6 classifier
  * Enable pep8 on ./tools directory
  * Imported Translations from Transifex
  * Fixes Hyper-V Inspector disk metrics cache issue
  * fix swift middleware parsing
  * Fix order of arguments in assertEqual
  * Updated from global requirements
  * Adapting pylint runner to the new message format
  * Validate AdvEnum & return an InvalidInput on error
  * Add timeout to all http requests
  * [MongoDB] Refactor time to live feature
  * transform samples only when transformers exist
  * Updated from global requirements
  * Remove module not really used by Ceilometer
  * Switch to oslo.concurrency
  * Skip to poll and publish when no resources found
  * Change event type for identity trust notifications
  * Add new notifications types for volumes/snapshots
  * Add encoding to keys in compute_signature
  * Add bandwidth to measurements
  * Fix wrong example of capabilities
  * Correct the mongodb_replica_set option's description
  * Alarms listing based on "timestamp"
  * Use 'pg_ctl' utility to start and stop database
  * Correct alarm timestamp field in unittest code
  * Remove duplicated config doc
* Mon Oct 13 2014 cloud-devel@suse.de
- Update to version ceilometer-2015.1.dev80.g42c3d48:
  * Add missed control exchange options to the documentation
  * Add coordination related options to the documentation
  * Add missing collector options to the documentation
  * Edit docs for docs.opentack.org/developer/
* Sat Oct 11 2014 cloud-devel@suse.de
- Update to version ceilometer-2015.1.dev73.gf7392e4:
  * Add oslo.db to config generator
* Fri Oct 10 2014 cloud-devel@suse.de
- Update to version ceilometer-2015.1.dev72.g4acc9e4:
  * Fix signature validation failure when using qpid message queue
  * clean capabilities
  * move db2 and mongo driver to event tree
  * move sql event driver to event tree
  * move hbase event driver to event tree
  * Sets default encoding for PostgreSQL testing
  * update database dispatcher to use events db
  * Add role assignment notifications for identity
  * Add user_metadata to network samples
  * Describe API versions
  * Timestamp bounds need not be tight (per ceilometer 1288372)
* Fri Oct 10 2014 tbechtold@suse.com
- Update to version ceilometer-2015.1.dev50.ga3d6ef2:
  * add mailmap to avoid dup of authors
  * Fix recording failure for system pollster
  * Updated from global requirements
  * Creates one database per sql test
  * Adds pylint check for critical error in new patches
  * Implement redesigned separator in names of columns in HBase
  * [HBase] Add migration script for new row separate design
  * Imported Translations from Transifex
  * Include a 'node' key and value in ipmi metadata
  * Run unit tests against PostgreSQL
  * create skeleton files for event storage backends
  * Imported Translations from Transifex
  * isolate event storage models
  * Fix neutron client to catch 404 exceptions
  * Updated from global requirements
  * Correct JSON-based query examples in documentation
  * Add cfg.CONF.import_group for service_credentials
  * Fix OrderedDict usage for Python 2.6
  * clean path in swift middleware
  * Provide __repr__ for SampleFilter
  * Eliminate unnecessary search for test cases
  * Fix help strings
- Remove 0001-Fix-OrderedDict-usage-for-Python-2.6.patch .
  Applied upstream.
* Thu Oct  9 2014 dmueller@suse.com
- remove Flask dependency
* Thu Oct  2 2014 cloud-devel@suse.de
- Update to version ceilometer-2015.1.dev6.g1278d06:
  * Run unit tests against MySQL
  * Tune up mod_wsgi settings in example configuration
* Wed Oct  1 2014 cloud-devel@suse.de
- Update to version ceilometer-2015.1.dev3.gd7bc641:
  * Open Kilo development
  2014.2.rc1
  * Use oslo.msg retry API in rpc publisher
* Tue Sep 30 2014 cloud-devel@suse.de
- Update to version ceilometer-2014.2.dev89.g8b61fdd:
  * Partition static resources defined in pipeline.yaml
  * [HBase] Improves speed of unit tests on real HBase backend
* Mon Sep 29 2014 tbechtold@suse.com
- Update to version ceilometer-2014.2.dev85.gfb34fcb:
  * Per-source separation of static resources & discovery
  * dbsync: Acknowledge 'metering_connection' option
  * Fix bug in the documentation
  * Change compute agent recurring logs from INFO to DEBUG
  * Fix bug with wrong bool opt value interpolation
  * Imported Translations from Transifex
  * Removed unused abc meta class
  * update references to auth_token middleware
  * clean up swift middleware to avoid unicode errors
  * [HBase] Catch AlreadyExists error in Connection upgrade
  * Use None instead of mutables in method params default values
  * Updated from global requirements
  * Enable to get service types from configuration file
  * test db2 driver code
  * Docs: Add description of pipeline discovery section
  * Typo "possibilites" should be "possibilities"
  * Modified docs to update DevStack's config filename
  * Add an API configuration section to docs
  * Allow pecan debug middleware to be turned off
  * Switch to a custom NotImplementedError
  * minimise ceilometer memory usage
  * Partition swift pollster resources by tenant
  * Add IPMI pollster
  * Add IPMI support
  * Stop using intersphinx
  * Use central agent manager's keystone token in discoveries
  * Improve the timestamp validation of ceilometer API
  * Add validate alarm_actions schema in alarm API
- Add python-oslo.rootwrap and python-ordereddict as Requires
  according to requirements.txt
- Add ipmi-agent subpackage.
- Install ceilometer-rootwrap
- Add 0001-Fix-OrderedDict-usage-for-Python-2.6.patch to fix OrderedDict usage with python2.6
* Tue Sep 16 2014 dmueller@suse.com
- install api_paste.ini
* Sun Sep 14 2014 cloud-devel@suse.de
- Update to version ceilometer-2014.2.dev34.ga31b137:
  * Handle invalid JSON filters from the input gracefully
  * Sync jsonutils for namedtuple_as_object fix
  * ceilometer spamming syslog
  * Add documentation for implemented identity meters
  * [Hbase] Add column for source filter in _get_meter_samples
* Sat Sep 13 2014 cloud-devel@suse.de
- Update to version ceilometer-2014.2.dev24.gae828f2:
  * Allow to pass dict from resource discovery
  * switch to sqlalchemy core
  * Update docs with Sahara notifications configuration
* Fri Sep 12 2014 cloud-devel@suse.de
- Update to version ceilometer-2014.2.dev18.gc5ce0a7:
  * fix network discovery meters
  * Returns 401 when unauthorized project access occurs
* Thu Sep 11 2014 cloud-devel@suse.de
- Update to version ceilometer-2014.2.dev14.g926fc8c:
  * Imported Translations from Transifex
  * Adding another set of hardware metrics
* Wed Sep 10 2014 cloud-devel@suse.de
- Update to version ceilometer-2014.2.dev10.gfbe05d8:
  * Migrate the rest of the central agent pollsters to use discoveries
  * Document the standard for PaaS service notifications
  * normalise resource data
* Tue Sep  9 2014 tbechtold@suse.com
- Update to version ceilometer-2014.2.dev4.g3263c39:
  * Fix tests with testtools>=0.9.39
  2014.2.b3
  * warn against sorting requirements
  * Switch to oslo.serialization
  * XenAPI support: Update measurements documentation
* Thu Sep  4 2014 cloud-devel@suse.de
- Update to version ceilometer-2014.2.dev179.g601fb4b:
  * Imported Translations from Transifex
  * Switch partitioned alarm evaluation to a hash-based approach
  * XenAPI support: Disk rates
* Wed Sep  3 2014 bwiedemann@suse.com
- require python-tooz
- Update to version ceilometer-2014.2.dev173.g25dbd23:
  * Central agent work-load partitioning
  * collector: Allows to requeue a sample
  * XenAPI support: Changes for networking metrics
  * Improve api_paste_config file searching
* Tue Sep  2 2014 cloud-devel@suse.de
- Update to version ceilometer-2014.2.dev165.ge86eed2:
  * Typo fixed
  * Rebase hardware pollsters to use new inspector interface
  * Add an exchange for Trove in profiler notification plugin
* Mon Sep  1 2014 cloud-devel@suse.de
- Update to version ceilometer-2014.2.dev159.g2692430:
  * Enhance compute diskio tests to handle multi instance
* Sun Aug 31 2014 cloud-devel@suse.de
- Update to version ceilometer-2014.2.dev157.g9f7ccf5:
  * Document pipeline publishers configuration
  * Alarm: Use stevedore to load the service class
* Sat Aug 30 2014 cloud-devel@suse.de
- Update to version ceilometer-2014.2.dev153.g7a8484f:
  * Adding comparison operators in query for event traits
  * update requirements
  * add documentation for setting up api pipeline
  * XenAPI support: Memory Usage
  * Remove oslo middleware
  * Simplify chained comparisons
* Fri Aug 29 2014 cloud-devel@suse.de
- Update to version ceilometer-2014.2.dev141.gda37a74:
  * XenAPI support: Changes for cpu_util
  * In-code comments should start with `#`, not with `"""`
* Thu Aug 28 2014 cloud-devel@suse.de
- Update to version ceilometer-2014.2.dev137.gb897463:
  * Permit usage of notifications for metering
  * XenAPI support: List the instances
* Thu Aug 28 2014 bwiedemann@suse.com
- Update to version ceilometer-2014.2.dev133.gf8d673b:
  * Switch to use oslo.db
* Wed Aug 27 2014 dmueller@suse.com
- fix start/stop logic (bnc#893770)
* Wed Aug 27 2014 tbechtold@suse.com
- Update to version ceilometer-2014.2.dev131.g9af6af5:
  * Adding quotas on alarms
  * Remove redundant parentheses
  * skip polls if service is not registered
  * Switch to oslo.utils
* Mon Aug 25 2014 bwiedemann@suse.com
- use %%_rundir if available, otherwise /var/run
* Sun Aug 24 2014 cloud-devel@suse.de
- Update to version ceilometer-2014.2.dev123.g1bd4a3f:
  * re-add hashseed to avoid gate error
* Sat Aug 23 2014 cloud-devel@suse.de
- Update to version ceilometer-2014.2.dev122.g3006d5a:
  * Switch to oslotest
* Fri Aug 22 2014 cloud-devel@suse.de
- Update to version ceilometer-2014.2.dev120.ga25e906:
  * Handle sqlalchemy connection strings with drivers
  * Rewrite list creation as a list literal
  * Rewrite dictionary creation as a dictionary literal
  * Use a FakeRequest object to test middleware
* Thu Aug 21 2014 cloud-devel@suse.de
- Update to version ceilometer-2014.2.dev112.g4b42ce1:
  * Triple double-quoted strings should be used for docstrings
  * Add upgrading alarm storage in dbsync
  * Improving of configuration.rst
  * Fix typos in transformer docstrings
  * Update tox.ini pep8 config to ignore i18n functions
  * Added new hardware inspector interface
* Wed Aug 20 2014 cloud-devel@suse.de
- Update to version ceilometer-2014.2.dev101.g344a387:
  * compute: fix wrong test assertion
  * sync olso-incubator code
  * refactor filter code in sql backend
* Mon Aug 18 2014 cloud-devel@suse.de
- Update to version ceilometer-2014.2.dev95.g5c25d85:
  * Support for per disk volume measurements
* Mon Aug 18 2014 cloud-devel@suse.de
- Update to version ceilometer-2014.2.dev93.g2a3fcd5:
  * VMware: Support secret host_password option
* Fri Aug 15 2014 cloud-devel@suse.de
- Update to version ceilometer-2014.2.dev92.gae630cf:
  * [HBase] Refactor hbase.utils
* Thu Aug 14 2014 cloud-devel@suse.de
- Update to version ceilometer-2014.2.dev90.g7903524:
  * Imported Translations from Transifex
  * Issue one SQL statement per execute() call
* Wed Aug 13 2014 cloud-devel@suse.de
- Update to version ceilometer-2014.2.dev87.g075ca40:
  * Adding init into tools folder
  * Enhancing the make_test_data script
  * Improve performance of libvirt inspector requests
  * Documented Stevedore usage and source details
  * Doc enhancement for API service deployment with mod_wsgi
* Wed Aug 13 2014 tbechtold@suse.com
- Update to version ceilometer-2014.2.dev77.gc66a0f3:
  * Allow tests to run outside tox
  * Set page size when Glance API request is called
  * correct DB2 installation supported features documentation
  * Avoid duplication of discovery for multi-sink sources
  * Add notifications for identity authenticate events
- Add python-glanceclient to build requirements. Needed to generate
  sample config
* Mon Aug 11 2014 cloud-devel@suse.de
- Update to version ceilometer-2014.2.dev68.g9936b34:
  * Add message translate module in vmware inspector
  * Handle Cinder attach and detach notifications
  * [HBase] Improve uniqueness for row in meter table
  * Update documentation for new transformer
  * Add the arithmetic transformer endpoint to setup.cfg
  * Imported Translations from Transifex
  * Fix unit for vpn connection metric
  * Debug env for tox
  * Fix listener for update.start notifications
  * Sahara integration with Ceilometer
  * Add notifications for identity CRUD events
  * Extracting make_resource_metadata method
  * Fix make_test_data tools script
  * Replace datetime of time_constraints by aware object
* Sat Aug  2 2014 cloud-devel@suse.de
- Update to version ceilometer-2014.2.dev41.g0232968:
  * Change spelling mistakes
  * Use auth_token from keystonemiddleware
  * Fix two out-dated links in doc
* Fri Aug  1 2014 cloud-devel@suse.de
- Update to version ceilometer-2014.2.dev35.gff52753:
  * Fix dict and set order related issues in tests
  * Use None instead of mutables in test method params defaults
* Wed Jul 30 2014 cloud-devel@suse.de
- Update to version ceilometer-2014.2.dev31.gc638d04:
  * Add cumulative and gauge to aggregator transformer
  * Enable some tests against py33
  * Remove --tmpdir from mktemp
  * Replace dict.iteritems() with six.iteritems(dict)
  * Replace iterator.next() with next(iterator)
  * Fix aggregator flush method
  * Automatic discovery of TripleO Overcloud hardware
  * Set python hash seed to 0 in tox.ini
  * Don't override the original notification message
  * Remove ConnectionProxy temporary class
  * Move sqlalchemy alarms driver code to alarm tree
  * basestring replaced with six.string_types
  * Correct misspelled words
  2014.2.b2
  * Move hbase alarms driver code to alarm tree
  * Remove redudent space in doc string
  * Add testcase for multiple discovery-driven sources
  * Make the error message of alarm-not-found clear
* Thu Jul 24 2014 cloud-devel@suse.de
- Update to version ceilometer-2014.2.dev165.gac1b4f1:
  * Add retry function for alarm REST notifier
  * Update measurement docs for FWaaS
  * Update measurement docs for VPNaaS
  * Updated from global requirements
* Wed Jul 23 2014 cloud-devel@suse.de
- Update to version ceilometer-2014.2.dev158.gb8e5ecd:
  * Follow up fixes to network services pollsters
  * Implement consuming ipmi notifications from Ironic
  * Support for metering FWaaS
  * Adds Content-Type to alarm REST notifier
  * Multi meter arithmetic transformer
  * Add support for metering VPNaaS
  * Use resource discovery for Network Services
  * Move log alarms driver code to alarm tree
  * Separate the console scripts
  * clean up event model
  * improve expirer performance for sql backend
  * Fix SQL exception getting statitics with metaquery
* Tue Jul 22 2014 cloud-devel@suse.de
- Update to version ceilometer-2014.2.dev135.gc1f4eaf:
  * Change of get_events and get_traits method in MongoDB and Hbase
* Mon Jul 21 2014 cloud-devel@suse.de
- Update to version ceilometer-2014.2.dev134.g9164d6f:
  * Move mongodb/db2 alarms driver code to alarm tree
  * Allow to have different DB for alarm and metering
  * Sync oslo log module and its dependencies
  * Fixes aggregator transformer timestamp and user input handling
  * Fix incorrect use of timestamp in test
  * Fix aggregator _get_unique_key method
  * Add log output of "x-openstack-request-id" from nova
* Fri Jul 18 2014 cloud-devel@suse.de
- Update to version ceilometer-2014.2.dev121.g5ad1ca6:
  * Use hmac.compare_digest to compare signature
  * Fix typos in code comments & docstrings
* Thu Jul 17 2014 cloud-devel@suse.de
- Update to version ceilometer-2014.2.dev118.g0b77c8a:
  * Improves pipeline transformer documentation
  * Add keystone control exchange
  * Fix call to meter-list in measurements doc
  * Remove redundant parentheses
  * Transform sample_cnt type to int
  * Improve a bit performance of Ceilometer
* Sun Jul 13 2014 cloud-devel@suse.de
- Update to version ceilometer-2014.2.dev106.gb9daae6:
  * VMware:Update the ceilometer doc with VMware opts
* Sat Jul 12 2014 cloud-devel@suse.de
- Update to version ceilometer-2014.2.dev104.gf7a0820:
  * [Mongodb] Implement events on Mongodb and DB2
* Fri Jul 11 2014 cloud-devel@suse.de
- Update to version ceilometer-2014.2.dev102.geec8876:
  * Remove docutils pin
  * Revert "Align to openstack python package index mirror"
* Wed Jul  9 2014 vuntz@suse.com
- Also install event_definitions.yaml in /etc/ceilometer
* Wed Jul  9 2014 cloud-devel@suse.de
- Update to version ceilometer-2014.2.dev98.ga4fd88c:
  * Fix H405 violations and re-enable gating
  * Fix H904 violations and re-enable gating
* Sat Jul  5 2014 cloud-devel@suse.de
- Update to version ceilometer-2014.2.dev94.gb423c9d:
  * update default_log_levels set by ceilometer
  * Remove useless sources.json
  * Fix H307 violations and re-enable gating
* Thu Jul  3 2014 cloud-devel@suse.de
- Update to version ceilometer-2014.2.dev88.g96d16ad:
  * Fix annoying typo in partition coordinator test
* Tue Jul  1 2014 cloud-devel@suse.de
- Update to version ceilometer-2014.2.dev87.g303a1ce:
  * Fix the section name in CONTRIBUTING.rst
  * Added osprofiler notifications plugin
  * Fix F402 violations and re-enable gating
  * use urlparse from six
* Mon Jun 30 2014 cloud-devel@suse.de
- Update to version ceilometer-2014.2.dev80.g05a3a31:
  * Remove meter hardware.network.bandwidth.bytes
  * Fixed various import issues exposed by unittest
  * clean up sample index
* Fri Jun 27 2014 cloud-devel@suse.de
- Update to version ceilometer-2014.2.dev74.g09720bf:
  * Avoid reading real config files in unit test
* Thu Jun 26 2014 dmueller@suse.com
- Update to version ceilometer-2014.2.dev72.ga4ad787:
  * Fix E265 violations and re-enable gating
  * Fix E251 violations and re-enable gating
  * Fix E128 violations and re-enable gating
  * Fix E126,H104 violations and re-enable gating
  * Bump hacking to 0.9.x
  * Fix HBase available capabilities list
  * Updated from global requirements
  * Handle non-ascii character in meter name
  * Imported Translations from Transifex
  * fix StringIO errors in unit test
  * Fix hacking rule 302 and enable it
  * Imported Translations from Transifex
  * sync oslo code
  * Fixes ceilometer-compute service start failure
  * Splits hbase storage code base
* Tue Jun 24 2014 dmueller@suse.com
- fix requires
* Thu Jun 19 2014 cloud-devel@suse.de
- Update to version ceilometer-2014.2.dev48.ga6020be:
  * Reenables the testr per test timeout
  * Clean up oslo.middleware.{audit,notifier}
  * Use hacking from test-requirements
  * Splits mongo storage code base
  * Fix method mocked in a test
* Wed Jun 18 2014 cloud-devel@suse.de
- Update to version ceilometer-2014.2.dev39.gb19c138:
  * Separate alarm storage models from other models
  * Iterates swift response earlier to get the correct status
  * Fix messaging.get_transport caching
  * Clean up .gitignore
  * Fix Sphinx directive name in session.py
  * Fix list of modules not included in auto-gen docs
  * Remove unused logging in tests
  * Fix LBaaS connection meter docs
  * Respect $TMPDIR environment variable to run tests
  * Corrects a flaw in the treatment of swift endpoints
* Tue Jun 17 2014 cloud-devel@suse.de
- Update to version ceilometer-2014.2.dev19.g5ff550e:
  * Don't keep a single global TRANSPORT object
  * Fix ceilometer.alarm.notifier.trust import
* Mon Jun 16 2014 cloud-devel@suse.de
- Update to version ceilometer-2014.2.dev16.g3efe03b:
  * [HBase] get_resource optimization
* Sat Jun 14 2014 cloud-devel@suse.de
- Update to version ceilometer-2014.2.dev14.g9298ddc:
  * Downgrade publisher logging to debug level again
  * Fix incorrect trait initialization
  * Synced jsonutils from oslo-incubator
* Fri Jun 13 2014 cloud-devel@suse.de
- Update to version ceilometer-2014.2.dev8.gac350d1:
  2014.2.b1
  * remove default=None for config options
  * Revert "Fix the floatingip pollster"
  * Adding alarm list filtering by state and meter
  * Adds caches for image and flavor in compute agent
  * Use TYPE_GAUGE rather than TYPE_CUMULATIVE
  * Fix project authorization check
* Thu Jun 12 2014 dmueller@suse.com
- Update to version ceilometer-2014.2.dev185.gc6dcc20:
  * Remove low-value logging from publication codepath
  * Fix the meter type for LB Bytes
  * [HBase] Implement events on HBase
  * Skipping central agent pollster when keystone not available
  * Fixed unit test TestRealNotification
  * Update Measurement Docs for LBaaS
  * Metering LoadBalancer as a Service
  * Removes per test testr timeout
  * Change pipeline_manager to instance attribute in hooks
  * Change using of limit argument in get_sample
  * Refactor tests to remove direct access to test DBManagers
  * Update doc for sample config file issue
  * use LOG instead of logger as name for the Logger object
  * Remove (c) and remove unnecessary encoding lines
* Tue Jun 10 2014 cloud-devel@suse.de
- Update to version ceilometer-2014.2.dev157.ga30beaa:
  * Fix notification for NotImplemented record_events
  * Add missing explicit cfg option import
* Mon Jun  9 2014 cloud-devel@suse.de
- Update to version ceilometer-2014.2.dev153.g3b720b6:
  * Clean tox.ini
  * Fix the floatingip pollster
* Sun Jun  8 2014 cloud-devel@suse.de
- Update to version ceilometer-2014.2.dev149.g4352a93:
  * Don't rely on oslomsg configuration options
* Sat Jun  7 2014 cloud-devel@suse.de
- Update to version ceilometer-2014.2.dev147.g10db6b5:
  * Add new 'storage': {'production_ready': True} capability
  * Align to openstack python package index mirror
* Thu Jun  5 2014 cloud-devel@suse.de
- Update to version ceilometer-2014.2.dev143.g2b56281:
  * Fix doc gate job false success
  * Improve performance of api requests with hbase scan
  * replaced unicode() with six.text_type()
* Sat May 31 2014 cloud-devel@suse.de
- Update to version ceilometer-2014.2.dev137.g1fa9302:
  * Fix testing gate due to new keystoneclient release
  * reconnect to mongodb on connection failure
* Fri May 30 2014 cloud-devel@suse.de
- Update to version ceilometer-2014.2.dev134.g4ed4559:
  * Ignore the generated file ceilometer.conf.sample
  * Update the copyright date in doc
* Thu May 29 2014 cloud-devel@suse.de
- Update to version ceilometer-2014.2.dev131.g8acf08a:
  * Updated from global requirements
  * refactor sql backend to improve write speed
* Wed May 28 2014 cloud-devel@suse.de
- Update to version ceilometer-2014.2.dev129.g08eea70:
  * Fix network notifications of neutron bulk creation
* Tue May 27 2014 cloud-devel@suse.de
- Update to version ceilometer-2014.2.dev127.g7a2a8b8:
  * Update testrepository configuration
* Sat May 24 2014 cloud-devel@suse.de
- Update to version ceilometer-2014.2.dev126.g4bfa2f4:
  * Implemented metering for Cinder's snapshots
  * Use None instead of mutables in method params defaults
* Fri May 23 2014 cloud-devel@suse.de
- Update to version ceilometer-2014.2.dev122.gaa9e8cb:
  * Use joins instead of subqueries for metadata filtering
  * Remove all mostly untranslated PO files
  * Check if samples returned by get_sample_data are not None
* Thu May 22 2014 cloud-devel@suse.de
- Update to version ceilometer-2014.2.dev117.g21774ae:
  * switch SplitResult to use six
  * Remove unused db code due to api v1 drop
  * Updated from global requirements
* Wed May 21 2014 cloud-devel@suse.de
- Update to version ceilometer-2014.2.dev113.g6f9e46b:
  * oslo.messaging context must be a dict
  * mongo: remove _id in inserted alarm changes
* Tue May 20 2014 dmueller@suse.com
- Update to version ceilometer-2014.2.dev110.g6a7d6ec:
  * Drop deprecated api v1
* Thu May 15 2014 cloud-devel@suse.de
- Update to version ceilometer-2014.2.dev109.gd646d84:
  * Opencontrail network statistics driver
* Sat May 10 2014 cloud-devel@suse.de
- Update to version ceilometer-2014.2.dev107.g0bb852d:
  * Clean up openstack-common.conf
* Fri May  9 2014 cloud-devel@suse.de
- Update to version ceilometer-2014.2.dev106.g715bef1:
  * Revert "oslo.messaging context must be a dict"
  * Correct class when stopping partitioned alarm eval svc
  * Correcting formatting and adding period in measurement doc
* Thu May  8 2014 cloud-devel@suse.de
- Update to version ceilometer-2014.2.dev101.g5df4cb5:
  * oslo.messaging context must be a dict
* Wed May  7 2014 cloud-devel@suse.de
- Update to version ceilometer-2014.2.dev100.gdbeb626:
  * Corrections of spelling, rephrasing for clarity
  * Removed StorageEngine class and it's hierarchy
* Tue May  6 2014 cloud-devel@suse.de
- Update to version ceilometer-2014.2.dev96.gacafa3e:
  * Adapt failing tests for latest wsme version
  * Synced jsonutils from oslo-incubator
* Fri May  2 2014 cloud-devel@suse.de
- Update to version ceilometer-2014.2.dev93.g2633eb8:
  * Initialize dispatcher manager in event endpoint
* Wed Apr 30 2014 cloud-devel@suse.de
- Update to version ceilometer-2014.2.dev91.g83b0862:
  * Replaced CONF object with url in storage engine creation
  * Remove gettextutils._ imports where they are not used
  * Remove "# noqa" leftovers for gettextutils._
  * Make entities (Resource, User, Project) able to store lists
* Tue Apr 29 2014 cloud-devel@suse.de
- Update to version ceilometer-2014.2.dev83.g800395f:
  * transformer: Add aggregator transformer
  * Remove conversion debug message
  * Fix the return of statistic with getting no sample
  * Remove eventlet.sleep(0) in collector tests
  * Don't allow queries with 'IN' predicate with an empty sequence
  * Add a alarm notification using trusts
  * Replace hard coded WSGI application creation
  * Describe storage backends in the collector installation guide
  * Made get_capabilities a classmethod instead of object method
  * Disable reverse dns lookup
  * Consume notif. from multiple message bus
  * Use NotificationPlugin as an oslo.msg endpoint
  * Improve combination rule validation
  * Remove ceilometer.conf.sample
  * cleanup virt pollster code
* Tue Apr 22 2014 cloud-devel@suse.de
- Update to version ceilometer-2014.2.dev56.g3d0e755:
  * Add encoding argument to deserialising udp packets in collector
* Sat Apr 19 2014 cloud-devel@suse.de
- Update to version ceilometer-2014.2.dev54.ge5b7606:
  * Use known protocol scheme in keystone tests
* Thu Apr 17 2014 cloud-devel@suse.de
- Update to version ceilometer-2014.2.dev53.g1ed1a0a:
  * Made get_engine method module-private
  * Remove duplicate alarm from alarm_ids
  * fix statistics query in postgres (bnc#896217)
* Wed Apr 16 2014 dmueller@suse.com
- always use /var/run (it is a symlink to /run, on newer distros)
* Wed Apr 16 2014 aj@suse.com
- Use /run instead of /var/run for releases > 1230.
* Wed Apr 16 2014 cloud-devel@suse.de
- Update to version ceilometer-2014.2.dev47.g8192748:
  * More accurate meter name and unit for host load averages
  * Replace oslo.rpc by oslo.messaging
* Mon Apr 14 2014 dmueller@suse.com
- Update to version ceilometer-2014.2.dev44.g0eb9f51:
  * Fix a response header bug in the error middleware
  * Remove unnecessary escape character in string format
  * Optimize checks to set image properties in metadata
  * Removed useless code from __init__ method
  * Refactored fake connection URL classes
  * Replace assert statements with assert methods
  * Removes direct access of timeutils.override_time
  * Disable specifying alarm itself in combination rule
  * Include instance state in metadata
  * Allowed nested resource metadata in POST'd samples
  * Sync oslo-incubator code
  * Updated from global requirements
  * Refactor the DB implementation of Capabilities API
  * Fix Jenkins translation jobs
  * User a more accurate max_delay for reconnects
  * Open Juno development
  2014.1.rc1
  * Imported Translations from Transifex
  * Add note on aggregate duplication to API docco
  * Use ConectionPool instead of one Connection in HBase
  * remove dump tables from previous migrations
  * De-dupe selectable aggregate list in statistics API
  * ensure dispatcher service is configured before rpc
  * improve performance of resource-list in sql
  * SSL errors thrown with Postgres on multi workers
  * Remove escape character in string format
  * Verify user/project ID for alarm created by non-admin user
* Thu Mar 27 2014 cloud-devel@suse.de
- Update to version ceilometer-2014.1.dev100.g63ff15e:
  * Fix ceilometer.conf.sample mismatch
  * Ensure idempotency of cardinality reduction in mongo
  * fix create_or_update logic to avoid rollbacks
  * Avoid swallowing AssertionError in test skipping logic
  * spawn multiple workers in services
  * Fix updating alarm can specify existing alarm name
* Wed Mar 26 2014 cloud-devel@suse.de
- Update to version ceilometer-2014.1.dev89.g03c803b:
  * VMware vSphere: Improve the accuracy of queried samples
  * Fix validation error for invalid field name in simple query
  * Fixes duplicated names in alarm time constraints
* Tue Mar 25 2014 cloud-devel@suse.de
- Update to version ceilometer-2014.1.dev85.gf201973:
  * Fix hardware pollster to inspect multiple resources
  * Install global lazy _()
* Mon Mar 24 2014 cloud-devel@suse.de
- Update to version ceilometer-2014.1.dev81.g6f18270:
  * Fix order of arguments in assertEquals
* Sat Mar 22 2014 cloud-devel@suse.de
- Update to version ceilometer-2014.1.dev79.g65a6366:
  * Fixes Hyper-V metrics units
  * Ensure intended indices on project_id are created for mongo
  * Fix the type of the disk IO rate measurements
  * Change the sample_type from tuple to string
  * Eventlet monkeypatch must be done before anything
  * Fix order of arguments in assertEquals
  * Fix order of arguments in assertEquals
  * Skip central agent interval_task when keystone fails
* Fri Mar 21 2014 cloud-devel@suse.de
- Update to version ceilometer-2014.1.dev63.ga9e7d80:
  * Ensure alarm rule conform to alarm type
  * insecure flag added to novaclient
  * VMware vSphere: Bug fixes
  * Ensure insecure config option propagated by alarm evaluator
  * Fix order of arguments in assertEquals
  * add host meters to doc
  * Add field translation to complex query from OldSample to Sample
  * Corrected the sample names in hardware pollsters
  * Add user-supplied arguments in log_handler
  * Fix some spelling mistakes and a incorrect url
* Tue Mar 18 2014 cloud-devel@suse.de
- Update to version ceilometer-2014.1.dev43.g513cbb0:
  * 028 migration script incorrectly skips over section
  * Fix bug in get_capabilities behavior in DB drivers
  * Added documentation for selectable aggregates
  * Make sure use IPv6 sockets for ceilometer in IPv6 environment
  * Rationalize get_resources for mongodb
  * Fixes Hyper-V Inspector network metrics values
* Mon Mar 17 2014 rhafer@suse.com
- switch over to non-openstack-prefix'ed users
* Sun Mar 16 2014 cloud-devel@suse.de
- Update to version ceilometer-2014.1.dev31.g9a489b5:
  * Updated doc with debug instructions
* Sat Mar 15 2014 cloud-devel@suse.de
- Update to version ceilometer-2014.1.dev29.g87349b2:
  * Ensure insecure config option propagated by alarm service
  * Extend test case to cover old alarm style conversion
* Thu Mar 13 2014 cloud-devel@suse.de
- Update to version ceilometer-2014.1.dev25.ga4f693b:
  * Implements monitoring-network-from-opendaylight
  * VMware vSphere support: Disk rates
  * Changes for networking metrics support for vSphere
  * Fix broken statistics in sqlalchemy
  * Fix typo
* Wed Mar 12 2014 cloud-devel@suse.de
- Update to version ceilometer-2014.1.dev15.gc6d89ec:
  * Make ceilometer work with sqla 0.9.x
  * VMware vSphere: Changes for cpu_util
  * VMware vSphere support: Memory Usage
  * Set storage engine for the trait_type table
* Mon Mar 10 2014 cloud-devel@suse.de
- Update to version ceilometer-2014.1.dev7.g2e150c5:
  * Enable monkeypatch for select module
  2014.1.b3
  * Ensure user metadata mapped for instance notifications
* Fri Mar  7 2014 speilicke@suse.com
- Add new dependency on python-croniter, python-oslo.vmware,
  python-pytz and suggest python-pysnmp
* Thu Mar  6 2014 cloud-devel@suse.de
- Update to version ceilometer-2014.1.dev264.g2356e2b:
  * Rename id to alarm_id of Alarm in SqlAlchemy
  * Adds doc string to query validate functions in V2 API
* Thu Mar  6 2014 cloud-devel@suse.de
- Update to version ceilometer-2014.1.dev261.g4d35b21:
  * Per pipeline pluggable resource discovery
  * VMware vSphere support: Performance Mgr APIs
* Wed Mar  5 2014 cloud-devel@suse.de
- Update to version ceilometer-2014.1.dev257.gbf2a745:
  * Wider selection of aggregates for sqlalchemy
  * Wider selection of aggregates for mongodb
  * Adds time constraints to alarms
  * Remove code duplication Part 3
  * Decouple source and sink configuration for pipelines
  * Selectable aggregate support in mongodb
  * Selectable aggregation functions for statistics
  * Add simple capabilities API
* Tue Mar  4 2014 cloud-devel@suse.de
- Rebased patches:
  + remove-mysql-dependency.diff dropped (merged upstream)
* Tue Mar  4 2014 cloud-devel@suse.de
- Update to version ceilometer-2014.1.dev241.gcae5b17:
  * Removed global state modification by api test
  * move databases to test requirements
  * Make recording and scanning data more determined
  * Alarms support in HBase Part 2
* Mon Mar  3 2014 cloud-devel@suse.de
- Update to version ceilometer-2014.1.dev233.ga18d028:
  * Fix typo on testing doc page
* Mon Mar  3 2014 cloud-devel@suse.de
- Update to version ceilometer-2014.1.dev231.gc60d2fa:
  * Add comments for _build_paginate_query
* Sun Mar  2 2014 cloud-devel@suse.de
- Update to version ceilometer-2014.1.dev229.g9a159dd:
  * Alarm support in HBase Part 1
* Sat Mar  1 2014 cloud-devel@suse.de
- Update to version ceilometer-2014.1.dev227.g77b6458:
  * Implements "not" operator for complex query
  * Implements metadata query for complex query feature
  * Remove unused variable
  * Added hardware pollsters for the central agent
  * Added hardware agent's inspector and snmp implementation
  * Updated from global requirements
  * Pluggable resource discovery for agents
  * Remove code duplication Part 2
  * Imported Translations from Transifex
* Thu Feb 27 2014 cloud-devel@suse.de
- Update to version ceilometer-2014.1.dev209.gd75d969:
  * remove audit logging on flush
  * Set default log level of iso8601 to WARN
  * Sync latest config file generator from oslo-incubator
* Wed Feb 26 2014 cloud-devel@suse.de
- Update to version ceilometer-2014.1.dev203.g9f60075:
  * Tolerate absent recorded_at on older mongo/db2 samples
  * api: export recorded_at in returned samples
  * Fix the way how metadata is stored in HBase
  * Remove code duplication
  * sample table contains redundant/duplicate data
  * rename meter table to sample
  * Implements monitoring-network
  * Implements in operator for complex query functionality
* Sat Feb 22 2014 dmueller@suse.com
- Update to version ceilometer-2014.1.dev189.g2f9300f:
  * storage: store recording timestamp
  * Fixed spelling error in Ceilometer
  * Updated from global requirements
  * Remove code that works around a (now-resolved) bug in pecan
  * Fix missing source field content on /v2/samples API
* Fri Feb 21 2014 dmueller@suse.com
- use root-owned dir for pidfiles
* Fri Feb 21 2014 cloud-devel@suse.de
- Update to version ceilometer-2014.1.dev180.g168e0e3:
  * Refactor timestamp existence validation in V2 API
  * Implements field validation for complex query functionality
  * allow hacking to set dependencies
  * Fix some flaws in ceilometer docstrings
  * Fix recursive_keypairs output
* Thu Feb 20 2014 dmueller@suse.com
- use pidfile for ceilometer daemons as their names
  are too long for automatic matching (LP#1278697)
* Thu Feb 20 2014 cloud-devel@suse.de
- Update to version ceilometer-2014.1.dev170.gec95e95:
  * Use the module units to refer bytes type
  * sync units.py from oslo to ceilometer
  * Handle Heat notifications for stack CRUD
  * Modify the discription of combination alarm
  * Keep py3.X compatibility for urllib.urlencode
  * Implements complex query functionality for alarm history
  * Update notification_driver
* Wed Feb 19 2014 cloud-devel@suse.de
- Update to version ceilometer-2014.1.dev156.g2cf06e9:
  * Alembic migrations not tested
  * check domain state before inspecting nics/disks
  * Remove None for dict.get()
* Tue Feb 18 2014 cloud-devel@suse.de
- Update to version ceilometer-2014.1.dev152.gccf086a:
  * Adds gettextutils module in converter
  * Added missing import
  * Removed useless prints that pollute tests log
  * Implements complex query functionality for alarms
  * Rename Openstack to OpenStack
* Sun Feb 16 2014 cloud-devel@suse.de
- Update to version ceilometer-2014.1.dev142.gd19db8e:
  * Replace assertEqual(None, *) with assertIsNone in tests
  * Switch over to oslosphinx
  * Remove start index 0 in range()
  * Updated from global requirements
  * Remove blank line in docstring
  * Use six.moves.urllib.parse instead of urlparse
  * Propogate cacert and insecure flags to glanceclient
* Thu Feb 13 2014 dmueller@suse.com
- added patches:
  * 0001-Switch-over-to-oslosphinx.patch
* Thu Feb 13 2014 dmueller@suse.com
- remove hacking dep
* Thu Feb 13 2014 cloud-devel@suse.de
- Update to version ceilometer-2014.1.dev130.g5450d98:
  * Updated from global requirements
  * Adds additional details to alarm notifications
* Wed Feb 12 2014 cloud-devel@suse.de
- Update to version ceilometer-2014.1.dev126.gdcf81c3:
  * Refactored run-tests script
* Tue Feb 11 2014 speilicke@suse.com
- Update to version ceilometer-2014.1.dev124.g130ffea:
  * Test case for creating an alarm without auth headers
  * Implements complex query functionality for samples
  * fix column name and alignment
  * Remove tox locale overrides
  * Adds flavor_id in the nova_notifier
  * Improve help strings
  * service: re-enable eventlet just for sockets
  * Fixes invalid key in Neutron notifications
  * Replace BoundedInt with WSME's IntegerType
  * Replace 'Ceilometer' by 'Telemetry' in the generated doc
  * Doc: Add OldSample to v2.rst
  * Fixing some simple documentation typos
  * Updated from global requirements
  * Fix for a simple typo
  * Replace 'a alarm' by 'an alarm'
  * Move ceilometer-send-counter to a console script
  * sync oslo common code
  * Handle engine creation inside of Connection object
  * Fix formating of compute-nova measurements table
  * Fix string-to-boolean casting in queries
  * nova notifier: disable tests + update sample conf
  * Update oslo
  * Refactored session access
  * Fix the py27 failure because of "ephemeral_key_uuid" error
  * Correct a misuse of RestController in the Event API
  * Fix docs on what an instance meter represents
  * Fix measurement docs to correctly represent Existance meters
  * samples: fix test case status code check
- Rebased patches:
  + 0001-Skip-tests-against-real-DB.patch (manually)
  + remove-mysql-dependency.diff (manually)
- Replace git_tarballs source service with download_files and set_version
  + Use upstream URL as source (enables verification)
- Fix requirements
- Add /usr/bin/ceilometer-send-sample
* Thu Feb  6 2014 dmueller@suse.com
- add remove-mysql-dependency.diff: remove hardcoded mysql
  dependency
* Thu Feb  6 2014 dmueller@suse.com
- update requires
* Sat Feb  1 2014 opensuse-cloud@opensuse.org
- Update to version 2014.1.dev74.g441b7bf:
  + Fix some typos in architecture doc
  + Update oslo
  + Correct a misuse of RestController in the Event API
* Fri Jan 31 2014 opensuse-cloud@opensuse.org
- Update to version 2014.1.dev69.gc9a67b0:
  + Fix the py27 failure because of "ephemeral_key_uuid" error
  + Refactored session access
  + Fix docs on what an instance meter represents
  + Fix measurement docs to correctly represent Existance meters
* Thu Jan 30 2014 dmueller@suse.com
- move lock_path to /var/run
* Thu Jan 30 2014 opensuse-cloud@opensuse.org
- Update to version 2014.1.dev62.ga1f494d:
  + Remove unused db engine variable in api
  + Update dev docs to include notification-agent
  + Use swift master
* Wed Jan 29 2014 vuntz@suse.com
- Use correct group name for directory ownerships.
* Wed Jan 29 2014 opensuse-cloud@opensuse.org
- Update to version 2014.1.dev56.g0353900:
  + Use stevedore's make_test_instance
  + Clean .gitignore
  + Remove unnecessary code from alarm test
  + use common code for migrations
  + Updated from global requirements
  + Use explicit http error code for api v2
* Tue Jan 28 2014 dmueller@suse.com
- configure signing_dir / lock_path
* Tue Jan 28 2014 opensuse-cloud@opensuse.org
- Update to version 2014.1.dev44.g0f41762:
  + eventlet: stop monkey patching
  + Revert "Ensure we are not exhausting the sqlalchemy pool"
  + Improve consistency of help strings
  + Correct spelling of logger for dispatcher.file
* Mon Jan 27 2014 opensuse-cloud@opensuse.org
- Update to version 2014.1.dev38.g9afba72:
  + Re-enable lazy translation
* Mon Jan 27 2014 dmueller@suse.com
- fix typo in logrotate script
* Sun Jan 26 2014 opensuse-cloud@opensuse.org
- Update to version 2014.1.dev36.geef30ba:
  + Removes use of timeutils.set_time_override
  + Change meter_id to meter_name in generated docs
  + tests: kill all started processes on exit
  + Sync gettextutils from Oslo
* Sat Jan 25 2014 opensuse-cloud@opensuse.org
- Update to version 2014.1.dev28.g2bc5eaa:
  + Fix wrong doc string for meter type
  + Drop foreign key contraints of alarm in sqlalchemy
* Fri Jan 24 2014 opensuse-cloud@opensuse.org
- Update to version 2014.1.dev24.g7d6d24c:
  + Implement the /v2/samples/<sample-id> API
  + Update oslo
  + Fix to handle null threshold_rule values
  + Use DEFAULT section for dispatcher in doc
  + Return trait type from Event api
  + Convert alarm timestamp to PrecisionTimestamp
  + Insertion in HBase should be fixed
  + assertTrue(isinstance) replace by assertIsInstance
  + Add new rate-based disk and network pipelines
  + Trivial typo
  + use six.move.xrange replace xrange
  + Added resources support in pollster's interface
  + Set the SQL Float precision
  + Exit expirer earlier if db-ttl is disabled
  + Exclude weak datapoints from alarm threshold evaluation
  + Move enable_acl and debug config to ceilometer.conf
  + Fix the Alarm documentation of Web API V2
  + StringIO compatibility for python3
* Wed Jan 22 2014 opensuse-cloud@opensuse.org
- Update to version 2014.1.dev115.ged4bad9:
  + Name and unit mapping for rate_of_change transformer
* Sun Jan 19 2014 opensuse-cloud@opensuse.org
- Update to version 2014.1.dev113.g2d8e6d9:
  + Remove dependencies on pep8, pyflakes and flake8
* Sat Jan 18 2014 opensuse-cloud@opensuse.org
- Update to version 2014.1.dev111.g87c1a8a:
  + Remove unused imports
* Fri Jan 17 2014 opensuse-cloud@opensuse.org
- Update to version 2014.1.dev109.g614c646:
  + Fix use the fact that empty sequences are false
  + tests: pass /dev/null as config for mongod
* Thu Jan 16 2014 cloud-devel@suse.de
- Rebased patches:
  + 0001-Skip-tests-against-real-DB.patch (only offset)
* Thu Jan 16 2014 opensuse-cloud@opensuse.org
- Update to version 2014.1.dev105.g8557ad1:
  + Replace mongo aggregation with plain ol' map-reduce
  + cacert is not picked up correctly by alarm services
  + tests: allow to skip if no database URL
  + Fix to tackle instances without an image assigned
* Wed Jan 15 2014 opensuse-cloud@opensuse.org
- Update to version 2014.1.dev97.gbb52834:
  + Update ceilometer.conf.sample
* Tue Jan 14 2014 opensuse-cloud@opensuse.org
- Update to version 2014.1.dev95.g7033945:
  + Fix broken i18n support
  + requirements: drop netaddr
* Sat Jan 11 2014 opensuse-cloud@opensuse.org
- Update to version 2014.1.dev91.g31d4c0c:
  + Remove redundant meter (name,type,unit) tuples from Resource model
* Fri Jan 10 2014 opensuse-cloud@opensuse.org
- Update to version 2014.1.dev89.g7ebb8d5:
  + Add new meters for swift
  + Check for pep8 E226 and E24
  + Empty files should no longer contain copyright
  + Fix work of udp publisher
  + Allow customized reseller_prefix in Ceilometer middleware for Swift
* Thu Jan  9 2014 dmueller@suse.com
- openstack-ceilometer.init: Fix DB sync on start
* Thu Jan  9 2014 opensuse-cloud@opensuse.org
- Update to version 2014.1.dev79.g25e7daf:
  + Handle the metrics sent by nova notifier
  + Avoid false negatives on message signature comparison
  + AlarmChange definition added to doc/source/webapi/v2.rst
  + 1st & last sample timestamps in Resource representation
  + Utilizes assertIsNone and assertIsNotNone
  + Fixed spelling mistake
* Wed Jan  8 2014 opensuse-cloud@opensuse.org
- Update to version 2014.1.dev67.g4cec86e:
  + Change endpoint_type parameter
  + Add a wadl target to the documentation
  + Remove redundant code in nova_client.Client
  + Sync config generator workaround from oslo
* Tue Jan  7 2014 dmueller@suse.com
- fix requires
* Tue Jan  7 2014 opensuse-cloud@opensuse.org
- Update to version 2014.1.dev59.g7e50fb5:
  + Add missing gettextutils import to ceilometer.storage.base
* Sun Dec 22 2013 opensuse-cloud@opensuse.org
- Update to version 2014.1.dev58.gdfed6ac:
  + Ensure we are not exhausting the sqlalchemy pool
* Sat Dec 21 2013 opensuse-cloud@opensuse.org
- Update to version 2014.1.dev56.g58d02c9:
  + storage: factorize not implemented methods
  + Add Event API
* Fri Dec 20 2013 opensuse-cloud@opensuse.org
- Update to version 2014.1.dev52.g19e0673:
  + Correct env variable in file oslo.config.generator.rc
  + Don't assume alarms are returned in insert order
* Thu Dec 19 2013 cloud-devel@suse.de
- Rebased patches:
  + 0001-Skip-tests-against-real-DB.patch (only offset)
* Thu Dec 19 2013 opensuse-cloud@opensuse.org
- Update to version 2014.1.dev49.g9cf440c:
  + Add metadata query validation limitation
  + Ensure that the user/project exist on alarm update
  + Ensure the correct error message is displayed
  + Convert event timestamp to PrecisionTimestamp
  + Sync config generator from oslo-incubator
* Wed Dec 18 2013 opensuse-cloud@opensuse.org
- Update to version 2014.1.dev39.gd8257c6:
  + Implement the /v2/sample API
  + api: raise ClientSideError rather than ValueError
  + Oslo sync to recover from db2 server disconnects
  + Imported Translations from Transifex
  + Move sphinxcontrib-httpdomain to test-requirements
* Sat Dec 14 2013 opensuse-cloud@opensuse.org
- Update to version 2014.1.dev31.g6cb9b88:
  + service: fix service alive checking
* Fri Dec 13 2013 opensuse-cloud@opensuse.org
- Update to version 2014.1.dev29.gd0462fd:
  + test code should be excluded from test coverage summary
  + doc: fix formatting of alarm action types
  + doc: remove note about Nova plugin framework
  + config: specify a template for mktemp
  + add newly added constraints to expire clear_expired_metering_data
  + Event Storage Layer
* Thu Dec 12 2013 opensuse-cloud@opensuse.org
- Update to version 2014.1.dev17.gd1601a7:
  + Updated from global requirements
  + add more test cases to improve the test code coverage #5
  + Add configuration-driven conversion to Events
* Wed Dec 11 2013 opensuse-cloud@opensuse.org
- Update to version 2014.1.dev12.ga27d295:
  + fix unit
* Tue Dec 10 2013 opensuse-cloud@opensuse.org
- Update to version 2014.1.dev10.g5472a1d:
  + Add import for publisher_rpc option
* Sat Dec  7 2013 opensuse-cloud@opensuse.org
- Update to version 2014.1.dev9.gec06be3:
  + Properly reconnect subscribing clients when QPID broker restarts
  + Create a shared queue for QPID topic consumers
* Fri Dec  6 2013 opensuse-cloud@opensuse.org
- Update to version 2014.1.dev5.g6bc1b1f:
  + Add i18n warpping for all LOG messages
  + sync with oslo-incubator
  + No module named MySQLdb bug
  + update docs to adjust for naming change
  + Add a note about permissions to ceilometer logging directory
  + Add a Trait Type model and db table
  + Imported Translations from Transifex
  + organise requirements files
  + Remove rpc service from agent manager
  + Don't need session.flush in context managed by session
  + sql migration error in 020_add_metadata_tables
* Tue Dec  3 2013 opensuse-cloud@opensuse.org
- Update to version 2014.1.dev189.g57a9425:
  + Added resources definition in the pipeline
  + Rename OpenStack Metering to OpenStack Telemetry
* Mon Dec  2 2013 speilicke@suse.com
- Transform alarm-evaluator and alarm-notifier into daemons with
  seperate sub-packages
* Sat Nov 30 2013 opensuse-cloud@opensuse.org
- Update to version 2014.1.dev185.ga6ff1e8:
  + Imported Translations from Transifex
  + Removed unused method in compute agent manger
* Fri Nov 29 2013 opensuse-cloud@opensuse.org
- Update to version 2014.1.dev182.g5aa8d79:
  + Change metadata_int's value field to type bigint
* Thu Nov 28 2013 opensuse-cloud@opensuse.org
- Update to version 2014.1.dev180.gf76027c:
  + Fixed nova notifier test
  + Merge ceilometer-collector and ceilometer-collector-udp
  + Move dispatcher a level up
  + Remove the collector submodule
  + Use map_method from stevedore 0.12
  + Fixed a bug in sql migration script 020
  + connection is not close in migration script
  + Avoid intermittent integrity error on alarm creation
  + Simplify the dispatcher method prototype
* Thu Nov 28 2013 dmueller@suse.com
- remove openstack-ceilometer-udp again
* Thu Nov 28 2013 dmueller@suse.com
- fix polkit rule description
* Wed Nov 27 2013 speilicke@suse.com
- Update to version 2014.1.dev163.g76c6d46:
  + Remove old sqlalchemy-migrate workaround
  + Split collector
- New sub-package for the notification agent
* Tue Nov 26 2013 opensuse-cloud@opensuse.org
- Update to version 2014.1.dev160.gff20b39:
  + Add a specialized Event Type model and db table
* Mon Nov 25 2013 dmueller@suse.com
- switch to python-setuptools
* Mon Nov 25 2013 opensuse-cloud@opensuse.org
- Update to version 2014.1.dev158.gb866499:
  + Update hacking for real
  + Stop ignoring H506 errors
  + full pep8 compliance (part1)
  + Replace mox with mock in tests.api.v2
  + make record_metering_data concurrency safe
  + Fixes Hyper-V Inspector cpu metrics bug
  + Replace mox with mock in publisher and pipeline
  + Replace mox with mock in tests.collector
  + Imported Translations from Transifex
  + Remove useless defined Exception in tests
  + Replace mox with mock in alarm,central,image tests
  + Support building wheels (PEP-427)
  + Selectively import RPC backend retry config
  + Replace mox with mock in novaclient and compute
  + Fixes Hyper-V Inspector disk metrics bug
  + full pep8 compliance (part 2)
  + Document user-defined metadata for swift samples
  + Revert "Support building wheels (PEP-427)"
  + Fix migration with fkeys
* Tue Nov 19 2013 iartarisi@suse.com
- Set cache directory permissions to 700, a warning is shown otherwise (bnc#854746)
* Tue Nov 19 2013 speilicke@suse.com
- Update to version 2014.1.dev123.gb5226f4:
  + Updated from global requirements
  + Replace mox with mock in tests.storage
  + Replace mox with mock in energy and objectstore
* Fri Nov 15 2013 opensuse-cloud@opensuse.org
- Update to version 2014.1.dev118.g4a638fa:
  + Refactor API error handling
* Thu Nov 14 2013 speilicke@suse.com
- Update to version 2014.1.dev117.gfe15899:
  + Corrected import order
  + Stop using openstack.common.exception
  + Add an insecure option for Keystone client
  + Sync log from oslo
  + Replace mox with mock in tests.api.v2.test_compute
  + Replace mox with mock in tests.api.v1
  + Move tests into ceilometer module
  + mongodb, db2: do not print full URL in logs
- Rebased patches:
  + 0001-Skip-tests-against-real-DB.patch (manually)
- Also removed compiled bytecode of functional tests requiring mongodb
* Wed Nov 13 2013 opensuse-cloud@opensuse.org
- Update to version 2014.1.dev103.g4e9f5bf:
  + Use better predicates from testtools instead of plain assert
  + Replace mox with mock in tests.network
  + Replace mox with mocks in test_inspector
* Sat Nov  9 2013 opensuse-cloud@opensuse.org
- Update to version 2014.1.dev98.gc40b23f:
  + Replace mox with mocks in tests.compute.pollsters
* Thu Nov  7 2013 opensuse-cloud@opensuse.org
- Update to version 2014.1.dev96.gf509623:
  + Fix failing nova_tests tests
* Fri Nov  1 2013 opensuse-cloud@opensuse.org
- Update to version 2014.1.dev95.gd180ae8:
  + Cleanup tests.publisher tests
* Thu Oct 31 2013 opensuse-cloud@opensuse.org
- Update to version 2014.1.dev93.g190a02a:
  + Replace tests.base part6
  + Don't use sqlachemy Metadata as global var
  + Use consistant cache key for swift pollster
  + enable sql metadata query
  + Allow Events without traits to be returned
  + Replace tests.base part7
  + Fix the developer documentation of the alarm API
  + Fix the default rpc policy value
  + Replace tests.base part8
  + Use wsme ClientSideError to handle unicode string
* Wed Oct 30 2013 dmueller@suse.com
- move rabbitmq-server to should-start
* Wed Oct 30 2013 opensuse-cloud@opensuse.org
- Update to version 2014.1.dev73.g6031964:
  + Imported Translations from Transifex
* Tue Oct 29 2013 speilicke@suse.com
- Update to version 2014.1.dev71.ga1c39e2:
  + Replace tests.base part4
  + Replace tests.base part5
* Mon Oct 28 2013 dmueller@suse.com
- fix requires
* Sat Oct 26 2013 opensuse-cloud@opensuse.org
- Update to version 2014.1.a67.g125411e:
  + Imported Translations from Transifex
* Sat Oct 26 2013 opensuse-cloud@opensuse.org
- Update to version 2014.1.a66.gf181ece:
  + Imported Translations from Transifex
  + compute: virt: Fix Instance creation
  + Add source to Resource API object
  + Sync log_handler from Oslo
* Fri Oct 25 2013 opensuse-cloud@opensuse.org
- Update to version 2014.1.a60.g450eb1e:
  + Updated from global requirements
  + Fix doc typo in volume meter description
* Wed Oct 23 2013 opensuse-cloud@opensuse.org
- Update to version 2014.1.a57.gd56b1d6:
  + Replace tests.base part1
  + Replace tests.base part2
  + Replace tests.base part3
  + Updated from global requirements
* Tue Oct 22 2013 opensuse-cloud@opensuse.org
- Update to version 2014.1.a50.g23af9bc:
  + Fix for get_resources with postgresql
  + Fix wrong using of Metadata in 15,16 migrations
* Tue Oct 22 2013 speilicke@suse.com
- Set default database connection and run db migrations before
  starting the api server
* Tue Oct 22 2013 opensuse-cloud@opensuse.org
- Update to version 2014.1.a47.g205f733:
  + Updated from global requirements
* Mon Oct 21 2013 opensuse-cloud@opensuse.org
- Update to version 2014.1.a45.g92d21bd:
  + Change test case get_alarm_history_on_create
* Mon Oct 21 2013 opensuse-cloud@opensuse.org
- Update to version 2014.1.a43.gb672513:
  + Add tests when admin set alarm owner to its own
* Fri Oct 18 2013 opensuse-cloud@opensuse.org
- Update to version 2014.1.a41.g4788597:
  + api: update for WSME 0.5b6 compliance
  + Changes FakeMemcache to set token to expire on utcnow + 5 mins
  + Update python-ceilometerclient lower bound to 1.0.6
* Tue Oct 15 2013 opensuse-cloud@opensuse.org
- Update to version 2014.1.a36.gc0b7e49:
  + Ceilometer has no such project-list subcommand
  + Update Oslo
  + Updated from global requirements
* Mon Oct 14 2013 opensuse-cloud@opensuse.org
- Update to version 2014.1.a30.gb32c936:
  + Add support for keystoneclient 0.4.0
  + Avoid leaking admin-ness into threshold-oriented alarms
  + Change alarm_history.detail to text type
  + Avoid leaking admin-ness into combination alarms
* Fri Oct 11 2013 opensuse-cloud@opensuse.org
- Update to version 2014.1.a23.g3a3b846:
  + Ensure combination alarm evaluator can be loaded
  + Change resource.resource_metadata to text type
  + Set python-six minimum version
  + Ensure combination alarms can be evaluated
* Tue Oct  8 2013 opensuse-cloud@opensuse.org
- Update to version 2014.1.a16.g5a657dd:
  + add more test cases to improve the test code coverage #6
  + Apply six for metaclass
* Mon Oct  7 2013 opensuse-cloud@opensuse.org
- Update to version 2013.2.rc1:
  + Disable lazy translation
  + Imported Translations from Transifex
* Wed Oct  2 2013 opensuse-cloud@opensuse.org
- Update to version 2013.2.a717.g0186c0e:
  + api: return 404 if a alarm is not found
  + Imported Translations from Transifex
  + assertEquals is deprecated, use assertEqual
  + Add bug number of some wsme issue
  + issue an error log when cannot import libvirt
  + tests: fix rounding issue in timestamp comparison
  + keystone client changes in AuthProtocol made our test cases failing
  + api: allow alarm creation for others project by admins
  + update alarm service setup in dev doc
  + Updated from global requirements
  + api: remove useless comments
* Tue Oct  1 2013 opensuse-cloud@opensuse.org
- Update to version 2013.2.a696.gd57ab63:
  + Allow to get a disabled alarm
  + Don't load into alarms evaluators disabled alarms
  + add more test cases to improve the test code coverage #3
  + add coverage config file to control module coverage report
  + remove locals() for stringformat
  + api: return 404 if a resource is not found
* Sat Sep 28 2013 opensuse-cloud@opensuse.org
- Update to version 2013.2.a685.gd280925:
  + Don't publish samples if resource_id in missing
  + Avoid imposing alembic 6.0 requirement on all distros
* Fri Sep 27 2013 dmueller@suse.com
- add 0001-Skip-tests-against-real-DB.patch
* Fri Sep 27 2013 dmueller@suse.com
- replace openstack-utils with crudini
* Fri Sep 27 2013 opensuse-cloud@opensuse.org
- Update to version 2013.2.a681.g12eab1c:
  + Add example with return values in API v2 docs
  + Remove MANIFEST.in
* Thu Sep 26 2013 opensuse-cloud@opensuse.org
- Update to version 2013.2.a678.ga162cef:
  + add more test cases to improve the test code coverage #2
* Thu Sep 26 2013 opensuse-cloud@opensuse.org
- Update to version 2013.2.a676.gc88d7eb:
  + add more test cases to improve the test code coverage #1
  + Don't send unuseful rpc alarm notification
  + Require oslo.config 1.2.0 final
  + Add source field to Meter model
  + Adding region name to service credentials
  + Fix failed downgrade in migrations
  + tests: fix places check for timestamp equality
  + tests: import pipeline config
* Tue Sep 24 2013 opensuse-cloud@opensuse.org
- Update to version 2013.2.a660.g18c3a0d:
  + Test the response body when deleting a alarm
  + service: check that timestamps are almost equals
* Tue Sep 24 2013 dmueller@suse.com
- Update to version 2013.2.a656.gd95846c:
  + Simple alarm partitioning protocol based on AMQP fanout RPC
  + Fix for timestamp precision in SQLAlchemy
  + Imported Translations from Transifex
  + Use built-in print() instead of print statement
  + Replace OpenStack LLC with OpenStack Foundation
  + Fail tests early if mongod is not found
  + collector-udp: use dispatcher rather than storage
* Sat Sep 21 2013 opensuse-cloud@opensuse.org
- Update to version 2013.2.a642.gd1cb53d:
  + Convert BoundedInt value from json into int
  + Notify with string representation of alarm reason
  + Add alarm combination API
  + Implement the combination evaluator
  + Provide new API endpoint for alarm state
  + Handle manually mandatory field
* Fri Sep 20 2013 opensuse-cloud@opensuse.org
- Update to version 2013.2.a636.g42f02ab:
  + WSME 0.5b5 breaking unit tests
  + refactor db2 get_meter_statistics method to support mongodb and db2
  + Update requirements
  + Alarm API update
  + Refactor threshold evaluator
* Fri Sep 20 2013 dmueller@suse.com
- remove six-14.diff
* Wed Sep 18 2013 opensuse-cloud@opensuse.org
- Update to version 2013.2.a629.g5bf2072:
  + Fix a tiny mistake in api doc
* Wed Sep 18 2013 dmueller@suse.com
- fix requires
* Tue Sep 17 2013 dmueller@suse.com
- add six-14.diff
* Tue Sep 17 2013 opensuse-cloud@opensuse.org
- Update to version 2013.2.a627.ge4edd23:
  + Correctly output the sample content in the file publisher
  + Update sphinxcontrib-pecanwsme to 0.3
  + Update alembic requirement to 0.6.0 version
  + Force MySQL to use InnoDB/utf8
  + Architecture enhancements
  + Drop sitepackages=False from tox.ini
  + Imported Translations from Transifex
* Tue Sep 17 2013 dmueller@suse.com
- remove 0001-Drop-sitepackages-False-from-tox.ini.patch
* Mon Sep 16 2013 speilicke@suse.com
- Update to version 2013.2.a614.g819f98f:
  + Add timestamp filtering cases in storage tests
- Refreshed (Build)Requires
* Sat Sep 14 2013 opensuse-cloud@opensuse.org
- Update to version 2013.2.a612.g3e426e0:
  + doc: fix storage backend features status
* Fri Sep 13 2013 opensuse-cloud@opensuse.org
- Update to version 2013.2.a610.g90a556e:
  + Handle inst not found exceptions in pollsters
  + Pecan assuming meter names are extensions
* Fri Sep 13 2013 opensuse-cloud@opensuse.org
- Update to version 2013.2.a606.g97b24d1:
  + validate counter_type when posting samples
  + Make the Swift-related doc more explicit
  + Update config generator
  + Include auth_token middleware in sample config
  + add tests for _query_to_kwargs func
  + Add docstrings to some methods
  + Fix handling of bad paths in Swift middleware
  + Handle missing libvirt vnic targets!
  + Use global openstack requirements
  + Update openstack.common.policy from oslo-incubator
  + Alarm history storage implementation for sqlalchemy
  + Add group by statistics examples in API v2 docs
  + Imported Translations from Transifex
  + Catch exceptions from nova client in poll_and_publish
  + run-tests: fix MongoDB start wait
  + Improve libvirt vnic parsing with missing mac!
* Thu Sep 12 2013 opensuse-cloud@opensuse.org
- Update to version 2013.2.a574.g234e10c:
  + Imported Translations from Transifex
  + Update the high level architecture
* Tue Sep 10 2013 opensuse-cloud@opensuse.org
- Update to version 2013.2.a571.gf505ae1:
  + Fix to return latest resource metadata
  + Make type guessing for query args more robust
  + Fixes a bug in Kwapi pollster
  + Drop the *.create.start notification for Neutron
* Tue Sep 10 2013 dmueller@suse.com
- fix start/stop dependencies
- remove mongodb recommends
* Mon Sep  9 2013 opensuse-cloud@opensuse.org
- Update to version 2013.2.a564.gab452f8:
  + Improved MongoClient pooling to avoid out of connections error
* Thu Sep  5 2013 opensuse-cloud@opensuse.org
- Update to version 2013.2.a562.ga9f147c:
  + Fixed nova notifier unit test
  + Disable the pymongo pooling feature for tests
  + Update to tox 1.6 and setup.py develop
  + nova_notifier: fix tests
  + Fix wrong migrations
  + Clean-ups related to alarm history patches
  + add MAINTAINERS file
* Thu Sep  5 2013 opensuse-cloud@opensuse.org
- Update to version 2013.2.a552.g3cd78fd:
  + Handle volume.resize.* notifications
  + Alarm history storage implementation for mongodb
  + alarm api: rename counter_name to meter_name
  + Reject duplicate events
  + Network: process metering reports from Neutron
  + Fixes service startup issue on Windows
  + Add query support to alarm history API
  + Add group by statistics in API v2
* Wed Sep  4 2013 opensuse-cloud@opensuse.org
- Update to version 2013.2.a537.gac38972:
  + Plug alarm history logic into the API
  + Add a fake UUID to Meter on API level
  + Append /usr/sbin:/sbin to the path for searching mongodb
  + Sync rpc from oslo-incubator
  + Fixes two typos in this measurements.rst
  + Imported Translations from Transifex
  + db2 distinct call results are different from mongodb call
* Tue Sep  3 2013 opensuse-cloud@opensuse.org
- Update to version 2013.2.a524.g4e3351b:
  + Added upper version boundry for six
* Mon Sep  2 2013 dmueller@suse.com
- update requires
* Mon Sep  2 2013 dmueller@suse.com
- also add monitor rights for openSUSE distros
* Sat Aug 31 2013 opensuse-cloud@opensuse.org
- Update to version 2013.2.a523.gf99d550:
  + Fix empty metadata issue of instance
* Fri Aug 30 2013 opensuse-cloud@opensuse.org
- Update to version 2013.2.a521.g099b9ca:
  + Imported Translations from Transifex
  + Adds Hyper-V compute inspector
  + Base Alarm history persistence model
  + Add pagination parameter to the database backends of storage
  + Extra indexes cleanup
  + Fix wrong UniqueConstraint name
* Thu Aug 29 2013 opensuse-cloud@opensuse.org
- Update to version 2013.2.a509.g9adbc08:
  + Adds group by statistics for MongoDB driver
  + Adds else and TODO in statistics storage tests
  + Import middleware from Oslo
  + alarm: generate alarm_id in API
* Thu Aug 29 2013 dmueller@suse.com
- assign monitor rights to the ceilometer compute agent
* Thu Aug 29 2013 opensuse-cloud@opensuse.org
- Update to version 2013.2.a501.g25f3f0c:
  + Support for wildcard in pipeline
  + Use system locale when Accept-Language header is not provided
  + missing resource in middleware notification
  + api: update v1 for Flask >= 0.10
  + API FunctionalTest class lacks doc strings
  + install manual last few sections format needs to be fixed
  + Imported Translations from Transifex
* Mon Aug 26 2013 opensuse-cloud@opensuse.org
- Update to version 2013.2.a487.gb4c9377:
  + Raise Error when pagination/groupby is missing
  + Move sqlachemy tests only in test_impl_sqlachemy
  + doc: replace GitHub by git.openstack.org
  + Remove useless doc/requirements
  + Refactored storage tests to use testscenarios
  + api: allow usage of resource_metadata in query
* Mon Aug 26 2013 opensuse-cloud@opensuse.org
- Update to version 2013.2.a476.g3d53c05:
  + Raise Error when pagination support is missing
* Sat Aug 24 2013 opensuse-cloud@opensuse.org
- Update to version 2013.2.a474.g3eadb6b:
  + Doc: improve doc about Nova measurements
  + db2 support
  + Use timeutils.utcnow in alarm threshold evaluation
  + Fixes non-string metadata query issue
  + rpc: reduce sleep time
* Thu Aug 22 2013 opensuse-cloud@opensuse.org
- Update to version 2013.2.a464.g7046f76:
  + Enable concurrency on nova notifier tests
  + Add SQLAlchemy implementation of groupby
  + plugin: remove is_enabled
  + Imported Translations from Transifex
  + Storing events via dispatchers
  + ceilometer-agent-compute did not catch exception for disk error
* Wed Aug 21 2013 opensuse-cloud@opensuse.org
- Update to version 2013.2.a452.g4e99c13:
  + Imported Translations from Transifex
  + Enhance delayed message translation when _ is imported
  + Make RPCPublisher flush method threadsafe
  + Change counter to sample vocable in api tests
  + Add the source=None to from_notification
  + Change counter to sample vocable in volume tests
  + Use samples vocable in cm.publisher.test
  + Change counter to sample vocable in cm.energy
  + Change counter to sample vocable in cm.compute
  + Change counter to sample vocable in cm.image
  + Change counter to sample vocable in cm.publisher
  + Change counter to sample vocable in cm.transformer
  + Remove no more used code in test_notifier
  + Change counter to sample in objectstore tests
  + Change counter to sample in network tests
  + Add HTTP request/reply samples
* Wed Aug 21 2013 opensuse-cloud@opensuse.org
- Update to version 2013.2.a426.gdb3b645:
  + Remove use_greenlets argument to MongoClient
  + Close database connection for alembic env
  + Fix the dict type metadata missing issue
* Mon Aug 19 2013 opensuse-cloud@opensuse.org
- Update to version 2013.2.a421.ga845f36:
  + Fixes failed notification when deleting instance
  + Api V2 post sample refactoring
  + message_id is not allowed to be submitted via api
* Mon Aug 19 2013 opensuse-cloud@opensuse.org
- Update to version 2013.2.a415.gf868d09:
  + Don't call publisher without sample
  + Fix typo in 17738166b91 migration
  + Sync gettextutils from oslo-incubator
* Mon Aug 19 2013 opensuse-cloud@opensuse.org
- Update to version 2013.2.a409.g58cb2fe:
  + Reinitialize pipeline manager for service restart
  + Raise error when period with negative value
* Mon Aug 19 2013 opensuse-cloud@opensuse.org
- Update to version 2013.2.a405.ge67d987:
  + Doc: clearly state that one can filter on metadata
* Sat Aug 17 2013 opensuse-cloud@opensuse.org
- Update to version 2013.2.a403.gb59a031:
  + Bump hacking to 0.7.0
  + Use new olso fixture in CM tests
  + Imported Translations from Transifex
* Thu Aug 15 2013 opensuse-cloud@opensuse.org
- Update to version 2013.2.a398.gac00015:
  + Change test_post_alarm case in test_alarm_scenarios
  + Change the error message of resource listing in mongodb
  + Initial alarming documentation
  + Import missing gettext _
  + Remove the mongo auth warning during tests
  + Imported Translations from Transifex
* Wed Aug 14 2013 opensuse-cloud@opensuse.org
- Update to version 2013.2.a386.g7c14a42:
  + Fix Jenkins failed due to missing _
  + Reorg alarms controller to facilitate history API
  + Skeletal alarm history API
  + Remove counter occurences from documentation
  + Remove 'counter' occurences in pipeline
* Tue Aug 13 2013 opensuse-cloud@opensuse.org
- Update to version 2013.2.a379.g486f723:
  + Fix nova test_notifier wrt new notifier API
* Tue Aug 13 2013 opensuse-cloud@opensuse.org
- Update to version 2013.2.a378.g90ad86c:
  + Consume notification from the default queue
  + Removed unused self.counters in storage test class
  + Remove unused abstract class definitions
  + add unit attribute to statistics
  + Fixes dict metadata query issue of HBase
  + Updated from global requirements
* Sat Aug 10 2013 opensuse-cloud@opensuse.org
- Update to version 2013.2.a366.g0975ae3:
  + Change meter.resource_metadata column type
  + Handle more Nova and Neutron events
  + Include previous state in alarm notification
  + s/alarm/alarm_id/ in alarm notification
  + Add support for API message localization
* Thu Aug  8 2013 opensuse-cloud@opensuse.org
- Update to version 2013.2.a356.g10df4b0:
  + Use MongoDB aggregate to get resources list
  + Add first and last sample timestamp
  + Remove MongoDB TTL support for MongoDB < 2.2
  + Doc: measurements: add doc on Cinder/Swift config
* Thu Aug  8 2013 opensuse-cloud@opensuse.org
- Update to version 2013.2.a351.gfee311c:
  + Remove source as a publisher argument
  + rpc: remove source argument from message conversion
  + Add pagination support for MongoDB
  + Return message_id in POSTed samples
  + Fix resources/meters pagination test
* Wed Aug  7 2013 opensuse-cloud@opensuse.org
- Update to version 2013.2.a341.g4947979:
  + fix alarm notifier tests
  + Add the alarm id to the rest notifier body
* Mon Aug  5 2013 opensuse-cloud@opensuse.org
- Update to version 2013.2.a339.g3019fa7:
  + Use the new nova Instance class
  + Sync models with migrations.
  + Rename get_counters to get_samples
  + Add repeat_actions to alarm
  + Fix generating coverage on MacOSX
  + Sync gettextutils from oslo
* Thu Aug  1 2013 opensuse-cloud@opensuse.org
- Update to version 2013.2.a329.gb999458:
  + Fix notify method signature on LogAlarmNotifier
  + Add support for CA authentication in Keystone
  + Call alembic migrations after sqlalchemy-migrate
  + Update nova_client.py
  + objectstore: trivial cleanup in _Base
* Thu Aug  1 2013 opensuse-cloud@opensuse.org
- Update to version 2013.2.a321.g5311b9d:
  + Fix transformer's LOG TypeError
  + Update openstack.common
  + Fix Hacking 0.6 warnings
* Tue Jul 30 2013 opensuse-cloud@opensuse.org
- Update to version 2013.2.a316.gc525699:
  + Make middleware.py Python 2.6 compatible
* Tue Jul 30 2013 opensuse-cloud@opensuse.org
- Update to version 2013.2.a314.gea76c9b:
  + Fixes Hbase metadata query return wrong result
* Tue Jul 30 2013 opensuse-cloud@opensuse.org
- Update to version 2013.2.a313.gdbb8ca3:
  + Relax OpenStack upper capping of client versions
  + Refactored MongoDB connection pool to use weakrefs
  + Add documentation on nova user defined metadata
  + Rename ceilometer.counter to ceilometer.sample
  + Added separate MongoDB database for each test
  + Use configured endpoint_type everywhere
* Fri Jul 26 2013 opensuse-cloud@opensuse.org
- Update to version 2013.2.a303.g2f69200:
  + Allow use of local conductor
  + Centralized backends tests scenarios in one place
* Fri Jul 26 2013 opensuse-cloud@opensuse.org
- Update to version 2013.2.a300.g58da1c2:
  + calling distinct on _id field against a collection is slow
  + Refactored impl_mongodb to use full connection url
  + Added tests to verify that local time is correctly handled
  + Update nova configuration doc to use notify_on_state_change
* Wed Jul 24 2013 opensuse-cloud@opensuse.org
- Update to version 2013.2.a294.ga4b1b54:
  + Add cleanup migration for indexes.
  + Fix missing foreign keys.
  + trailing slash in url causes 404 error
  + Implementation of the alarm RPCAlarmNotifier
  + alarm: Global setting to disable ssl verification
  + Refactored API V1 tests to use testscenarios
  + alarm: Per user setting to disable ssl verify
  + Refactored API V2 tests to use testscenarios
  + Fixed timestamp creation in MongoDB mapreduce
  + mongodb: do not set replica_set as a global option
  + hbase: do not register table_prefix as a global option
  + storage: remove per-driver options
  + Remove replace/preserve logic from rate of change transformer
  + Imported Translations from Transifex
  + doc: how to inject user-defined data
  + Sets storage_conn in CollectorService.
* Wed Jul 24 2013 opensuse-cloud@opensuse.org
- Update to version 2013.2.a266.gdacb3fb:
  + Implement a https:// in REST alarm notification
  + Implement dot in matching_metadata key for mongodb
  + Ensure url is a string for requests.post
  + Always init cfg.CONF before running a test
  + Change nose to testr in the documentation
* Tue Jul 23 2013 opensuse-cloud@opensuse.org
- Update to version 2013.2.a259.g0b50ac2:
  + fix resource_metadata failure missing image data
  + Merge from Oslo-Incubator
* Thu Jul 18 2013 opensuse-cloud@opensuse.org
- Update to version 2013.2.a255.g879a4cc:
  + doc: /statistics fields are not queryable (you cannot filter on them)
  + Avoid dropping cpu_util for multiple instances.
* Wed Jul 17 2013 opensuse-cloud@opensuse.org
- Update to version 2013.2.a253.gaf8643c:
  + publisher.rpc: queing policies
  + Lose weight for Ceilometer log in verbose mode
  + storage: fix clear/upgrade order
  + Multiple dispatcher enablement
  + Default to ctx user/project ID in sample POST API
  + Standardize on X-Project-Id over X-Tenant-Id.
* Wed Jul 17 2013 opensuse-cloud@opensuse.org
- Update to version 2013.2.a243.g77e59eb:
  + Sync SQLAlchemy models with migrations
  + Rename README.md to README.rst
  + Provide CPU number as additional metadata.
  + Use a real MongoDB instance to run unit tests
  + Unset OS_xx variable before generate configuration
  + Allow to specify the endpoint type to use
  + Use correct hostname to get instances.
  + Use run-tests.sh for tox coverage tests
  + Ensure correct return code of run-tests.sh
  + Allow simpler scale exprs in transformer.conversions
  + Emit cpu_util from transformer instead of pollster
  + Imported Translations from Transifex
  + Implement a basic REST alarm notification
  + File based publisher
  + Allow to enable time to live on metering sample
  + Disable mongod prealloc, wait for it to start
  + Added alembic migrations
  + make publisher procedure call configurable
  + Add index for db.meter by descending timestamp
  + doc: add a bunch of functional examples for the API
  + Fix the argument of UnknownArgument exception
  + Remove useless mongodb connection pool comment
  + api: build the storage connection once and for all
* Sun Jul 14 2013 dmueller@suse.com
- fix requires
* Sat Jul 13 2013 opensuse-cloud@opensuse.org
- Update to version 2013.2.a202.g567d85c:
  + Break up compute pollsters
  + Separate power and energy pollsters
  + Make visual coding style consistent
  + Split up the glance pollsters
  + Break up the swift pollsters
  + Make sure plugins are named after their meters
  + Optionally store Events in Collector.
  + Fix MongoDB backward compat wrt units
  + Remove get_counter_names from the pollster plugins
  + Transformer to measure rate of change
  + ceilometer tests need to be enabled/cleaned
* Fri Jul 12 2013 opensuse-cloud@opensuse.org
- Update to version 2013.2.a180.ge087e7e:
  + Update swift pollster to use cache
  + Update compute disk I/O pollster to use cache
  + Update compute CPU pollster to use cache
  + Update compute vnic pollster to use cache
  + Fix issue with pip installing oslo.config-1.2.0
  + Transformer to convert between units.
  + Implement a basic alarm notification service
  + publisher.rpc: make per counter topic optional
* Fri Jul 12 2013 dmueller@suse.com
- remove keystoneclient-0.3.x.diff
* Thu Jul 11 2013 opensuse-cloud@opensuse.org
- Update to version 2013.2.a164.gfeb05eb:
  + Also accept timeout parameter in FakeMemCache
  + enable v2 api hbase tests
* Wed Jul 10 2013 opensuse-cloud@opensuse.org
- Update to version 2013.2.a160.g2623c73:
  + Use oslo.sphinx and remove local copy of doc theme
* Tue Jul  9 2013 opensuse-cloud@opensuse.org
- Update to version 2013.2.a158.ga89da29:
  + Reference setuptools and not distribute.
  + Unify Counter generation from notifications
  + Register all interesting events
* Sat Jul  6 2013 opensuse-cloud@opensuse.org
- Update to version 2013.2.a153.gf175217:
  + Update glance pollster to use cache
  + Update floating-ip pollster to use cache
  + Update kwapi pollster to use cache
  + Filter query op:gt does not work as expected
  + sqlalchemy: fix performance issue on get_meters()
  + enable v2 api sqlalchemy tests
  + Update glossary
  + Imported Translations from Transifex
  + doc: enhance v2 examples
* Fri Jul  5 2013 opensuse-cloud@opensuse.org
- Update to version 2013.2.a135.gad99ae8:
  + Imported Translations from Transifex
  + Fix flake8 errors
  + Add pollster data cache
* Thu Jul  4 2013 opensuse-cloud@opensuse.org
- Update to version 2013.2.a130.gef17d89:
  + update Quantum references to Neutron
* Wed Jul  3 2013 opensuse-cloud@opensuse.org
- Update to version 2013.2.a129.g8a7dc3e:
  + Basic alarm threshold evaluation logic.
  + Simple service for singleton threshold eval
  + Fix return error when resource can't be found
  + Update Oslo
  + Enable Ceilometer to support mongodb replication set
* Tue Jul  2 2013 opensuse-cloud@opensuse.org
- Update to version 2013.2.a120.g298e2f7:
  + add metadata to nova_client results
* Sat Jun 29 2013 dmueller@suse.com
- add keystoneclient-0.3.x.diff
* Fri Jun 28 2013 opensuse-cloud@opensuse.org
- Update to version 2013.2.a119.g69cb429:
  + Bring in oslo-common rpc ack() changes.
* Thu Jun 27 2013 speilicke@suse.com
- Only depend on python-discover on SLE, it's a Python-2.6 feature
  backport
* Thu Jun 27 2013 opensuse-cloud@opensuse.org
- Update to version 2013.2.a117.g1ba1bc7:
  + api: enable v2 tests on SQLAlchemy & HBase
  + Pin the keystone client version
* Wed Jun 26 2013 dmueller@suse.com
- remove 0001-Also-accept-timeout-parameter-in-FakeMemCache.patch
* Wed Jun 26 2013 opensuse-cloud@opensuse.org
- Update to version 2013.2.a114.g5754cc2:
  + Imported Translations from Transifex
  + Fix auth logic for PUT /v2/alarms
  + doc: be more explicit about network counters
  + Check that the config file sample is always up to date
* Tue Jun 25 2013 opensuse-cloud@opensuse.org
- Update to version 2013.2.a106.ge13db58:
  + mongodb: fix limit value not being an integer
  + Change period type in alarms API to int.
* Sun Jun 23 2013 dmueller@suse.com
- add 0001-Also-accept-timeout-parameter-in-FakeMemCache.patch
* Sat Jun 22 2013 opensuse-cloud@opensuse.org
- Update to version 2013.2.a102.g0dd6524:
  + pep8: enable H402 checks
  + pep8: enable H401
  + pep8: enable H304 checks
  + pep8: enable H302 checks
  + pep8: enable F403 checks
  + pep8: enable E125 checks
  + Remove useless periodic_interval option
  + Imported Translations from Transifex
* Fri Jun 21 2013 opensuse-cloud@opensuse.org
- Update to version 2013.2.a86.g5febe14:
  + Capture instance metadata in reserved namespace.
* Thu Jun 20 2013 dmueller@suse.com
- update requires
* Wed Jun 19 2013 opensuse-cloud@opensuse.org
- Update to version 2013.2.a84.ge1a8517:
  + Enforce reverse time-order for sample return
* Tue Jun 18 2013 opensuse-cloud@opensuse.org
- Update to version 2013.2.a82.g0239a3a:
  + Rename the MeterPublisher to RPCPublisher
  + Update requirements to fix devstack installation
  + Enable pep8 H403 checks
* Mon Jun 17 2013 opensuse-cloud@opensuse.org
- Update to version 2013.2.a76.g1d13c31:
  + Replace publisher name by URL
* Sat Jun 15 2013 opensuse-cloud@opensuse.org
- Update to version 2013.2.a74.gaf7953a:
  + Update Oslo
  + Code cleanup
  + Activate H404 checks
  + pipeline: switch publisher loading model to driver
  + Ceilometer may generate wrong format swift url in some situations
* Fri Jun 14 2013 opensuse-cloud@opensuse.org
- Update to version 2013.2.a65.g1034638:
  + Update to the latest stevedore
  + Use Python 3.x compatible octal literals
  + Use Flake8 gating for bin/ceilometer-*
  + Longer string columns for Trait and UniqueNames
  + Remove disabled_central_pollsters option
  + Remove disabled_compute_pollsters option
  + Remove disabled_notification_listeners option
* Thu Jun 13 2013 opensuse-cloud@opensuse.org
- Update to version 2013.2.a52.ga7dfb05:
  + Fix nova notifier tests
  + Remove explicit distribute depend.
  + Improve Python 3.x compatibility
  + Start gating on H703
* Wed Jun 12 2013 dmueller@suse.com
- mongodb is not the recommended (default) backend anymore
  remove our mongodb overwrite
* Wed Jun 12 2013 opensuse-cloud@opensuse.org
- Update to version 2013.2.a46.gc81ba76:
  + Fix requirements
  + Use console scripts for ceilometer-api
  + service: run common initialization stuff
  + Remove useless imports, reenable F401 checks
  + fix session connection
  + Corrected path for test requirements in docs
  + Fix some typo in documentation
  + Add instance_scheduled in entry points
* Thu Jun  6 2013 opensuse-cloud@opensuse.org
- Update to version 2013.2.a31.g7183fd5:
  + Use console scripts for ceilometer-agent-central
  + Use console scripts for ceilometer-agent-compute
  + Use console scripts for ceilometer-dbsync
* Wed Jun  5 2013 opensuse-cloud@opensuse.org
- Update to version 2013.2.a28.gbab2ca7:
  + Use console scripts for ceilometer-collector
  + Move os_* options into a group
  + agent-central: use CONF.import_opt rather than import
* Tue Jun  4 2013 opensuse-cloud@opensuse.org
- Update to version 2013.2.a25.g8696c69:
  + sqlalchemy: migration error when running db-sync
  + session flushing error
* Mon Jun  3 2013 opensuse-cloud@opensuse.org
- Update to version 2013.2.a21.g049b148:
  + Session does not use ceilometer.conf's database_connection
  + Start to use Hacking
  + Add support for limiting the number of samples returned
  + service: remove useless PeriodicService class
  + python3: Introduce py33 to tox.ini
  + api: add limit parameters to meters
* Sat Jun  1 2013 dmueller@suse.com
- remove outdated requirements
* Fri May 31 2013 opensuse-cloud@opensuse.org
- Update to version 2013.2.a10.g0e22742:
  + sql: fix 003 downgrade
  + Imported Translations from Transifex
  + Switch to sphinxcontrib-pecanwsme for API docs
* Thu May 30 2013 opensuse-cloud@opensuse.org
- Update to version 2013.2.a5.g0e367c4:
  + Fix nova notifier tests
  + Add support policy to installation instructions
* Wed May 29 2013 opensuse-cloud@opensuse.org
- Update to version 2013.2.a196.g0136d1a:
  + Update oslo, use new configuration generator
  + hbase metaquery support
  + Explicitly set downloadcache in tox.ini.
  + Imported Translations from Transifex
* Wed May 29 2013 dmueller@suse.com
- remove setBadness call from rpmlintrc
* Wed May 29 2013 dmueller@suse.com
- fix requires
* Tue May 28 2013 opensuse-cloud@opensuse.org
- Update to version 2013.2.a189.g7c6c0bf:
  + Rename requires files to standard names
  + Mark sensitive config options as secret.
  + Don't use pecan to configure logging
  + Log configuration values on API startup
  + Imported Translations from Transifex
  + ImagePollster record duplicate counter during one poll
  + doc: fix hyphens instead of underscores for 'os*' conf options
  + Allow specifying a listen IP
* Tue May 28 2013 opensuse-cloud@opensuse.org
- Update to version 2013.2.a175.gae9ccbd:
  + Add an UDP publisher and receiver
* Tue May 28 2013 dmueller@suse.com
- filelist update (ceilometer-collector-udp)
* Fri May 24 2013 opensuse-cloud@opensuse.org
- Update to version 2013.2.a174.g9d339a5:
  + Fix and update extract_opts group extraction
  + Imported Translations from Transifex
* Thu May 23 2013 opensuse-cloud@opensuse.org
- Update to version 2013.2.a171.gbe77d40:
  + Added missing source variable in storage drivers
  + Add a counter for instance scheduling
  + Add Event methods to db api.
  + Fix the sample name of 'resource_metadata'
* Wed May 22 2013 opensuse-cloud@opensuse.org
- Update to version 2013.2.a163.ge0178f2:
  + Make sure that v2 api tests have the policy file configured
  + vnics: don't presume existence of filterref/filter
  + Imported Translations from Transifex
  + force the test path to a str (sometimes is unicode)
* Tue May 21 2013 opensuse-cloud@opensuse.org
- Update to version 2013.2.a156.g0f57d75:
  + Use fixtures in the tests
  + Replace nose with testr
  + Allow suppression of v1 API.
  + setup.cfg misses swift filter
  + Move recursive_keypairs into utils
* Mon May 20 2013 opensuse-cloud@opensuse.org
- Update to version 2013.2.a147.gb00cb13:
  + fix compute units in measurement doc
* Fri May 17 2013 opensuse-cloud@opensuse.org
- Update to version 2013.2.a145.gdea1ceb:
  + remove unused tests/skip module
  + Imported Translations from Transifex
  + Change from unittest to testtools
  + Restore default interval
* Fri May 17 2013 dmueller@suse.com
- adjust d2to1 requires
* Thu May 16 2013 opensuse-cloud@opensuse.org
- Update to version 2013.2.a138.g11e3bcf:
  + Set the default pipline config file for tests
  + Imported Translations from Transifex
  + Restore test dependency on Ming
  + Restrict pep8 & co to pep8 target
* Wed May 15 2013 opensuse-cloud@opensuse.org
- Update to version 2013.2.a130.g06093ad:
  + Fix config setting references in API tests
  + Fix cross-document references
  + Add a direct Ceilometer notifier
  + Document keystone_authtoken section
  + Allow just a bit longer to wait for the server to startup
  + Get all tests to use tests.base.TestCase
* Wed May 15 2013 dmueller@suse.com
- adjust buildrequires
* Wed May 15 2013 opensuse-cloud@opensuse.org
- Update to version 2013.2.a121.g07828e3:
  + Do the same auth checks in the v2 API as in the v1 API
  + Switch to pbr.
  + Use sqlalchemy session code from oslo.
  + fix the broken ceilometer.conf.sample link
  + Updated the ceilometer.conf.sample.
  + Use flake8 instead of pep8
  + Imported Translations from Transifex
  + Fix meter_publisher in setup.cfg
* Mon May 13 2013 iartarisi@suse.com
- add cache directory
* Fri May 10 2013 opensuse-cloud@opensuse.org
- Update to version 2013.2.a106.g77c82b5:
  + Fix the nova notifier tests after a nova rename
  + Move meter signature computing into meter_publish
  + Use jsonutils instead of json in test/api.py
  + Allow posting samples via the rest API (v2)
  + Document HBase configuration
  + Don't use trivial alarm_id's like "1" in the test cases.
  + Add the sqlalchemy implementation of the alarms collection.
* Tue May  7 2013 opensuse-cloud@opensuse.org
- Update to version 2013.2.a94.g574fd69:
  + Imported Translations from Transifex
  + Add the mongo implementation of alarms collection
  + Connect the Alarm API to the db
  + Update oslo before bringing in exceptions
  + Update WSME dependency
  + alarm: fix MongoDB alarm id
* Mon May  6 2013 opensuse-cloud@opensuse.org
- Update to version 2013.2.a82.g1667ded:
  + Fixes AttributeError of FloatingIPPollster
  + glance/cinder/quantum counter units are not accurate/consistent
  + Add Alarm DB API and models
* Fri May  3 2013 opensuse-cloud@opensuse.org
- Update to version 2013.2.a76.g96c05db:
  + Imported Translations from Transifex
  + add links to return values from API methods
  + Remove "extras" again
* Fri May  3 2013 opensuse-cloud@opensuse.org
- Update to version 2013.2.a71.g88afcdd:
  + Remove "extras" as it is not used
  + update the ceilometer.conf.sample
  + Enumerate the meter type in the API Meter class
  + Add just the most minimal alarm API
  + Rename EventFilter to SampleFilter.
  + Doc improvements
  + Modify limitation on request version
  + Adds examples of CLI and API queries to the V2 documentation.
* Fri May  3 2013 dmueller@suse.com
- remove ceilometer-requests.patch
* Tue Apr 30 2013 opensuse-cloud@opensuse.org
- Update to version 2013.2.a55.ge51e4d0:
  + Set hbase table_prefix default to None
  + Add some recommendations about database
  + Measurements documentation update
* Mon Apr 29 2013 dmueller@suse.com
- Update to version 2013.2.a50.g7dfd846:
  + Pin SQLAlchemy to 0.7.x
- remove sqlalchemy-update.diff:
  + merged upstream
* Fri Apr 26 2013 opensuse-cloud@opensuse.org
- Update to version 2013.2.a48.g15b0e10:
  + instances: fix counter unit
* Thu Apr 25 2013 opensuse-cloud@opensuse.org
- Update to version 2013.2.a46.gf51333d:
  + Ceilometer configuration.rst file not using right param names for logging
  + Fix require_map_reduce mim import
* Tue Apr 23 2013 opensuse-cloud@opensuse.org
- Update to version 2013.2.a43.g185b78e:
  + Remove Folsom support
* Sun Apr 21 2013 opensuse-cloud@opensuse.org
- Update to version 2013.2.a41.ga9267fd:
  + api: run list_resources test against SQL
  + api: run list_sources tests on SQL and Mongo backend
  + api: run max_volume tests on SQL backend too
  + api: handle case where metadata is None
  + Change the column counter_volume to Float
  + Imported Translations from Transifex
  + tests: disable Ming test if Ming unavailable
  + Open havana development, bump to 2013.2
  + enable arguments in tox
  + fix volume tests to utilize VOLUME_DELETE notification
  + Refactor DB tests
  + api: run max_resource_volume test on SQL backend
  + Remove impl_test
  + api: run sum unit tests against SQL backend too
  + api: run tests against HBase too
  + Split and fix live db tests
  + storage: remove get_volume_sum and get_volume_max
  + Adpated to nova's gettext changes.
  + add v2 query examples
  + Convert storage drivers to return models
  + Update part of openstack.common.
  + Prepare for future i18n use of _() in nova notifier.
  + Remove gettext.install from ceilometer/__init__.py
  + storage: move nose out of global imports
  + storage: get rid of get_event_interval
  + Reformat openstack-common.conf
  + Update openstack.common.
  + update devstack instructions for cinder
  + Imported Translations from Transifex
  + Update to the lastest loopingcall from oslo.
  + Fix tests after nova changes
  + pipeline, publisher, transformer: reorganize code
  + transformer, publisher: move down base plugin classes
  + Extend swift middleware to collect number of requests.
* Thu Apr  4 2013 berendt@b1-systems.de
- moved ceilometer-dbsync from subpackage test to mainpackage
* Thu Apr  4 2013 berendt@b1-systems.de
- fixed openstack-ceilometer.init
* Mon Mar 25 2013 cloud-devel@suse.de
- Update to version 2013.1.a93.g57024e3:
  + Switch to python-keystoneclient 0.2.3.
  + Set the default_log_levels to include keystoneclient
  + remove unused dependencies
  + enable xml error message response
  + Swift pollster silently return no counter if keystone endpoint is not present
  + Updated the description of get_counters routine.
  + Try to get rid of the "events" & "raw events" naming in the code.
  + Allow publishing arbitrary headers via the "storage.objects.*.bytes" counter
  + Fix statistics period computing with start/end time
* Thu Mar 21 2013 dmueller@suse.com
- require python-python-spidermonkey for tests
* Mon Mar 18 2013 speilicke@suse.com
- Update to version 2013.1.a77.gf2ba3ef:
  + include a copy of the ASL 2.0
  + add keystone configuration instructions to manual install docs
- Drop +git.$TIMESTAMP.$COMMITHASH version suffix
* Sun Mar 17 2013 cloud-devel@suse.de
- Update to version 2013.1.a74.g9c33366+git.1363478991.9c33366:
  + Raise stevedore requirement to 0.7
  + Use a non-standard port for the test server
  + Add deprecation warnings for V1 API
  + Ensure the statistics are sorted
  + Add a tox target for building documentation
  + Switch to final 1.1.0 oslo.config release
  + Add sample configuration files for mod_wsgi
  + Update openstack.common
* Fri Mar 15 2013 dmueller@suse.com
- add requires for python-spidermonkey to test package
* Wed Mar 13 2013 dmueller@suse.com
- add missing dependency to python-happybase
* Wed Mar 13 2013 cloud-devel@suse.de
- Update to version 2013.1.a59.g8a1fd0a+git.1363133555.8a1fd0a:
  + Fixed the blocking unittest issues.
  + Fix a pep/hacking error in a swift import
* Mon Mar 11 2013 dmueller@suse.com
- update requires to python-oslo.config
- Add sqlalchemy-update.diff:
  * Fix SQLAlchemy dependency
* Mon Mar 11 2013 cloud-devel@suse.de
- Update to version 2013.1.a56.ge7fc028+git.1363004859.e7fc028:
  + Exclude tests directory from installation.
  + api: run list meters tests against SQL backend too
  + api: run list users test against SQL backend too
  + api: run list_projects tests against SQL backend too
  + api: run compute duration by resource on SQL backend
  + Fix an invalid test in the storage test suite
  + Fix oslo.config and unittest.
  + Add the etc directory to the sdist manifest
  + Make HACKING compliant
  + Return something sane from the log impl.
  + Update manual installation instructions
  + Handle missing units values in mongodb data.
  + Start both v1 and v2 api from one daemon.
  + Imported Translations from Transifex
* Tue Mar  5 2013 cloud-devel@suse.de
- Update to version 2013.1.a30.gfba1ae0+git.1362502505.fba1ae0:
  + compute: fix unknown flavor handling
  + Decouple the nova notifier from ceilometer code
  + send-counter: fix & test
  + Set where=tests
  + Remove old configuration metering_storage_engine
  + Exclude tests when installing ceilometer
  + Run some APIv1 tests on different backends
  + Ensure missing period is treated consistently
  + HBase storage driver, initial version.
  + Kwapi pollster silently return no probre if keystone endpoint is not present
* Wed Feb 27 2013 saschpe@suse.de
- Set correct path to policy.json in /etc/ceilometer/ceilometer.conf
* Wed Feb 27 2013 saschpe@suse.de
- Update to version 2013.1.a13.g1d44a18+git.1361980858.1d44a18:
  + Make sure that the period is returned as an int as the api expects an int.
  + Imported Translations from Transifex
  + Remove compat cfg wrapper
  + Fix count type in MongoDB
  + Allow empty dict as metaquery param for sqlalchemy.
  + Add glossary definitions for additional terms
  + Remove nose wrapper script
* Tue Feb 26 2013 saschpe@suse.de
- Update dependencies (including oslo-config)
* Mon Feb 25 2013 saschpe@suse.de
- There's no ceilometerclient to require ;-)
* Mon Feb 25 2013 saschpe@suse.de
- Init script cleanup:
  + Drop useless shell variables
  + Don't depend on $network facility, we already have $remote_fs
    (comes after $network)
  + Use one init script template for all daemons
- Default configuration cleanup:
  + Use openstack-utils to set as much default values in the package
    as possible (instead of patch/sed/...). Some may be overwritting
    later on by, .e.g., crowbar
- More useful lograte configuration:
  + Compress
  + Make sure to keep log files for at least 90 days (i.e. rotate 15
    + weekly = 15 weeks).
  + Add size=1M to avoid getting DoS'ed by wild daemons
  + Use copytruncate instead of create+postrotate+sharedscripts to
    avoid a daemon restart
- Recommend mongodb and require it for testing
* Sun Feb 24 2013 cloud-devel@suse.de
- Update to version 2013.1.a336.g9335d81+git.1361729465.9335d81:
  + Update to latest oslo-version
  + storage: fix mongo live tests
  + transformer: add acculumator transformer
  + tests: allow to run API tests on live db
  + mongodb: make count an integer explicitely
  + Use join_consumer_pool() for notifications
  + Use oslo-config-2013.1b3
  + Imported Translations from Transifex
  + Disable notifier tests
  + pipeline: manager publish multiple counters
  + Imported Translations from Transifex
  + Support list/tuple as meter message value.
  + plugin: don't use @staticmethod with abc
  + Document the rules for units
  + Fix a bug in compute manager test case
  + Update common to get new kombu serialization code
  + Revert recent rpc wire format changes
  + Fix message envelope keys.
  + Support different publisher interval
* Fri Feb 22 2013 saschpe@suse.de
- Add ceilometer-requests.patch: Relax version constraints on requests
* Fri Feb 22 2013 saschpe@suse.de
- BuildRequire openstack-suse-macros instead of openstack-macros
* Mon Feb 18 2013 cloud-devel@suse.de
- Update to version 2013.1+git.1361180062.c61bd41:
  + Allow to publish several counters in a row
  + Use Mongo finalize to compute avg and duration
  + api: fix a test
  + Code cleanup, remove useless import
  + compute: fix notifications test
  + Move counter_source definition
  + Fixed resource api in v2-api.
  + Update openstack/common tree
  + swift: configure RPC service correctly
  + pipeline: flush after publishing call
  + plugin: format docstring as rst
  + Import service when cfg.CONF.os_* is used
  + api: use delta_seconds()
  + Add period support in storage drivers and API
  + Fix tox python version for Folsom
  + Add directive to MANIFEST.in to include all the html files
  + Update openstack.common
  + Imported Translations from Transifex
* Mon Feb 11 2013 cloud-devel@suse.de
- Update to version 2013.1+git.1360595060.3340461:
  + Multiple publisher pipeline framework
  + Fix formatting issue with v1 API parameters
  + setup: fix typo in package data
  + Mock more conductor API methods to unblock tests
  + Update V2 API documentation
  + Update pollsters to return counter list
  + More robust mocking of nova conductor
  + Use the same Keystone client instance for pollster
  + Added hacking.py support to pep8 portion of tox
  + pipeline: fix format error in logging
  + Update meter publish with pipeline framework
* Mon Feb  4 2013 dmueller@suse.com
- Update to version 2013.1+git.1359978708.f85bbce:
  + Remove setuptools_git from setup_requires.
  + Removed unused param for get_counters().
  + Use WSME 0.5b1
  + Factorize agent code
  + Fixed the TemplateNotFound error in v1 api.
  + Ceilometer-api is crashing due to pecan module missing
  + Clean class variable in compute manager test case
  + Update nova notifier test after nova change
  + Fix documentation formatting issues
  + Simplify ceilometer-api and checks Keystone middleware parsing
* Sun Feb  3 2013 saschpe@suse.de
- Require openstack-nova-test in the test sub-package, ceilometer
  imports "nova.tests"
* Mon Jan 28 2013 dmueller@suse.com
- Update to version 2013.1+git.1359375670.c6b09bb:
  + Fix nova conf compute_manager unavailable
  + Corrected get_raw_event() in sqlalchemy.
  + Higher level test for db backends.
  + Remove useless imports
  + Flatten the v2 API
* Wed Jan 23 2013 saschpe@suse.de
- Clean up %%config(noreplace), only logrotate config and *.conf
  files should be noreplace
* Mon Jan 21 2013 dmueller@suse.com
- Update to version 2013.1+git.1358761094.25405d2:
  + Update v2 API for WSME code reorg
  + Update WebOb version specification
  + Remove the ImageSizePollster
  + Add Kwapi pollster (energy monitoring).
  + Fixes a minor documentation typo
  + Peg the version of Ming used in tests
  + Update pep8 to 1.3.3
  + Remove leftover useless import
* Thu Jan 17 2013 saschpe@suse.de
- Update requirements
* Mon Jan 14 2013 dmueller@suse.com
- Update to version 2013.1+git.1358162276.edd9332:
  + Enhance policy test for init()
  + Provide the meters unit's in /meters
  + Fix keystoneclient auth_token middleware changes
  + policy: fix policy_file finding
  + Remove the _initialize_config_options
  + Add pyflakes
  + Make the v2 API date query parameters consistent
  + Fix test blocking issue and pin docutils version.
  + Apply the official OpenStack stylesheets and templates to the Doc build.
  + Fixed erroneous source filter in SQLAlchemy.
  + Fix warnings in the documentation build
  + Handle finish and revert resize notifications.
  + Add support for Folsom version of Swift
  + Implement user-api
  + Add support for Swift incoming/outgoing trafic metering
  + Pass a dict configuration file to auth_keystone
  + Import only once in nova_notifier
  + Fix MySQL charset error.
  + Use default configuration file to make test data.
  + Fix Glance control exchange
  + Move back api-v1 to the main api
  + Fix WSME arguments handling change
  + Remove useless gettext call in sql engine
  + Ground work for transifex-ify ceilometer.
  + Add instance_type information to NetPollster
  + Fix dbsync API change
  + Fix image_id in instance resource metadata
  + Instantiate inspector in compute manager
  + remove direct nova db access from ceilometer.
  + Make debugging the wsme app a bit easier.
  + Implements database upgrade as storage engine independent
  + Fix the v1 api importing of acl
  + Add the ability to filter on metadata.
  + Virt inspector directly layered over hypervisor API
  + Move meter.py into collector directory
  + Change mysql schema from latin1 to utf8 .
  + Change default os-username to 'ceilometer'
  + Restore some metadata to the events and resources
  + Update documentation URL
  + Add sql db option to devstack for ceilometer
  + Remove debug print in V2 API
  + Start updating documentation for V2 API
  + Implement V2 API with Pecan and WSME
  + Move v1 API files into a subdirectory
  + Add test storage driver
  + Implement /meters to make discovery "nicer" from the client
  + Fix sqlalchemy for show_data and v1 web api
  + Implement object store metering
  + Make Impl of mongodb and sqlalchemy consistent
  + add migration migrate.cfg file to the python package
  + Fixes to enable the jenkins doc job to work
  + Lower the minimum required version of anyjson
  + Fix blocking test for nova notifier
  + network: remove left-over useless nova import
  + tools: set novaclient minimum version
  + libvirt: fix Folsom compatibility
  + Lower pymongo dependency
  + Remove rickshaw subproject
  + Remove unused rpc import
  + Adapted to nova's compute_driver moving.
  + doc: fix cpu counter unit
  + tools: use tarballs rather than git for Folsom tests
  + Used auth_token middleware from keystoneclient.
  + Remove cinderclient dependency
  + Fix latest nova changes
  + api: replace minified files by complete version
  + Add Folsom tests to tox
  + Handle nova.flags removal
  + Provide default configuration file
  + Fix mysql_engine option type
  + Remove nova.flags usage
  + api: add support for timestamp in _list_resources()
  + api: add timestamp interval support in _list_events()
  + tests: simplify api list_resources
  + Update openstack.common(except policy).
  + Adopted the oslo's rpc.Service change.
  + Use libvirt num_cpu for CPU utilization calculation.
  + Remove obsolete reference to instance.vcpus
  + Change references of /etc/ceilometer-{agent,collector}.conf to /etc/ceilometer/ceilometer.conf
  + Determine instance cores from public flavors API
  + Determine flavor type from the public nova API.
  + Add comment about folsom compatibility change
  + Add keystone requirement for doc build
  + Avoid TypeError when loading libvirt.LibvirtDriver
  + Don't re-import flags and do parse_args instead of flags.FLAGS()
  + doc: rename stackforge to openstack
  + Fix pymongo requirements
  + Update .gitreview for openstack.
  + Update use of nova config to work with folsom
  + compute: remove get_disks work-around
  + Use openstack versioning
  + Fix documentation build
  + document utc naive timestamp
  + Remove database access from agent pollsters
  + Fix merge error in central/manager.py
  + Fix nova config parsing
  + pollster trap error due to zero floating ip
  + Use the service.py in openstack-common
  + Allow no configured sources, provide a default file
  + Add service.py from openstack-common
  + Update common (except policy)
  + nova fake libvirt library breaking tests
  + Move db access out into a seperate file.
  + Remove invalid fixme comments
  + Add new cpu_util meter recording CPU utilization %%.
  + Fix TypeError from old-style publish_counter calls
  + Fix auth middleware configuration
  + pin sqlalchemy to 0.7.x but not specifically 0.7.8
  + add mongo index names
  + set tox to ignore global packages
  + Provide a way to disable some plugins
  + Use stevedore to load all plugins
  + implement get_volume_max for sqlalchemy
  + Add basic text/html renderer
  + network: floating IP account in Quantum
  + add unit test for CPUPollster
  + Clean up context usage
  + Add dependencies on clients used by pollsters
  + add ceilometer-send-counter
  + Update openstack.common.cfg
  + Fix tests broken by API change with Counter class
  + api: add source detail retrieval
  + Set source at publish time
  + Instance pollster emits instance.<type> meter
  + timestamp columns in sqlalchemy not timezone aware
  + Remove obsolete/incorrect install instructions
  + network: emit router meter
  + Fix sqlalchemy performance problem
  + Added a working release-bugs.py script to tools/.
  + Change default API port
  + sqlalchemy record_meter merge objs not string
  + Use glance public API as opposed to registry API.
  + Add OpenStack trove classifier for PyPI
  + bump version number to 0.2
- sqlalchemy-migrate-config.patch: Dropped, not needed anymore
* Thu Jan 10 2013 saschpe@suse.de
- Add logrotate configuration
* Fri Jan  4 2013 iartarisi@suse.com
- add python-FormEncode requires for testsuite
* Fri Jan  4 2013 iartarisi@suse.com
- add python-Ming requires for testsuite
* Wed Dec 19 2012 saschpe@suse.de
- Move to obs-service-git_tarballs
  + Drop BuildRequires: python-setuptools-git
* Wed Dec  5 2012 saschpe@suse.de
- Use @PARENT_TAG@ in _service file to automate versioning
* Thu Nov 29 2012 iartarisi@suse.cz
- Package sqlalchemy migrate.cfg
* Wed Nov 21 2012 saschpe@suse.de
- Add init scripts
* Fri Nov 16 2012 saschpe@suse.de
- Split of doc package into seperate spec file
* Thu Nov 15 2012 saschpe@suse.de
- Initial version
